#ifndef lint
static char yysccsid[] = "@(#)yaccpar	1.8 (Berkeley) 01/20/90";
#endif
#define YYBYACC 1
#line 2 "pars.yacc"

/* $Id: pars.yacc,v 1.4 1995/06/30 22:32:11 pturner Exp pturner $
 * 
 * evaluate expressions, commands, parameter files
 * 
 */

#define PARS			

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <math.h>
#include <ctype.h>
#ifdef VMS
#  include "missing_math.h"
#  ifdef MULTINET
#     include "multinet_root:[multinet.include.sys]param.h"
#  endif
#else
#  include <sys/param.h>
#endif
#include "globals.h"
#include "protos.h"

#ifndef M_PI
#     define M_PI  3.14159265358979323846
#endif

#ifndef TRUE
#     define TRUE 1
#endif

#ifndef FALSE
#     define FALSE 0
#endif

double result, resx, resy;	/* return value if expression */

double drand48(void);
long lrand48(void);
double erf(double arg); /* doesn't seem to be in ANSI C */
double erfc(double arg); /* doesn't seem to be in ANSI C */
double rnorm(double mean, double sdev);
double fx(double x);
double normp(double b, double *s);
double invnorm(double p);
double invt(double p, int n);
double *getvptr(int gno, int setno, int v);
double vmin(double *x, int n);
double vmax(double *x, int n);
void yyerror(char *s);

static int interr;

static double *freelist[100]; 	/* temporary vectors */
static int fcnt;		/* number allocated */

int naxis = 0;	/* current axis */
int curline, curbox, curellipse, curstring, curleg, curgrid;

int gotbatch, gotparams, gotread; /* these guys attempt to avoid reentrancy problems */
int readtype, readsrc, readxformat;
char batchfile[256], paramfile[256], readfile[256];

static char f_string[512];	/* buffer for string to parse */
static int pos = 0;
static double *aa, *bb, *cc, *dd, *xx, *yy;
static int setindex, lxy, ls;
static int setsetno;
static int whichgraph;
static int whichset;

extern int change_gno;
extern int change_type;

#line 81 "pars.yacc"
typedef union {
    double val;
    long ival;
    double *ptr;
    long func;
    long pset;
    char *str;
} YYSTYPE;
#line 93 "y.tab.c"
#define ABS 257
#define ACOS 258
#define ASIN 259
#define ATAN 260
#define ATAN2 261
#define CEIL 262
#define COS 263
#define DEG 264
#define DX 265
#define DY 266
#define ERF 267
#define ERFC 268
#define EXP 269
#define FLOOR 270
#define HYPOT 271
#define INDEX 272
#define INT 273
#define INVN 274
#define INVT 275
#define IRAND 276
#define JDAY 277
#define JDAY0 278
#define LGAMMA 279
#define LN 280
#define LOG 281
#define LOGISTIC 282
#define MAXP 283
#define MINP 284
#define MOD 285
#define NORM 286
#define NORMP 287
#define PI 288
#define RAD 289
#define RAND 290
#define RNORM 291
#define SETNO 292
#define SIN 293
#define SQR 294
#define SQRT 295
#define TAN 296
#define INUM 297
#define VX1 298
#define VX2 299
#define VY1 300
#define VY2 301
#define WX1 302
#define WX2 303
#define WY1 304
#define WY2 305
#define DELAYP 306
#define DOUBLEBUFFER 307
#define DOWN 308
#define ABSOLUTE 309
#define ABORT 310
#define ACTIVATE 311
#define ACTIVE 312
#define ALT 313
#define ALTERNATE 314
#define ALTXAXIS 315
#define ALTYAXIS 316
#define ANGLE 317
#define ANNOTATE 318
#define APPEND 319
#define AREA 320
#define ARRANGE 321
#define ARROW 322
#define ASCENDING 323
#define AUTO 324
#define AUTOSCALE 325
#define AUTOTICKS 326
#define AVG 327
#define AXIS 328
#define AXES 329
#define BACKBUFFER 330
#define BACKGROUND 331
#define BAR 332
#define BATCH 333
#define BLOCK 334
#define BIN 335
#define BOTH 336
#define BOTTOM 337
#define BOX 338
#define BOXPLOT 339
#define CD 340
#define CELLS 341
#define CENTER 342
#define CHAR 343
#define CHRSTR 344
#define CLEAR 345
#define CLICK 346
#define CMAP 347
#define COLOR 348
#define COMMENT 349
#define COPY 350
#define CYCLE 351
#define DECIMAL 352
#define DEF 353
#define DEFAULT 354
#define DELETE 355
#define DEVICE 356
#define DESCENDING 357
#define DFT 358
#define DIFFERENCE 359
#define DISK 360
#define DRAW2 361
#define DROP 362
#define DXDX 363
#define DXP 364
#define DYDY 365
#define DYP 366
#define ECHO 367
#define EDIT 368
#define ELSE 369
#define END 370
#define ERRORBAR 371
#define EXIT 372
#define EXPONENTIAL 373
#define FALSEP 374
#define FFT 375
#define FILEP 376
#define FILL 377
#define FIND 378
#define FIXEDPOINT 379
#define FLUSH 380
#define FOCUS 381
#define FOLLOWS 382
#define FONTP 383
#define FOREGROUND 384
#define FORMAT 385
#define FRONTBUFFER 386
#define FRAMEP 387
#define GETP 388
#define GRAPH 389
#define GRAPHNO 390
#define GRAPHS 391
#define GRAPHTYPE 392
#define GRID 393
#define HARDCOPY 394
#define HBAR 395
#define HBOXPLOT 396
#define HGAP 397
#define HIDDEN 398
#define HORIZONTAL 399
#define HPGLL 400
#define HPGLP 401
#define HISTO 402
#define IF 403
#define IGNORE 404
#define IHL 405
#define IMAGE 406
#define IN 407
#define INIT 408
#define INOUT 409
#define INTEGRATE 410
#define INTERP 411
#define INVDFT 412
#define INVFFT 413
#define JUST 414
#define KILL 415
#define LABEL 416
#define LAYOUT 417
#define LEAVE 418
#define LEFT 419
#define LEGEND 420
#define LENGTH 421
#define LEVEL 422
#define LEVELS 423
#define LINE 424
#define LINESTYLE 425
#define LINETO 426
#define LINEWIDTH 427
#define LINK 428
#define LOAD 429
#define LOCATOR 430
#define LOCTYPE 431
#define LOGX 432
#define LOGY 433
#define LOGXY 434
#define MAJOR 435
#define MIFL 436
#define MIFP 437
#define MINOR 438
#define MISSINGP 439
#define MOVE 440
#define MOVE2 441
#define MOVETO 442
#define NEGATE 443
#define NO 444
#define NONE 445
#define NORMAL 446
#define NXY 447
#define OFF 448
#define OFFSETX 449
#define OFFSETY 450
#define ON 451
#define OP 452
#define ORIENT 453
#define OUT 454
#define PAGE 455
#define PARA 456
#define PARALLEL 457
#define PARAMETERS 458
#define PARAMS 459
#define PATTERN 460
#define PERIMETER 461
#define PERP 462
#define PERPENDICULAR 463
#define PIE 464
#define PIPE 465
#define PLACE 466
#define POINT 467
#define POLAR 468
#define POLY 469
#define POWER 470
#define PREC 471
#define PREPEND 472
#define PRINT 473
#define PS 474
#define PSCOLORP 475
#define PSMONOP 476
#define PSCOLORL 477
#define PSMONOL 478
#define PUSH 479
#define POP 480
#define PUTP 481
#define RAWSPICE 482
#define READ 483
#define REDRAW 484
#define REGRESS 485
#define REGNUM 486
#define REGIONS 487
#define RENDER 488
#define REVERSE 489
#define RIGHT 490
#define RISER 491
#define ROT 492
#define RUNAVG 493
#define RUNMED 494
#define RUNSTD 495
#define RUNMIN 496
#define RUNMAX 497
#define SAMPLE 498
#define SAVEALL 499
#define SCALE 500
#define SCIENTIFIC 501
#define SET 502
#define SETNUM 503
#define SETS 504
#define SIGN 505
#define SIZE 506
#define SKIP 507
#define SLEEP 508
#define SLICE 509
#define SMITH 510
#define SORT 511
#define SOURCE 512
#define SPEC 513
#define SPECIFIED 514
#define SPECTRUM 515
#define STACK 516
#define STACKEDBAR 517
#define STACKEDHBAR 518
#define STACKEDLINE 519
#define STAGGER 520
#define START 521
#define STARTTYPE 522
#define STATUS 523
#define STOP 524
#define STRING 525
#define SUBTITLE 526
#define SWAPBUFFER 527
#define SYMBOL 528
#define TICKP 529
#define TICKLABEL 530
#define TICKMARKS 531
#define TIME 532
#define TITLE 533
#define TO 534
#define TOP 535
#define TRUEP 536
#define TYPE 537
#define UP 538
#define VELOCITY 539
#define VERTICAL 540
#define VGAP 541
#define VIEW 542
#define WITH 543
#define WORLD 544
#define WRITE 545
#define X 546
#define X0 547
#define X1 548
#define XAXES 549
#define XAXIS 550
#define XCOR 551
#define XMAX 552
#define XMIN 553
#define XY 554
#define XYARC 555
#define XYBOX 556
#define XYBOXPLOT 557
#define XYFIXED 558
#define XYHILO 559
#define XYRT 560
#define XYSEG 561
#define XYSTRING 562
#define XYDX 563
#define XYDY 564
#define XYDXDX 565
#define XYDYDY 566
#define XYDXDY 567
#define XYX2Y2 568
#define XYXX 569
#define XYYY 570
#define XYZ 571
#define XYZW 572
#define XYUV 573
#define TSV 574
#define Y 575
#define Y0 576
#define Y1 577
#define Y2 578
#define Y3 579
#define Y4 580
#define Y5 581
#define YAXES 582
#define YAXIS 583
#define YES 584
#define YMAX 585
#define YMIN 586
#define ZEROXAXIS 587
#define ZEROYAXIS 588
#define ABOVE 589
#define BELOW 590
#define POLYI 591
#define POLYO 592
#define GENERAL 593
#define DDMMYY 594
#define YYMMDD 595
#define MMDDYY 596
#define MMYY 597
#define MMDD 598
#define MONTHDAY 599
#define DAYMONTH 600
#define MONTHS 601
#define MONTHSY 602
#define MONTHL 603
#define DAYOFWEEKS 604
#define DAYOFWEEKL 605
#define DAYOFYEAR 606
#define HMS 607
#define MMDDHMS 608
#define MMDDYYHMS 609
#define YYMMDDHMS 610
#define DEGREESLON 611
#define DEGREESMMLON 612
#define DEGREESMMSSLON 613
#define MMSSLON 614
#define DEGREESLAT 615
#define DEGREESMMLAT 616
#define DEGREESMMSSLAT 617
#define MMSSLAT 618
#define DOT 619
#define STAR 620
#define PLUS 621
#define CROSS 622
#define CIRCLE 623
#define SQUARE 624
#define DIAMOND 625
#define TRIANGLE1 626
#define TRIANGLE2 627
#define TRIANGLE3 628
#define TRIANGLE4 629
#define SPLINE 630
#define LANDSCAPE 631
#define PORTRAIT 632
#define FREE 633
#define FIXED 634
#define STATUSBAR 635
#define LOCATORBAR 636
#define TOOLBAR 637
#define VAR 638
#define NUMBER 639
#define FITPARM 640
#define OR 641
#define AND 642
#define GT 643
#define LT 644
#define LE 645
#define GE 646
#define EQ 647
#define NE 648
#define UMINUS 649
#define NOT 650
#define ELLIPSE 651
#define ACOSH 652
#define ASINH 653
#define ATANH 654
#define COSH 655
#define SINH 656
#define TANH 657
#define ASPLINE 658
#define BIASED 659
#define UNBIASED 660
#define YYERRCODE 256
short yylhs[] = {                                        -1,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,   37,   37,   37,   37,   37,   37,   37,
   18,   18,   18,   18,   18,   18,   18,   18,   19,   19,
   19,   19,   19,   19,   19,   19,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   23,   23,   23,   23,   23,
   23,   23,   28,   28,   28,   28,   28,   28,   28,   28,
   28,   28,   28,   28,   28,   28,   28,   28,   28,   28,
   28,   28,   28,   28,   28,   28,   21,   21,   21,   21,
   21,   21,   21,   21,   21,   21,   21,   21,   21,   32,
   32,   32,   32,   20,   20,   20,   20,   20,   20,   36,
   38,   38,   38,   38,   38,   38,   38,   38,   38,   38,
   38,   38,   38,   38,   38,   38,   38,   38,   38,   38,
   38,   38,   38,   38,   38,   38,   38,   38,   38,   35,
   35,   35,   35,   35,   35,   39,   39,   39,   39,   39,
   39,   41,   41,   41,   42,   42,   42,   42,   42,   42,
   42,   40,   40,   40,   40,   40,   43,   43,   47,   47,
   47,   47,   47,   47,   47,   47,   47,   47,   47,   47,
   47,   47,   47,   47,   47,   47,   47,   47,   47,   47,
   47,   47,   47,   47,   47,   47,   47,   47,   47,   44,
   44,   48,   48,   48,   48,   48,   48,   48,   48,   48,
   48,   48,   48,   48,   48,   48,   48,   48,   48,   48,
   48,   48,   48,   48,   48,   48,   48,   48,   48,   48,
   48,   48,   48,   48,   48,   45,   45,   45,   45,   45,
   45,   45,   45,   45,   45,   45,   46,   46,   46,   46,
   22,   22,   22,   22,   22,   22,   25,   25,   25,   25,
   25,    8,    8,    9,    9,   29,   29,   29,   29,   29,
   30,   30,   30,   30,    2,    2,   27,   27,   26,   26,
   26,   16,   16,   16,   16,   16,   15,   15,   15,   31,
   31,   10,   10,   13,   13,   13,   12,   12,   12,   12,
   12,   12,   12,   12,   12,   12,   12,   12,   12,   12,
   12,   12,   12,   12,   12,   12,   12,   12,   12,   12,
   12,   12,   12,   12,   12,   14,   14,   14,   17,   17,
   17,   17,   17,   17,   11,   11,   34,   34,   33,   33,
    7,    7,    7,    7,    7,    7,    7,    7,    7,    4,
    4,    4,    4,    4,    6,    5,    5,    5,    5,    5,
    5,    5,    5,    5,    5,    5,    5,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,
};
short yylen[] = {                                         2,
    0,    2,    2,    2,    2,    2,    2,    2,    2,    2,
    2,    2,    2,    3,    4,    3,    2,    3,    1,    3,
    1,    1,    1,    1,    1,    1,    1,    1,    2,    3,
    3,    3,    3,    9,    5,    4,    1,    3,    2,    2,
    1,    3,    8,    1,    3,    2,    2,    2,    4,    4,
    6,    2,    2,    2,    7,    2,    2,    3,    3,    2,
    2,    2,    1,    2,    2,    2,    2,    2,    2,    2,
    4,    6,    3,    5,    3,    5,    3,    5,    5,    7,
    5,    7,    4,    4,    8,    4,    8,    2,    2,    3,
    3,    2,    2,    1,    4,    7,    6,    6,    6,   10,
   10,    8,   10,    6,    4,   10,    1,    2,    2,    2,
    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
    3,    3,    4,    3,    3,    4,    3,    3,    5,    2,
    4,    4,    6,    2,    1,    1,    1,    2,   17,    2,
    2,    2,    3,    2,    2,    8,    3,    3,    3,    3,
    3,    4,    4,    2,    2,    2,    3,    2,    2,    8,
    3,    3,    3,    3,    3,    4,    4,    2,    2,    3,
    2,    2,    2,    8,    3,    3,    3,    3,    3,    4,
    4,    2,    2,    2,    3,    2,    2,    4,    3,    3,
    3,    3,    3,    3,    4,    3,    3,    4,    5,    4,
    4,    5,    3,    3,    3,    4,    3,    4,    4,    8,
    3,    3,    3,    3,    5,    8,    3,    3,    3,    3,
    2,    3,    3,    3,    3,    2,    3,    3,    3,    3,
    4,    2,    3,    3,    3,    3,    3,    3,    4,    5,
    5,    4,    4,    4,    4,    3,    3,    4,    3,    3,
    3,    3,    4,    2,    3,    3,    3,    3,    3,    4,
    2,    3,    4,    4,    3,    3,    3,    4,    4,    3,
    5,    6,    6,    4,    4,    3,    3,    3,    3,    3,
    3,    4,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    2,
    1,    1,    2,    2,    2,    2,    2,    3,    3,    3,
    3,    3,    3,    3,    3,    2,    2,    3,    3,    2,
    3,    3,    3,    3,    3,    4,    4,    4,    2,    1,
    2,    1,    2,    3,    2,    1,    1,    1,    1,    1,
    1,    2,    2,    2,    1,    2,    2,    2,    2,    3,
    2,    2,    2,    2,    2,    1,    1,    2,    1,    2,
    2,    2,    2,    2,    2,    2,    2,    2,    2,    1,
    2,    2,    3,    3,    2,    2,    3,    3,    3,    3,
    3,    3,    3,    3,    2,    2,    2,    2,    3,    1,
    2,    1,    2,    2,    2,    2,    2,    2,    2,    2,
    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
    2,    2,    2,    2,    3,    3,    3,    3,    2,    2,
    3,    2,    2,    2,    3,    1,    2,    2,    2,    2,
    4,    2,    3,    2,    2,    2,    1,    2,    2,    2,
    3,    1,    1,    2,    2,    2,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    6,
    6,    8,    5,   10,    5,    3,    3,    3,    5,    5,
    7,    5,    7,    3,    3,    5,    7,    1,    1,    3,
    5,    1,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    4,    4,    4,    4,    4,    4,    4,    4,
    6,    4,    4,    4,    1,    4,    4,    4,    4,    6,
    6,    6,    6,    1,    1,    4,    4,    6,    6,    4,
    4,    4,    4,    8,    6,    6,    6,    4,    4,    1,
    1,    1,    6,    6,    6,    6,    4,    4,    4,    4,
    4,    4,    5,    3,    3,    3,    3,    3,    3,    3,
    3,    2,    3,    2,    1,    1,    4,    3,    4,    6,
    8,    5,    7,    3,    5,    3,    3,    3,    3,    3,
    3,    4,    4,    4,    4,    4,    4,    4,    6,    4,
    4,    4,    1,    4,    4,    4,    4,    6,    3,    3,
    3,    3,    3,    3,    3,    3,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    4,    4,
    6,    4,    8,   14,    4,    4,    4,    8,    6,    6,
    6,    4,    4,    1,    1,    1,    6,    4,    4,    4,
    4,    4,    4,    5,    3,    3,    3,    3,    3,    3,
    3,    3,    2,    3,    2,
};
short yydefred[] = {                                      0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  725,
  726,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  717,  718,  719,  720,  721,  722,  723,  724,    0,
    0,    0,    0,  368,  369,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  137,    0,
    0,  491,    0,    0,    0,   44,  492,   94,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  493,
  494,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  135,  136,    0,    0,   37,
    0,    0,  486,  488,  487,  490,  489,    0,    0,  473,
    0,    0,    0,    0,   41,    0,    0,   63,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  561,  563,    0,
  366,    0,  562,  564,  565,  566,  567,  568,  569,    0,
  367,  370,  371,    0,    0,    0,    0,    0,  675,  676,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  362,   13,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,   65,  513,  512,   60,   66,    0,    0,    0,
    0,  110,  108,  109,    0,    0,    0,    0,    0,    0,
  483,  482,  375,  372,   62,    0,  304,  303,  305,  306,
  283,  284,  285,  286,  287,  288,  289,  290,  291,  292,
  293,  294,  295,  296,  297,  298,  299,  300,  301,  302,
    0,    0,    0,    0,    0,    0,    0,    0,  703,    0,
    0,    0,    0,    0,  727,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  744,  745,
  746,    0,  728,    0,    0,    0,    0,    0,  154,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  144,   39,
  141,  171,  140,  183,  155,    0,   52,    0,    0,    0,
    0,    0,    0,    0,    0,   17,    0,    0,    0,   40,
  116,  115,  112,  114,  113,  517,  518,  519,  520,  521,
  523,  522,  524,  525,  526,  527,  528,  529,  530,  531,
  532,  533,  534,  535,  536,  537,  538,  539,  540,  541,
  542,  543,  544,  545,  119,   61,    0,    0,    0,    0,
    0,    0,  254,   67,    0,    0,    0,    0,    0,    0,
  474,    0,    0,    0,  261,    0,  476,  475,    0,  365,
    0,    0,    0,    0,   92,   93,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  232,    0,    0,  182,    0,    0,    0,
    0,    0,  172,   54,   53,    0,    0,    0,  111,    0,
    0,    0,  550,  553,    0,    0,  552,  554,  551,  549,
   57,   56,    0,   28,   27,   26,   25,   24,   23,   21,
   22,    0,    0,    0,   68,    0,    0,  120,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,   29,  134,
    0,    0,    0,    0,    0,    0,   64,    0,  497,  498,
  117,    0,  138,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  186,  226,    0,    0,    0,    0,    0,
    0,  221,    0,    0,    0,    0,  118,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
   69,    0,   70,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  373,    0,  374,    0,   46,   48,   47,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  168,    0,    0,    0,    0,    0,    0,  158,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    5,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    6,    0,
    2,    3,    4,    0,    0,    8,  480,    0,    0,    0,
  479,    0,  332,  477,  478,    0,    0,  481,    0,    0,
    0,    0,  331,    0,  330,   10,    7,    0,    0,    9,
   11,   12,    0,    0,    0,    0,  386,  361,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,   75,    0,   38,    0,  376,  379,  381,  378,  377,
   42,  124,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  150,    0,  501,    0,  151,    0,  148,  149,
  556,  555,  147,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  205,    0,  207,  203,
  204,    0,    0,    0,    0,  258,  259,  256,  257,  255,
    0,    0,  265,    0,    0,    0,    0,    0,  270,  266,
  262,    0,  311,  317,  312,  318,  308,  309,  310,  315,
  319,  313,  314,  307,  316,  267,  709,  710,  711,  712,
  713,  714,  715,  716,    0,    0,  364,   18,    0,    0,
    0,   90,   91,    0,    0,    0,    0,  238,    0,  252,
  249,  236,  234,  237,  250,  251,  233,    0,  235,    0,
    0,    0,    0,    0,  179,  178,  177,  176,  175,    0,
   59,    0,    0,    0,    0,    0,   58,  321,  322,  320,
  323,   45,    0,    0,   14,   20,  121,  122,    0,  127,
  125,    0,    0,   31,    0,   32,   33,  326,  327,  324,
  325,  328,  329,   30,    0,    0,    0,   77,   73,    0,
    0,    0,  578,  684,    0,    0,  559,  560,    0,    0,
    0,  191,  196,  193,  194,  190,  189,  192,    0,  229,
  227,  230,  228,    0,    0,    0,    0,    0,    0,  197,
  224,  222,  225,  223,    0,  280,  277,  279,  278,  281,
  276,  218,  217,  220,  219,    0,  143,  170,  185,  157,
    0,    0,    0,    0,    0,  128,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  164,    0,    0,
  165,  162,  163,  161,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  764,  673,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  359,    0,    0,    0,    0,    0,  484,
  485,    0,  347,    0,  336,    0,  335,  350,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  333,    0,  346,
    0,    0,    0,    0,    0,  467,  385,    0,  456,    0,
    0,    0,    0,    0,    0,  384,    0,    0,    0,    0,
  516,    0,    0,  514,    0,    0,    0,    0,    0,    0,
  515,    0,    0,    0,    0,  389,  400,    0,  387,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  422,    0,  420,    0,  614,  693,  615,  695,  617,
  697,  619,    0,    0,  700,  622,  701,  623,  704,  626,
  705,  627,  706,  628,  707,  629,    0,    0,  105,  729,
  636,  730,  637,    0,    0,    0,    0,    0,  735,  641,
  736,  642,  737,  643,    0,    0,    0,    0,    0,    0,
    0,    0,  742,  648,  743,  649,    0,    0,  748,  657,
  750,  659,  751,  660,  752,  661,    0,   95,  380,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  152,
  153,    0,  678,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
   84,  206,  208,  209,    0,    0,  260,  275,  263,  264,
  268,    0,    0,  274,    0,  269,    0,    0,    0,    0,
    0,    0,  231,    0,    0,    0,  242,    0,  239,    0,
  243,  244,  248,  253,    0,  180,  181,    0,   36,    0,
    0,   86,    0,    0,   15,  123,  126,    0,    0,    0,
    0,    0,   71,    0,    0,    0,    0,    0,    0,  557,
  558,   83,    0,  195,    0,    0,    0,  200,  198,  201,
    0,  282,    0,    0,    0,  131,    0,    0,    0,    0,
    0,    0,  166,  167,    0,  694,  616,  696,  618,  698,
  620,  702,  624,  749,  658,  753,  662,    0,    0,    0,
    0,  351,  354,  353,    0,    0,  355,  506,  503,  504,
  505,  502,  352,  348,  349,  339,  341,    0,  338,  345,
  344,    0,  342,    0,    0,    0,  468,  469,  470,    0,
  465,  464,  509,  508,  507,  462,  458,  457,  466,  459,
  460,    0,  401,    0,    0,  396,  405,  399,  406,    0,
    0,    0,    0,    0,    0,  390,    0,    0,    0,    0,
    0,    0,  391,    0,    0,  415,  402,  418,  416,  417,
    0,  388,  437,  428,    0,  453,  452,  427,  426,  450,
  438,  430,  432,  431,  454,  434,  435,  433,  436,  441,
  425,  429,  547,  548,  546,  442,  439,  440,    0,    0,
    0,    0,  423,  424,  449,    0,  421,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,   76,
  692,    0,    0,  732,    0,    0,    0,  677,    0,  679,
    0,    0,    0,  271,    0,    0,    0,   78,   74,    0,
    0,    0,  579,    0,    0,  129,    0,  240,  241,    0,
    0,    0,    0,    0,    0,    0,    0,   81,    0,  580,
    0,    0,    0,  511,  510,  685,  682,    0,    0,    0,
  199,  202,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  357,  356,    0,    0,    0,
  463,    0,  407,  413,  411,  409,  403,  408,  414,  412,
  410,  404,    0,  451,  446,  445,  448,  447,  455,  699,
  621,    0,  631,  632,  630,    0,  639,    0,    0,    0,
    0,  739,  645,  740,  646,  741,  647,    0,  654,  655,
  653,    0,    0,    0,    0,    0,    0,    0,    0,  104,
  272,    0,    0,   72,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,   97,    0,    0,    0,   51,    0,
    0,  133,    0,    0,    0,    0,    0,    0,    0,    0,
   98,   99,  461,    0,    0,    0,    0,  708,  731,  747,
    0,  680,    0,    0,    0,   82,    0,  581,    0,    0,
  683,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,   55,  495,  496,    0,    0,    0,    0,  733,
    0,  738,  644,    0,    0,   43,   85,    0,    0,  102,
    0,   87,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  681,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  103,    0,  106,  100,  101,    0,    0,    0,
    0,    0,    0,  734,    0,    0,    0,    0,
};
short yydgoto[] = {                                     172,
 1031, 1676,  685,  175,  176,  177,  328,  243, 1064,  226,
  773,  385, 1117, 1456, 1396, 1373,  462,  473,  179,  914,
  836,  180,  181,  182,  644,  767,  501,  271,  183,  184,
 1537,  892,  929, 1322,  185,  186,  187,  645,  188,  658,
  189,  244, 1118, 1143, 1096, 1087, 1119, 1144,
};
short yysindex[] = {                                   5749,
   13,   -6,   22,   34,   52,   58,  105,  120,    0,    0,
    0,  195,  321,  337,  339,  345,    0,  351,  376,  378,
  389,  419,  421,  432,  446,  450,  451,  456,  459,  461,
  462,  477,    0,    0,    0,  481,    0,  499,  500,  501,
  503,    0,    0,    0,    0,    0,    0,    0,    0, -486,
 -362, -362, -325,    0,    0, -275,  -88, -207,  936, -362,
  204, 2210, 6801,  209, -335,  -84,  -83, -152,    0,  139,
  -82,    0,  518, 9224,  221,    0,    0,    0,  716, 8857,
 -362,  786,  223, 2311,  759,  212,  531,   19,  536,    0,
    0,  -59, 6151, 7126,  -62,  -51, -377,  -49, -378, -150,
 9224, -168,   61,  982,  196,    0,    0,  291,12810,    0,
  596,  382,    0,    0,    0,    0,    0,  298,  -26,    0,
   21,  155,  -61, -462,    0, 6476,  431,    0, 9224,  160,
  636, 2210,  745, 8598, -182, 8682, -393,    0,    0,  936,
    0,  655,    0,    0,    0,    0,    0,    0,    0,  936,
    0,    0,    0,  663, -378, -378, -378,  250,    0,    0,
 9279, 9279, 7451,  664,  665,  666,  668,  669,  670,  671,
 9279,    0, 1722, 1678,  710,  721,  723,  296,  739,12964,
  754,  755,  726,  736,  768,  776,  791,   49,    0,    0,
 9279, 9279, 9279, 9279, 9279, 9279, 9279, 9279, 9279, 9279,
 9279, 9279, 9683, 9279, 9279,  163,  164,  171, 9279, 9279,
 9279, 9279, 9279, 9279, 9279, 9279, 9279, 9279, 9279, 9279,
 9279, 9279,    0,    0,    0,    0,    0,  765,  174,  772,
 -378,    0,    0,    0,  312,  181,  183, -378,  184,  186,
    0,    0,    0,    0,    0,  188,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  484,  789,  792,  794,  796,  813,  815,  819,    0,  823,
  826,  827,  829,  830,    0,  831,  832,  837,  838,  839,
  840,  842,  843,  846,  850,  851,  853,  869,    0,    0,
    0,  871,    0,  876,  878,  893,  899,  192,    0, -303,
  801,  229,  316, -311,  898,  908,  867, 9224, 9224,  920,
  921,  923,  928,  935,  937, 9224, 1177,  887,    0,    0,
    0,    0,    0,    0,    0,  938,    0,  939,  449,  482,
  352, -506,  354,  355,  489,    0,  502,  801, 1796,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  639,  369, -378,  379,
  381,  390,    0,    0,  526, -291,  525, -371, -362, -378,
    0,  528, 1397,  -11,    0,  529,    0,    0,   49,    0,
  393,  504,  399,  538,    0,    0,  562,  567,  753,  564,
  434,  447,  448,  452,  453,  455,  458, -311,  463,  464,
 9224, 9224, 2053,    0, -387,  465,    0,  801,  466,  473,
 -311, 3113,    0,    0,    0, -378,  537,  475,    0, 1043,
  556, 3331,    0,    0,  476, -197,    0,    0,    0,    0,
    0,    0, 9224,    0,    0,    0,    0,    0,    0,    0,
    0,  144,  751,  480,    0,  784, -276,    0,  785, -153,
  628,  493, 9224,  494,  496, -404, 9224, 1474,    0,    0,
  497,  498, -344, 9224, -119,  775,    0, -366,    0,    0,
    0, 9224,    0,  635,  510,  799,  512,  801,  513,  516,
 -311,  517, 3441,    0,    0,  519,  520,  521,  523, 3807,
 -272,    0,  532,  534,  535,  540,    0,  616,  542, -378,
  543,  544, -311,  545,  546,  550,  552,  554, 4091,  555,
    0,  561,    0,  566,  576, 9224, 9224, 9224, 9224, 4233,
  833,  113, 9224,    0,  654,    0,  692,    0,    0,    0,
 9279, 9224, 1163, 1170, 1179,  867, 1164, 1166,  887, 1164,
 1166,  587,    0,  101,  801,  593,  594, -311, 4375,    0,
 9279, 9279, 9279, 9279, 9279, 9279,  732, 1741, 2254, 9224,
 9224, 9224, 9224, 9224, 9224, 9224, 9224, 9279, 9279, 9279,
 9279, 9224, 9279,    0, 9224, 9279, 9279, 9279, 9279, 9279,
 9279, 9279, 9279, 9279, 9279, 9279, 9279, 9279,    0, 9279,
    0,    0,    0, 9279, 9224,    0,    0,  892,  -97, -306,
    0, 8857,    0,    0,    0, 9224,  599,    0,  600, 7776,
 2210, 9224,    0,  602,    0,    0,    0,  740,  741,    0,
    0,    0,  373, 1691,12826,12373,    0,    0, 5208, 3068,
 5283, 5706, 5660, 7188, 5698, 7452, 5859,  752, 5820, 7745,
 6168,11665, 6226,11674, 6272,11698, 6477,11887, 6514,11910,
 6500, 1002,   44, 6538,11919, 6568,11927, 6553,12442, 1201,
 1202, 1203, 6577,11942, 6614,11953, 6623,11967, 6818,12454,
 6841,12560, 6886,12584, 6895,12593, 6918,12021, 6941,12029,
 6950,12660, 7243,12038, 7266,12053, 7275,12083, 7760,12092,
  747,    0,  609,    0,  613,    0,    0,    0,    0,    0,
    0,    0, 9224, 9224, 9224, 9224, 9224, 9224, 9224, 9224,
 9224, 9224, 9224, 9224, 9224, 9224, 9224,  615, 9224, 9224,
 9224, 9224, 9224, 9224, 9224, 9224, 9224, 9224, 9224, 9224,
 9224, 9224,    0,  617,    0,  618,    0,  309,    0,    0,
    0,    0,    0, 1474,  828, 9224, 1164, 1164, 9224, 9224,
 9224, 9224, 9224, 9224, 7777, 9224, 9224, 9224, 9224, 9224,
 9224, 9224,  619,  761,  762,  627,    0,  629,    0,    0,
    0,  631, 1223, 9224,  633,    0,    0,    0,    0,    0,
  634, -285,    0,  637, 8857,  638,  643, 9224,    0,    0,
    0,  644,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  514,  647,    0,    0, 1230, 1231,
 1243,    0,    0,  659, -299,  661,  667,    0,  674,    0,
    0,    0,    0,    0,    0,    0,    0,  944,    0,11637,
11637, 9224,  675,  677,    0,    0,    0,    0,    0, 9224,
    0,  912, 1260,  804,  824, 9224,    0,    0,    0,    0,
    0,    0, 7800,  984,    0,    0,    0,    0,  986,    0,
    0,  987, 1288,    0, 7830,    0,    0,    0,    0,    0,
    0,    0,    0,    0, 8088, 1273, 1291,    0,    0,  992,
 8097, 1293,    0,    0, 1276,  -25,    0,    0, -297, 8416,
  704,    0,    0,    0,    0,    0,    0,    0, 9224,    0,
    0,    0,    0, 9224,  856,  705,  709,  718, 1305,    0,
    0,    0,    0,    0,  730,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0, 9224,    0,    0,    0,    0,
11637,11637,11637,11637, 9224,    0, 1027, 1028, 8547, 1333,
 1334,11648, 6059, 3524, 9279,  822,  828,    0,  749,  750,
    0,    0,    0,    0, 9224, 8274,12284, 8570,12307, 8634,
12316, 8662,12324, 8710,12339, 8721,12348, 1335,    0,    0,
  -15, 3612, 1429, 1429, 1429, 1429, 1429, 1429,  847,  313,
  847,  313,  235,  243,  235,  243,  245,  235,  243, 6863,
11648, 3368,   54,  527,  527,  527,  527,  527,  527,  847,
  313,  847,  313,  232,  243,  232,  243,  232,  243, 3379,
11648, 6059, 8738,    0,  763,  773,  774,  437, -190,    0,
    0, -317,    0,  777,    0,11637,    0,    0, -362,  781,
 9224,  782,  783,  787, 9224,  788,11637,    0, 9006,    0,
 1346, 1347,  790,  795,  797,    0,    0,  886,    0,  808,
  817, -237, -369,  820, -287,    0, -378, 9224, 9224, -378,
    0,  834,  836,    0,  841, 7948, 8273, 9224, 9224, -190,
    0,  844,  845, -277, 1367,    0,    0,12826,    0,  848,
 1070,  909,  849,  852,12518,  855, -237, -382,  858, -331,
 -190,  860, 1080, -305,  862,  864, 8737, 9141, -266,  866,
 1381,    0,12373,    0,    0,    0,    0,    0,    0,    0,
    0,    0, 9224, 9279,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0, 9279, 9279,    0,    0,
    0,    0,    0,  870,  879,    0,  881,  885,    0,    0,
    0,    0,    0,    0, 9224, 9224, 9224, 9279, 9224, 9279,
 9224, 9279,    0,    0,    0,    0, 9279, 9279,    0,    0,
    0,    0,    0,    0,    0,    0,  895,    0,    0, 9048,
 9061, 9093, 9202, 9248, 9548, 9561, 9576, 9638, 9712, 9721,
 9774, 9952, 9961, 9974, 1387, 9985, 9997,10020,10033,10045,
10056,10068,10079,10091,10104,10116,10194,10203,10230,    0,
    0, 1385,    0,  -22,10253,10267,10333,10342,10361,10388,
10397, 1022, 1022,  245,  245,  245,10420,10411, 1389,  901,
    0,    0,    0,    0,  900,11637,    0,    0,    0,    0,
    0, 8857, 1393,    0,10433,    0,  902,  903, -344, 9224,
  -73, 1474,    0, 9224,  907,  966,    0, -317,    0,  914,
    0,    0,    0,    0,11637,    0,    0,10450,    0, 9224,
  904,    0,11637, 9224,    0,    0,    0,  915, 9224, 9224,
 9224,  916,    0, 9224,  967, 9224, 9279,  405, 9224,    0,
    0,    0, 9224,    0,11637,10465,  918,    0,    0,    0,
  919,    0,10474,10487, 1092,    0, 9224,  976, 9224, 1424,
 1440,  -22,    0,    0,10498,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0, 9224, 9224, 9279,
 1428,    0,    0,    0,  922,  924,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,11637,    0,    0,
    0,11637,    0, 9224,  926,  927,    0,    0,    0,  934,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0, 1446,    0,11637,11637,    0,    0,    0,    0,  948,
 -378,  949,  950,  951,11637,    0,  954, -378,  955,  956,
  957,11637,    0,11637,11637,    0,    0,    0,    0,    0,
 9224,    0,    0,    0,  959,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0, -265,11637,
 -263,11637,    0,    0,    0, 1171,    0,10728,12362,10737,
12372,10760,12381, 1467, 1469, 1473, 1475,10520,10769,10823,
12389,10842,12398,10879,12406,10888,12417,10902,12431,    0,
    0, 9224,  960,    0, 9224, 1474, 9224,    0, 9224,    0,
  961, 1135, 1490,    0,  962, 9224, 1494,    0,    0, 1196,
11110, 1501,    0,  402,11132,    0, 1507,    0,    0, 9224,
11143, 1172,11637, 1519,11154,11637,11637,    0,11637,    0,
11637,11648, 6059,    0,    0,    0,    0,11165,11176,  964,
    0,    0, 9224, 9224, 1233,11187, 1523,11198, 9224, 1474,
 9224,11209,11637, 6059, 9224,    0,    0,11637, 1537, 1563,
    0,  972,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,11637,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  975,  978, 9224,
 9224,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,11226, 1564,11237,   60,11248,11262, 1571, 1573,    0,
    0,11637,  983,    0, 9224, 1122, 9279,   26, 9224, 9224,
  989,11271, 9224, 1580,    0, 9224, 1574, 9224,    0,11301,
11381,    0, 1290, -193, 9224,11637,   60,11398, 9224,11637,
    0,    0,    0, 1591, 1593,11409,11465,    0,    0,    0,
 9224,    0, 9224,  999, 1136,    0,11637,    0,11648, 6059,
    0,11515,11524, 1600, 9224,11637, 1139,11537, 9224,11548,
 9224, 9224,    0,    0,    0, 1607,11559, 9224,11570,    0,
 1014,    0,    0,11582,11637,    0,    0, 1594, 1017,    0,
11637,    0, 9224,11637, 9224,11637,11637, 1021, 1029,11637,
 1030, 1627,    0, 9224, 1634,11637,11593, 1635, 1636, 1640,
 1044,11637,    0, 9224,    0,    0,    0, 1638,11604, 1045,
 9224, 1644,11615,    0, 9224,11626, 9224,11637,
};
short yyrindex[] = {                                   1686,
    0,    0,    0,    0,    0,    0,    0,    0,    9,    0,
    0,    0,    0,    0,    0,    0,   71,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  260,  356,  368,    0,  380,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0, 1677,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0, 1679,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,13037,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0, 2998,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0, 3151,    0,    0,
    0,    0,    0,    0,    0,    0,    0, 1680,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
 1681,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0, 1682,    0,
    0,    0,    0,    0,    0,    0, 1683, 1685,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0, 1606,    0,    0,    0,    0,    0, 1688,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0, 1689,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0, 1690,
    0, 1692,    0, 1696, 1697,    0,    0,    0,    0,    0,
    0, 1698,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,   81, 1539, 2195, 1323, 1620,
 2524,    0,    0,    0, 1699,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0, 1700,    0, 1701,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0, 1420, 1565,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,13047,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0, 1702,
 1703,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0, 1706,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0, 2436,    0,    0,    0,    0,
    0,    0,    0,    0,    0, 3252,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
 1707, 1708, 1709, 1714,    0,    0,    0,    0,    0,    0,
    0, 1717, 1720,    0,    0,    0,    0,    0, 1700, 1701,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
 4719, 3725, 3867, 4009, 4151, 4293, 4435, 4577,  305, 2211,
 3095, 3134,  649,  126,  807,  436, 1964, 1527, 2543,    0,
  624,   -1,   -3,  315,  324,  328,  330,  348,  398, 3193,
 3298, 3345, 3356, 2630, 2676, 2822, 2876, 2968, 2990,    0,
 1721, 1724,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0, 1728,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0, 1730,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0, 1732,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0, 1733,    0,  410,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  798,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0, 2899, 3044, 2109, 2477, 2622,    0,    0,    0,    0,
    0,    0,    0,    0,    0, 1742,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0, 1743,    0,    0,    0,    0,    0,
    0,    0, 1744,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0, 1745,    0,    0,    0,    0,    0,
    0,    0,    0,    0, 1747,    0,    0,    0,    0, 3054,
    0, 2097,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
 3163,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0, 1748,    0,    0,
    0, 1750,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0, 5113, 5149,    0,    0,    0,    0,    0,
    0,    0,    0,    0, 5182,    0,    0,    0,    0,    0,
    0, 5221,    0, 5329, 5363,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0, 4904,
    0, 4986,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0, 3322,    0,    0,    0,    0,    0,    0,
    0,    0, 1751,    0,    0, 1752, 1756,    0, 1760,    0,
 1761, 1763, 1765,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0, 4861,  816,    0,    0,    0, 1766,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0, 5437,    0,    0,    0,    0,    0,    0,    0,
    0, 1103,    0,    0,    0, 1165,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0, 1485,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0, 1767,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0, 3185,    0,    0,    0,
    0,    0,    0,    0,    0, 1769, 2156,    0,    0, 1770,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0, 1771,    0, 1777, 1779,
    0,    0,    0,    0,    0, 1780,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0, 1781,    0,    0, 3244,    0,    0,
 1784,    0,    0, 1785,    0, 1786, 1787,    0,    0, 1788,
    0,    0,    0,    0,    0, 1789,    0,    0,    0,    0,
    0, 1790,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0, 1791,
};
short yygindex[] = {                                      0,
    1,    0,  314,    0,    0,    0,   63,  880, -830,  -52,
 -198, -588,    0,    0,  687, -748,    0, 1330,    0,    0,
    0,    0,    0,    0,    0, 1241, -475,  -99,    0,    0,
  208,    0,    0,    0,    0,    0,    0,    0, 1757, 1419,
 1759,  320,    0,    0,    0,    0,  714,  693,
};
#define YYTABLESIZE 13618
short yytable[] = {                                     227,
  173,  899,  331, 1453,  902,  798,  670,  245,  671,  480,
 1446,  224,  551,  815,  908,  499, 1442,  920,  625,  496,
 1318,  602,  190, 1318, 1290, 1320,  788,  786,  386,  787,
 1060,  789,  527,  191,  495, 1317, 1400,  670, 1269,  671,
  670, 1060,  671, 1065,  764,  703, 1429,  605, 1060,  625,
  625,  625,  625,  625,  670,  625,  671, 1463, 1575, 1321,
 1577,  192,  178,  327,  228, 1319,  625,  898, 1497,  241,
  945,  625,  242,  193,  349,  946,  241,  446,  790,  242,
  634,  502,  224,  499, 1169,  909, 1397, 1447,  332,  987,
  588,  194, 1398,  433,  442,  616,  614,  195,  615,  816,
  617,  452,  625,  241, 1393, 1618,  242,  727,  447,  552,
  947,  634,  634,  634,  634,  634,  620,  634,  873, 1448,
  500,  588,  588,  588,  588,  588,  513,  588,  634,  520,
 1443,  553,  799,  634,  539,  603,  550, 1454,  588,  453,
 1455,  765, 1061,  588,  196, 1368, 1369,  618,  241,  874,
 1651,  242,  223, 1061,  948,  540,  766, 1444, 1449,  197,
 1061,  567,  570,  579,  634,  817,  603,  603,  603,  603,
  603,  588,  603,  225,  588,  241,  503,  229,  242,  927,
  333, 1394,  818,  603,  910,  911,  912,  913,  500,  334,
  901,  659,  661,  663,  665,  667,  669,  671,  673,  675,
  677,  679,  681,  684,  686,  688,  499,  541,  928,  693,
  695,  697,  699,  701,  703,  705,  707,  709,  711,  713,
  715,  717,  719,  569,  569, 1401, 1272, 1270, 1370,  867,
  771, 1374,  772,  569,  198, 1430, 1062,  338,  454,  450,
  455,  542,  879, 1288,  225,  812, 1464, 1576,  456, 1578,
  457,  875, 1395,  569,  569,  569,  569,  569,  569,  569,
  569,  569,  569,  569,  569,  569,  569,  569,  602,  650,
  922,  569,  569,  569,  569,  569,  569,  569,  569,  569,
  569,  569,  569,  569,  569,  458,  837,  838,  839,  840,
  841,  842,  843,  844,  605,  232,  744,  605,  499, 1371,
  650,  650,  650,  650,  650,  620,  650,  605, 1534, 1535,
  561,  500,  937,  174,  592,  335, 1512,  650,  777,  778,
  543,  459,  650, 1055,  664,  603,  785, 1056,  603, 1057,
  415,  416, 1063,  665,  960,  491,  618,  666,  790,  667,
  562,  233,  544,  813, 1372,  592,  820,  593,  592,  593,
  339, 1402,  451,  650,  616,  664,  624,  668,  664,  617,
  199, 1426,  592,  230,  665,  651,  949,  665,  666,  460,
  667,  666,  664,  667,  234,  620,  200,  652,  201,  994,
  653,  665, 1450,  923,  202,  666,  625,  667,  668,  635,
  203,  668,  745, 1058,  492,  231,  651,  651,  651,  651,
  651,  493,  651,  500,  746,  668,  618,  669,  652,  652,
  652,  652,  652,  651,  652,  204,  728,  205,  651,  613,
  635,  635,  635,  635,  635,  652,  635,  488,  206, 1513,
  652,  870,  871,  888,  889,  890,  891,  635,  669, 1059,
  494,  669,  635,  417,  418,  607,  692, 1618,  989,  651,
  613,  613,  613,  613,  613,  669,  613, 1518,  207,  554,
  208,  652, 1617,  893,  654, 1674, 1675,  613,  545,  556,
  461,  209,  613,  635,  568,  571,  607,  607,  607,  607,
  607,  340,  607,  905,  589,  210,  341,  915,  977,  211,
  212,  845, 1619,  607,  921,  213,  241,  978,  214,  242,
  215,  216,  930,  613,  660,  662,  664,  666,  668,  670,
  672,  674,  676,  678,  680,  682,  217,  687,  689,  464,
  218,  342,  694,  696,  698,  700,  702,  704,  706,  708,
  710,  712,  714,  716,  718,  720, 1439,  465,  219,  220,
  221, 1078,  222,  466,  467,  765,  971,  972,  973,  974,
  916,  246,  330,  979,  336,  337,  346,  347,  926, 1282,
  990,  982,  984,  343,  350,  344,  394,  411,  616,  614,
  412,  615,  413,  617, 1281,  414,  444,  655,  656,  468,
  469,  996,  998, 1000, 1002, 1004, 1006,  445,  448,  620,
 1011, 1012, 1013, 1014, 1015, 1016, 1017, 1018, 1019, 1021,
 1023, 1025, 1027, 1028,  463, 1030,  837,  838,  839,  840,
  841,  842,  843,  844, 1040, 1042, 1044, 1046, 1048,  470,
  618,  471,  474,  569, 1051, 1053,  591,  592,  593,  594,
  595,  596,  597,  592,  475,  481, 1066,  670,  670,  671,
 1077,  490, 1079,  569,  569,  569,  569,  569,  569,  625,
  625,  625,  625,  625,  625,  625,  625,  498,  592,  497,
  569,  569,  569,  569,  592,  569,  345,  592,  569,  569,
  569,  569,  569,  569,  569,  569,  569,  569,  569,  569,
  569,  592,  569, 1504,  521,  688,  569, 1534, 1535,  592,
  601,  601,  592,  601,  555,  601,  608,  609,  610,  611,
  612,  613,  557,  581,  582,  583,  592,  584,  585,  586,
  587,  634,  634,  634,  634,  634,  634,  634,  634,  621,
 1083,  588,  588,  588,  588,  588,  588,  588,  588,  482,
  622, 1536,  623, 1210, 1211, 1212, 1213, 1214, 1215, 1216,
 1217, 1218, 1219, 1220, 1221, 1222, 1223, 1224,  626, 1226,
 1227, 1228, 1229, 1230, 1231, 1232, 1233, 1234, 1235, 1236,
 1237, 1238, 1239,  646,  647,  648,  603,  603,  603,  603,
  603,  603,  603,  603,  515,  649, 1245,  650,  516, 1246,
 1247, 1248, 1249, 1250, 1251,  651, 1252, 1253, 1254, 1255,
 1256, 1257, 1258,  616,  614, 1154,  615, 1084,  617, 1085,
  652,  690,  691, 1510, 1266,  483,  484,  640,  485,  692,
  721, 1242,  722,  517,  620,  723,  592,  725, 1275,  726,
  241,  727,  729,  242,  730,  663,  731,  732,  733,  241,
  763,  734,  242,  735,  732,  736, 1243, 1244,  640,  640,
  640,  640,  640,  689,  640,  618,  768,  592,  605,  605,
  592,  605,  737,  605,  738,  640,  663,  518,  739,  663,
  640, 1365,  740, 1366,  592,  741,  742,  769,  743,  744,
  745,  746, 1295,  663,  983, 1277,  747,  748,  749,  750,
 1298,  751,  752,  602,  241,  753, 1303,  242,  600,  754,
  755,  640,  756,  601,  997,  999, 1001, 1003, 1005, 1007,
  650,  650,  650,  650,  650,  650,  650,  650,  757,  605,
  758, 1020, 1022, 1024, 1026,  759, 1029,  760,  486, 1032,
 1033, 1034, 1035, 1036, 1037, 1038, 1039, 1041, 1043, 1045,
 1047, 1049,  761, 1050, 1278,  487,  519, 1052,  762, 1325,
  603, 1279,  329,  774, 1326,  593,  593,  593,  593,  593,
  593,  593,  593,  775,  770,  664,  664,  776,  355,  779,
  780,  393,  781,  405,  665,  665, 1333,  782,  666,  666,
  667,  667,  434,  443,  783, 1334,  784,  792,  449,  522,
 1280,  793,  795,  523,  794,  684,  805,  796,  668,  668,
  797,  489,  800,  801,  802, 1345,  651,  651,  651,  651,
  651,  651,  651,  651,  803,  514,  849,  806,  652,  652,
  652,  652,  652,  652,  652,  652, 1376,  808,  524,  809,
  635,  635,  635,  635,  635,  635,  635,  635,  810,  811,
  814,  848,  846,  822,  558,  559,  560,  850,  669,  669,
  851,  406,  580,  616,  614, 1168,  615,  569,  617, 1342,
  613,  613,  613,  613,  613,  613,  613,  613,  602,  643,
  852,  351,  525,  788,  620,  853,  528,  657,  789,  859,
  882, 1378,  860,   54,   55, 1382,  607,  607,  607,  607,
  607,  607,  607,  607,  605,  861,  862,   59,  884,  885,
  863,  864,  529,  865,  895,  618,  866,  352, 1404, 1405,
  854,  868,  869,  876,  877,  353, 1415, 1422, 1424, 1425,
  724,  878,  633,  883,  887,  790,  387,  728,  896,  837,
  838,  839,  840,  841,  842,  843,  844,  897,  900,  855,
  903,  904,  906,  388,  907,  917,  918, 1460, 1462,  708,
  931,  526,  933,  633,  633,  633,  633,  633,  932,  633,
  934,  935,  955, 1468,  936,  938,  980,  940,  941,  942,
  633,  943,  389,  241,  530,  633,  242, 1470, 1472,  531,
  951,  532,  952,  953,  638,  533,  976,  856,  954,  857,
  956,  958,  959,  961,  962, 1478, 1479, 1480,  963, 1482,
  964, 1484,  965,  967,  981,  924,  633, 1486, 1488,  968,
  241,  731,  985,  242,  969,  638,  638,  638,  638,  638,
  390,  638,  391,  602,  970,  986,  569,  354,  788,  786,
  791,  787,  638,  789,  987,  988,  605,  638,  620,  569,
  569,  992,  993,  241, 1008, 1054,  242, 1067, 1068,  605,
 1080, 1176, 1081, 1082,  534, 1177, 1178, 1208,  924, 1207,
  569, 1209,  569, 1225,  569, 1240, 1241, 1259,  638,  569,
  569,  407,  408, 1260, 1261, 1262, 1265, 1263,  807, 1264,
  790, 1267, 1268, 1284, 1285, 1271, 1273,  819,  235,  821,
 1511, 1274, 1276,  236, 1515, 1283, 1286, 1294,  657,  601,
  601,  601,  601,  601,  601,  601,  601, 1287,  858, 1291,
 1521, 1299,  925, 1300, 1523, 1292, 1301,  140,  141, 1525,
 1526, 1527, 1293, 1296, 1529, 1297, 1531, 1532,  237, 1538,
  138,  139,  392, 1539, 1341,  881, 1302, 1305,  238, 1306,
 1307, 1308,  589, 1311, 1312, 1313, 1316, 1546, 1315, 1548,
  150,  151, 1324, 1328, 1514,  152,  153, 1329, 1331,  143,
  144,  145,  146,  147,  148,  149, 1330,  464, 1552, 1553,
  239, 1327,  240,  589,  589,  589,  589,  589, 1332,  589,
 1335, 1336,  919,  138,  139,  465, 1338, 1339, 1358,  569,
  589,  466,  467,  241, 1558,  589,  242, 1343, 1344, 1385,
 1386, 1390,  606,  607,  608,  609,  610,  611,  612,  613,
  950, 1362,  143,  144,  145,  146,  147,  148,  149,  957,
 1431, 1363, 1364, 1434, 1435, 1375,  589,  468,  469, 1377,
 1379, 1380,  569, 1452, 1466, 1381, 1383, 1494, 1387,  765,
 1496, 1573, 1501, 1388, 1502, 1389, 1505, 1522,  640,  640,
  640,  640,  640,  640,  640,  640, 1391,  605,  605,  605,
  605,  605,  605,  605,  605, 1392,  765,  470, 1399,  471,
  765,  765,  765,  765,  765,  602,  765, 1469, 1517, 1530,
  788,  786, 1407,  787, 1408,  789, 1545,  765, 1547, 1409,
 1471, 1473, 1427, 1428, 1549, 1550, 1433, 1436, 1555, 1562,
 1437,  605, 1602, 1440,  656, 1604, 1445, 1606, 1451, 1607,
 1457, 1481, 1458, 1483, 1465, 1485, 1612, 1586, 1474, 1587,
 1487, 1489,  765,  765, 1579,  472, 1588, 1475, 1589, 1476,
 1622,  747,  790, 1477, 1609,  656,  656,  656,  656,  656,
 1610,  656, 1086, 1490, 1116, 1142,  592, 1613, 1503, 1614,
 1507, 1508,  656, 1630, 1631, 1516, 1616,  656,  592, 1636,
 1621, 1638, 1519, 1524, 1528, 1640, 1541, 1542, 1605, 1625,
 1556, 1624, 1557,  691, 1559, 1560, 1634,  592,  609,  609,
  592,  609, 1561,  609,  763,  765, 1632, 1641,  656,  592,
  765,  765,  592,  765,  592,  765, 1563, 1565, 1566, 1567,
 1646, 1647, 1568, 1570, 1571, 1572,  592, 1574, 1603, 1608,
 1611,  763, 1629, 1642, 1649,  763,  763,  763,  763,  763,
 1643,  763, 1637, 1644, 1654, 1657, 1645, 1659, 1655, 1662,
 1663, 1656,  763, 1666, 1658, 1667, 1668, 1664, 1670,  592,
 1533, 1680,  765, 1673, 1669, 1677, 1681, 1686, 1687, 1679,
 1690, 1692,  606,  607,  608,  609,  610,  611,  612,  613,
 1698, 1684, 1702, 1685, 1704, 1705,  763,  763,  763, 1708,
  592,  763,  763,  592,  763, 1691,  763, 1709, 1710, 1694,
 1711, 1696, 1697, 1554, 1713, 1715, 1716,  592, 1700,  569,
 1717, 1720, 1718, 1722, 1724,    1,  107,  619,   19,  360,
  145,  363,   88, 1706,   89, 1707,  565,  173,  187,  142,
  765,  169,  765,  765, 1712,  184,  156,  130,  159,  500,
  499,  246,  247,  763, 1719,   16,  212,  211,  214,  616,
  614, 1723,  615,  213,  617, 1726,  584, 1728,  823,  576,
  585,  604,  765,  577, 1289,  824,  765,  334,  765,  337,
  620,  382,  383,  633,  633,  633,  633,  633,  633,  633,
  633,   49,  245,   50,  188,  765,  132,  343,  602,  340,
  215,   35,  765,  600,  598,  575,  599,  765,  601,   79,
  573,  618,  586,  765,  582,  358,  273,  602,  570,  571,
   80, 1009,  600,  598,  605,  599,  587,  601,  583,   96,
  146,  825,  826,  174,  572,  216,  210,  160,   34,  574,
  139,  894,  765,  605,  765,  638,  638,  638,  638,  638,
  638,  638,  638, 1441,  991,  603,  765,  590,  591,  592,
  593,  594,  595,  596,  597, 1661,  765,  847,  827,  828,
  829, 1432,  602,  765,  603, 1467,  765,  788,  786,  804,
  787,  409,  789,  410,    0,  763,  765,  763,  763,    0,
  765,    0,    0,    0,  765,    0,    0,  765,  605,    0,
    0,    0,    0,    0,  830,    0,    0,  765,  765,  765,
  765,  765,    0,  765,    0,    0,    0,  763,    0,    0,
    0,  763,    0,  763,    0,    0,    0,    0,    0,  790,
  765,  765,    0,    0,    0,    0,    0,    0,    0,    0,
  763,    0,    0,    0,    0,    0,  831,  763,    0,    0,
    0,    0,  763,  832,  833,    0,    0,    0,  763,    0,
    0,    0,    0,    0,  765,  765,  765,    0,    0,    0,
 1660,    0,  765,    0,    0,    0,    0, 1367,    0,  765,
  765,    0,    0,  765,    0,    0,    0,  763,  765,  763,
  834,    0,    0,    0,  835,    0,  765,    0,    0,    0,
  765,  763,    0,  589,  589,  589,  589,  589,  589,  589,
  589,  763,    0,  690,    0,    0, 1403,    0,  763, 1406,
    0,  763,    0,    0,    0, 1416, 1423,    0,    0,    0,
    0,  763,    0,    0,    0,  763,    0, 1116,    0,  763,
  690,    0,  763,    0,  690,  690,  690,  690,  690,    0,
  690,    0,  763,  763,  763,  763,  763,    0,  763,  138,
  139,  690, 1142,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0, 1088, 1089,  763,  763,    0, 1090,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  143,  144,
  145,  146,  147,  148,  149,    0,  690,    0,  765,    0,
  765,  765,  765,  765,  765,  765,  765,  765,    0,  763,
  763,  763,    0, 1091,    0,    0,    0,  763,    0,    0,
    0,    0,    0,    0,  763,  763,    0,    0,  763,  602,
    0,    0,    0,  763,  788,  786,  872,  787,    0,  789,
    0,  763,    0,    0, 1092,  763,  590, 1093,    0,    0,
    0,    0,    0,    0,    0,  605,    0, 1094,  688,    0,
    0,    0,    0,    0,    0,  656,  656,  656,  656,  656,
  656,  656,  656,    0,    0,    0,    0,  590,  590,  590,
  590,  590,    0,  590,    0,  688,  790,    0,    0,  688,
  688,  688,  688,  688,  590,  688, 1095,    0, 1509,  590,
    0,    0,    0,    0,    0,  591,  688,  609,  609,  609,
  609,  609,  609,  609,  609,    0,    0,    0,    0,  765,
  765,  765,  765,  765,  765,  765,  765,    0,    0,    0,
  590,    0,    0,    0,    0,    0,  591,  591,  591,  591,
  591,  688,  591,  763,  674,  763,  763,  763,  763,  763,
  763,  763,  763,  591,    0,    0,    0,    0,  591,    0,
  595,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  674,  674,  674,  674,  674,
    0,  674,    0,    0,  690,    0,  690,  690,    0,  591,
    0,  595,  674,  595,  595,  595,    0,    0,    0,    0,
  763,  763,  763,  763,  763,  763,  763,  763,  595,    0,
    0,    0,    0,    0,    0,    0,  690,    0,    0,    0,
  690,    0,  690,    0,    0,    0,    0,    0,  674,    0,
 1564,    0,    0,    0, 1010,  616,  614, 1569,  615,  690,
  617,    0,    0,    0,    0,    0,  690,    0,    0,    0,
    0,  690,    0,    0,    0,    0,  620,  690,  606,  607,
  608,  609,  610,  611,  612,  613,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  690,  618,  690,    0,
    0,    0,    0,    0,    0,    0,  404,    0,    0,    0,
  690,    0,  590,  591,  592,  593,  594,  595,  596,  597,
  690,    0,    0,    0,    0,    0,    0,  690,    0,    0,
  690,  590,  591,  592,  593,  594,  595,  596,  597,  688,
  690,  688,  688,    0,  690,    0,    0,    0,  690,    0,
    0,  690,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  690,  690,  690,  690,  690,    0,  690,    0,    0,
    0,  688,    0,    0,    0,  688,    0,  688,    0,    0,
    0,    0,    0,    0,  690,  690,  590,  591,  592,  593,
  594,  595,  596,  597,  688,  678,    0,    0,    0,    0,
    0,  688,    0,    0,    0,    0,  688,    0,    0,    0,
    0,    0,  688,    0,    0,    0,    0,    0,  690,  690,
  690,    0,  678,    0,    0,    0,  690,  678,  678,    0,
  678,    0,  678,  690,  690,    0,  689,  690,    0,    0,
    0,  688,  690,  688,    0,    0,    0,    0,  678,    0,
  690,    0,    0,    0,  690,  688,    0,    0,    0,    0,
    0,    0,    0,  689,    0,  688,    0,  689,  689,  689,
  689,  689,  688,  689,    0,  688,    0,    0,    0,  678,
    0,    0,    0,  672,  689,  688,    0,    0,    0,  688,
    0,    0,    0,  688,  247,    0,  688,    0,    0,    0,
    0,    0,  610,    0,    0,    0,  688,  688,  688,  688,
  688,    0,  688,    0,  672,  672,  672,  672,  672,  689,
  672,    0,    0,    0,    0,    0,    0,    0,    0,  688,
  688,  672,    0,  610,  610,  610,  610,  610,    0,  610,
    0,    0,    0,  395,    0,    0,    0,    0,    0,    0,
  610,    0,  690,    0,  690,  690,  690,  690,  690,  690,
  690,  690,    0,  688,  688,  688,    0,  672,    0,    0,
    0,  688,    0,    0,    0,    0,    0,    0,  688,  688,
    0,  691,  688,    0,    0,  396,    0,  688,    0,  592,
    0,    0,  397,    0,    0,  688,    0,    0,    0,  688,
    0,    0,    0,    0,    0,    0,  248,    0,  691,    0,
    0,    0,  691,  691,  691,  691,  691,    0,  691,    0,
  592,  604,  604,  592,  604,    0,  604,    0,  249,  691,
    0,    0,    0,    0,    0,  602,    0,  592,    0,  398,
    0,  250,    0,  590,  591,  592,  593,  594,  595,  596,
  597,    0,    0,    0,    0,    0,    0,    0,  399,    0,
    0,    0,    0,    0,  691,    0,  602,  602,  602,  602,
  602,    0,  602,    0,    0,    0,  400,    0,    0,    0,
    0,    0,    0,  602,    0,    0,    0,  590,  590,  590,
  590,  590,  590,  590,  590,    0,    0,  688,    0,  688,
  688,  688,  688,  688,  688,  688,  688,  689,  241,  689,
  689,  242,    0,  251,  252,  253,  254,    0,  255,  256,
  257,  258,  259,  260,  261,  262,  263,  264,  265,  266,
  267,  268,  269,  270,    0,    0,    0,    0,    0,  689,
    0,    0,    0,  689,    0,  689,  591,  591,  591,  591,
  591,  591,  591,  591,    0,    0,    0,    0,    0,    0,
    0,    0,  689,    0,  401,    0,    0,    0,    0,  689,
    0,    0,    0,    0,  689,    0,    0,  402,    0,    0,
  689,  592,    0,    0,    0,  674,  674,  674,  674,  674,
  674,  674,  674,    0,    0,    0,    0,  403,    0,    0,
    0,  595,  595,  595,  595,  595,  595,  595,  595,  689,
    0,  689,  592,  608,  608,  592,  608,    0,  608,    0,
    0,    0,    0,  689,    0,    0,    0,    0,    0,  592,
    0,    0,    0,  689,    0,  606,    0,    0,    0,    0,
  689,    0,    0,  689,  606,  607,  608,  609,  610,  611,
  612,  613,  691,  689,  691,  691,    0,  689,  686,    0,
    0,  689,    0,    0,  689,    0,  606,  606,  606,  606,
  606,    0,  606,    0,  689,  689,  689,  689,  689,    0,
  689,    0,    0,  606,  691,    0,    0,    0,  691,  686,
  691,  686,  686,  686,    0,    0,    0,  689,  689,    0,
    0,    0,    0,    0,    0,    0,  686,  691,    0,    0,
    0,    0,    0,    0,  691,    0,    0,    0,    0,  691,
    0,    0,    0,    0,    0,  691,    0,  592,    0,    0,
    0,  689,  689,  689,    0,    0,    0,    0,    0,  689,
    0,  686,    0,    0,    0,    0,  689,  689,    0,  612,
  689,    0,    0,    0,  691,  689,  691,  588,  592,  611,
  611,  592,  611,  689,  611,    0,    0,  689,  691,    0,
    0,    0,    0,    0,    0,  592,    0,    0,  691,    0,
  612,  612,  612,  612,  612,  691,  612,    0,  691,  588,
  588,    0,  588,    0,  588,    0,    0,  612,  691,    0,
    0,    0,  691,  687,    0,    0,  691,    0,    0,  691,
  588,    0,    0,  677,    0,    0,    0,    0,    0,  691,
  691,  691,  691,  691,    0,  691,  678,  678,  678,  678,
  678,  678,  678,  678,  687,    0,  687,  687,  687,    0,
  677,  588,  691,  691,    0,  677,  677,    0,  677,    0,
  677,  687,    0,    0,  592,    0,    0,    0, 1146,  616,
  614,    0,  615,    0,  617,  689,  677,  689,  689,  689,
  689,  689,  689,  689,  689,    0,  691,  691,  691,    0,
  620,    0,    0,    0,  691,  592,  687,  597,  592,  597,
    0,  691,  691,  599,    0,  691,    0,  677,    0,  602,
  691,    0,  592,    0,  788,  786,  880,  787,  691,  789,
  589,  618,  691,    0,  672,  672,  672,  672,  672,  672,
  672,  672,  679,    0,  599,  605,  599,  599,  599,  686,
    0,  686,  686,  610,  610,  610,  610,  610,  610,  610,
  610,  599,  589,  589,  680,  589,    0,  589,    0,  679,
    0,    0,  592,    0,  679,  679,  790,  679,    0,  679,
    0,  686,    0,  589,    0,  686,    0,  686,    0,    0,
    0,  680,    0,    0,    0,  679,  680,  680,    0,  680,
    0,  680,    0,  592,  686,  596,  592,  596,    0,    0,
    0,  686,    0,    0,  589,    0,  686,  680,    0,    0,
  592,    0,  686,  681,    0,    0,  679,    0,    0,    0,
  691,  590,  691,  691,  691,  691,  691,  691,  691,  691,
  604,  604,  604,  604,  604,  604,  604,  604,  680,    0,
  681,  686,    0,  686,    0,  681,  681,    0,  681,    0,
  681,    0,    0,  590,  590,  686,  590,    0,  590,    0,
    0,    0,    0,    0,    0,  686,  681,  594,    0,    0,
    0,    0,  686,    0,  590,  686,  602,  602,  602,  602,
  602,  602,  602,  602,  687,  686,  687,  687,    0,  686,
    0,  591,    0,  686,    0,    0,  686,  681,  594,    0,
  594,  594,  594,    0,    0,  590,  686,  686,  686,  686,
  686,    0,  686,    0,  592,  594,  687,    0,    0,    0,
  687,    0,  687,  591,  591,  598,  591,  602,  591,  686,
  686,    0,  788,  786,  886,  787,    0,  789,    0,  687,
    0,    0,    0,    0,  591,  592,  687,  600,  592,  600,
    0,  687,    0,  605,    0,    0,  598,  687,  598,  598,
  598,    0,  592,  686,  686,  686,    0,    0,    0,  616,
  614,  686,  615,  598,  617,  591,    0,    0,  686,  686,
  616,  614,  686,  615,  790,  617,  687,  686,  687,    0,
  620,    0,    0,    0,    0,  686, 1360,    0,    0,  686,
  687,  620,    0,    0,    0,    0,    0,    0,    0,    0,
  687,    0,    0,    0,    0,    0,    0,  687,    0,    0,
  687,  618,  608,  608,  608,  608,  608,  608,  608,  608,
  687,    0,  618,    0,  687,    0,    0,  602,  687,    0,
    0,  687,  788,  786,  939,  787,    0,  789,    0,    0,
    0,  687,  687,  687,  687,  687,    0,  687,    0,    0,
    0,    0,    0,  605,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  687,  687,  606,  606,  606,  606,
  606,  606,  606,  606,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  790,    0,    0,  686,    0,  686,
  686,  686,  686,  686,  686,  686,  686,    0,  687,  687,
  687,    0,    0,    0,    0,    0,  687,    0,    0,    0,
  602,    0,    0,  687,  687,  788,  786,  687,  787,    0,
  789,    0,  687,    0,    0,    0,    0,    0,    0,    0,
  687,    0,    0,    0,  687,    0,  605,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  611,  611,
  611,  611,  611,  611,  611,  611, 1340,  790,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  612,  612,  612,  612,  612,  612,  612,  612,  588,  588,
  588,  588,  588,  588,  588,  588,    0,    0,  602,    0,
    0,    0,    0,  788,  786,    0,  787,    0,  789,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  605,    0,    0,    0,    0,    0,
    0,    0,  687,    0,  687,  687,  687,  687,  687,  687,
  687,  687,    0,    0,  677,  677,  677,  677,  677,  677,
  677,  677,    0,    0,    0,  790,    0,    0,  606,  607,
  608,  609,  610,  611,  612,  613,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  761,  597,  597,  597,  597,  597,
  597,  597,  597,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  590,  591,  592,  593,  594,  595,  596,
  597,    0,    0,    0,    0,  761,    0,    0,  761,    0,
    0,    0,    0,    0,  599,  599,  599,  599,  599,  599,
  599,  599,  761,    0,    0,    0,    0,    0,    0,    0,
    0,  589,  589,  589,  589,  589,  589,  589,  589,    0,
    0,    0,    0,  679,  679,  679,  679,  679,  679,  679,
  679,    0,    0,    0,    0,    0,    0,  761,    0,    0,
    0,    0,    0,    0,    0,  680,  680,  680,  680,  680,
  680,  680,  680,  596,  596,  596,  596,  596,  596,  596,
  596,    0,    0,  602,    0,    0,    0,    0,  788,  786,
  944,  787,    0,  789,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  605,
    0,    0,    0,    0,    0,    0,  755,    0,    0,    0,
    0,    0,    0,    0,  681,  681,  681,  681,  681,  681,
  681,  681,  590,  590,  590,  590,  590,  590,  590,  590,
  790,    0,    0,    0,    0,    0,    0,  755,    0,    0,
  755,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  755,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  594,  594,
  594,  594,  594,  594,  594,  594,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  755,
    0,    0,  591,  591,  591,  591,  591,  591,  591,  591,
    0,  590,  591,  592,  593,  594,  595,  596,  597,    0,
    0,    0,    0,    0,    0,  600,  600,  600,  600,  600,
  600,  600,  600,    0,    0,    0,  598,  598,  598,  598,
  598,  598,  598,  598,    0,  761,    0,  761,  761,  607,
  608,  609,  610,  611,  612,  613,    0,    0,  756,  606,
  607,  608,  609,  610,  611,  612,  613,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  761,    0,    0,
    0,  761,    0,  761,    0,    0,    0,    0,    0,  756,
    0,    0,  756,    0,    0,    0,    0,    0,    0,    0,
  761,    0,    0,    0,    0,    0,  756,  761,    0,    0,
    0,    0,  761,    0,    0,    0,    0,    0,  761,    0,
    0,  590,  591,  592,  593,  594,  595,  596,  597,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  756,    0,    0,    0,    0,    0,  761,    0,  761,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  761,    0,    0,    0,    0,    0,  602,    0,    0,
    0,  761,  788,  786,  966,  787,    0,  789,  761,    0,
    0,  761,    0,    0,    0,    0,    0,  755,    0,  755,
  755,  761,    0,  605,    0,  761,    0,    0,    0,  761,
  757,    0,  761,    0,  590,  591,  592,  593,  594,  595,
  596,  597,  761,  761,  761,  761,  761,    0,  761,  755,
    0,    0,    0,  755,  790,  755,    0,    0,    0,    0,
    0,  757,    0,    0,  757,  761,  761,    0,    0,    0,
    0,    0,  755,    0,    0,    0,    0,    0,  757,  755,
    0,    0,    0,    0,  755,    0,    0,    0,    0,    0,
  755,    0,    0,    0,    0,    0,    0,    0,    0,  761,
  761,  761,    0,    0,    0,    0,    0,  761,    0,    0,
    0,    0,    0,  757,  761,  761,    0,    0,  761,  755,
    0,  755,    0,  761,  592,  593,  594,  595,  596,  597,
    0,  761,    0,  755,    0,  761,    0,    0,    0,  602,
    0,    0,    0,  755,  788,  786,  975,  787,    0,  789,
  755,    0,    0,  755,    0,    0,    0,    0,    0,  756,
    0,  756,  756,  755,    0,  605,    0,  755,    0,    0,
    0,  755,  758,    0,  755,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  755,  755,  755,  755,  755,    0,
  755,  756,    0,    0,    0,  756,  790,  756,    0,    0,
    0,    0,    0,  758,    0,    0,  758,  755,  755,    0,
    0,    0,    0,    0,  756,    0,    0,    0,    0,    0,
  758,  756,    0,    0,    0,    0,  756,    0,    0,    0,
    0,    0,  756,  761,    0,  761,  761,    0,    0,    0,
    0,  755,  755,  755,    0,    0,    0,    0,    0,  755,
    0,    0,    0,    0,    0,  758,  755,  755,    0,    0,
  755,  756,    0,  756,    0,  755,    0,    0,    0,    0,
    0,    0,    0,  755,    0,  756,    0,  755,    0,    0,
    0,  602,    0,    0,    0,  756,  788,  786,  995,  787,
    0,  789,  756,    0,    0,  756,    0,    0,    0,    0,
    0,  757,    0,  757,  757,  756,    0,  605,    0,  756,
    0,    0,    0,  756,  759,    0,  756,  590,  591,  592,
  593,  594,  595,  596,  597,    0,  756,  756,  756,  756,
  756,    0,  756,  757,    0,    0,    0,  757,  790,  757,
    0,    0,    0,    0,    0,  759,    0,    0,  759,  756,
  756,    0,    0,    0,    0,    0,  757,    0,    0,    0,
    0,    0,  759,  757,    0,    0,    0,    0,  757,    0,
    0,    0,    0,    0,  757,  755,    0,  755,  755,    0,
    0,    0,    0,  756,  756,  756,    0,    0,    0,    0,
    0,  756,    0,    0,    0,    0,    0,  759,  756,  756,
    0,    0,  756,  757,    0,  757,    0,  756,    0,    0,
    0,    0,    0,    0,    0,  756,    0,  757,    0,  756,
    0,    0,    0,    0,    0,    0,    0,  757,    0,    0,
    0,    0,    0,    0,  757,    0,    0,  757,    0,    0,
    0,    0,    0,  758,    0,  758,  758,  757,    0,    0,
    0,  757,    0,    0,    0,  757,  760,    0,  757,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  757,  757,
  757,  757,  757,    0,  757,  758,    0,    0,    0,  758,
    0,  758,    0,    0,    0,    0,    0,  760,    0,    0,
  760,  757,  757,    0,    0,    0,    0,    0,  758,    0,
    0,    0,    0,    0,  760,  758,    0,    0,    0,    0,
  758,    0,    0,    0,    0,    0,  758,  756,    0,  756,
  756,    0,    0,    0,    0,  757,  757,  757,    0,    0,
    0,    0,    0,  757,    0,    0,    0,    0,    0,  760,
  757,  757,    0,    0,  757,  758,    0,  758,    0,  757,
    0,    0,    0,    0,    0,    0,    0,  757,    0,  758,
    0,  757,    0,    0,    0,    0,    0,    0,    0,  758,
    0,    0,    0,    0,    0,    0,  758,    0,    0,  758,
    0,    0,    0,    0,    0,  759,    0,  759,  759,  758,
    0,    0,    0,  758,    0,    0,    0,  758,  762,    0,
  758,  590,  591,  592,  593,  594,  595,  596,  597,    0,
  758,  758,  758,  758,  758,    0,  758,  759,    0,    0,
    0,  759,    0,  759,    0,    0,    0,    0,    0,  762,
    0,    0,  762,  758,  758,    0,    0,    0,    0,    0,
  759,    0,    0,    0,    0,    0,  762,  759,    0,    0,
    0,    0,  759,    0,    0,    0,    0,    0,  759,  757,
    0,  757,  757,    0,    0,    0,    0,  758,  758,  758,
    0,    0,    0,    0,    0,  758,    0,    0,    0,    0,
    0,  762,  758,  758,    0,    0,  758,  759,    0,  759,
    0,  758,    0,    0,    0,    0,    0,    0,    0,  758,
    0,  759,    0,  758,    0,    0,    0,    0,    0,    0,
    0,  759,    0,    0,    0,    0,    0,    0,  759,    0,
    0,  759,    0,    0,    0,    0,    0,  760,    0,  760,
  760,  759,    0,    0,    0,  759,    0,    0,    0,  759,
  754,    0,  759,  590,  591,  592,  593,  594,  595,  596,
  597,    0,  759,  759,  759,  759,  759,    0,  759,  760,
    0,    0,    0,  760,    0,  760,    0,    0,    0,    0,
    0,  754,    0,    0,  754,  759,  759,    0,    0,    0,
    0,    0,  760,  443,    0,    0,    0,    0,  754,  760,
    0,    0,    0,    0,  760,    0,    0,    0,    0,    0,
  760,  758,    0,  758,  758,    0,    0,    0,    0,  759,
  759,  759,    0,    0,    0,    0,    0,  759,    0,    0,
    0,    0,    0,  754,  759,  759,    0,    0,  759,  760,
    0,  760,    0,  759,    0,    0,    0,    0,    0,    0,
    0,  759,    0,  760,    0,  759,    0,    0,    0,    0,
    0,    0,    0,  760,    0,    0,    0,    0,    0,    0,
  760,    0,    0,  760,    0,  444,    0,    0,    0,  762,
    0,  762,  762,  760,    0,    0,    0,  760,    0,    0,
    0,  760,    0,    0,  760,  590,  591,  592,  593,  594,
  595,  596,  597,    0,  760,  760,  760,  760,  760,    0,
  760,  762,    0,    0,    0,  762,    0,  762,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  760,  760,    0,
    0,    0,    0,    0,  762,    0,    0,    0,    0,    0,
    0,  762,    0,    0,    0,    0,  762,    0,    0,    0,
    0,    0,  762,  759,    0,  759,  759,    0,    0,    0,
    0,  760,  760,  760,    0,    0,    0,    0,    0,  760,
    0,    0,    0,    0,    0,    0,  760,  760,    0,    0,
  760,  762,    0,  762,    0,  760,    0,    0,    0,    0,
    0,    0,    0,  760,    0,  762,    0,  760,    0,    0,
    0,    0,  398,    0,    0,  762,    0,    0,    0,    0,
    0,    0,  762,    0,    0,  762,    0,    0,    0,    0,
    0,  754,    0,  754,  754,  762,    0,    0,    0,  762,
    0,    0,    0,  762,    0,    0,  762,    0,  397,    0,
    0,    0,    0,    0,    0,    0,  762,  762,  762,  762,
  762,    0,  762,  754,    0,    0,    0,  754,    0,  754,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  762,
  762,  392,    0,    0,    0,    0,  754,    0,    0,    0,
    0,    0,    0,  754,    0,    0,    0,    0,  754,    0,
    0,    0,    0,    0,  754,  760,    0,  760,  760,    0,
  443,    0,  443,  762,  762,  762,    0,    0,    0,    0,
  393,  762,    0,    0,    0,    0,    0,    0,  762,  762,
    0,    0,  762,  754,  602,  754,  443,  762, 1145,  600,
  598,  443,  599,    0,  601,  762,    0,  754,    0,  762,
    0,    0,    0,    0,    0,    0,    0,  754,    0,    0,
  605,    0,    0,    0,  754,    0,    0,  754,    0,    0,
    0,    0,    0,    0,    0,    0,  443,  754,  443,    0,
    0,  754,    0,    0,    0,  754,    0,    0,  754,    0,
  443,  603,  444,    0,  444,    0,    0,    0,  754,  754,
  754,  754,  754,    0,  754,    0,    0,  443,    0,  602,
  443,    0,    0, 1147,  600,  598,    0,  599,  444,  601,
  443,  754,  754,  444,  443,    0,    0,    0,  394,    0,
    0,    0,    0,    0,    0,  605,    0,    0,    0,    0,
    0,  443,    0,    0,  443,  443,    0,  762,    0,  762,
    0,    0,    0,    0,    0,  754,  754,  754,  444,    0,
  444,    0,  395,  754,  443,  443,  603,    0,    0,    0,
  754,  754,  444,    0,  754,    0,    0,    0,    0,  754,
    0,    0,    0,  398,    0,  398,  398,  754,    0,  444,
    0,  754,  444,    0,    0,    0,    0,    0,  443,    0,
  443,    0,  444,    0,    0,    0,  444,    0,    0,    0,
    0,    0,    0,  443,  443,  398,    0,  443,    0,  397,
    0,  397,  397,  444,    0,    0,  444,  444,    0,    0,
  443,    0,    0,    0,  443,    0,  419,    0,  398,    0,
    0,    0,    0,    0,    0,    0,  444,  444,    0,    0,
  398,  397,  392,    0,  392,  392,  398,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  397,    0,    0,    0,    0,    0,
  444,    0,  444,    0,  392,    0,  397,    0,    0,  754,
    0,  393,  397,  393,  393,  444,  444,    0,    0,  444,
    0,    0,    0,    0,    0,    0,    0,  392,    0,  398,
    0,    0,  444,    0,    0,    0,  444,    0,    0,  392,
    0,    0,    0,  393,    0,  392,    0,    0,    0,  398,
    0,    0,  443,    0,    0,    0,    0,  398,    0,    0,
  398,    0,    0,    0,    0,  397,  393,    0,    0,    0,
  398,  398,  398,  398,  398,    0,  398,    0,  393,    0,
    0,    0,    0,    0,  393,  397,    0,    0,    0,    0,
    0,    0,    0,  397,    0,    0,  397,    0,  392,    0,
    0,    0,    0,    0,    0,    0,  397,  397,  397,  397,
  397,    0,  397,    0,    0,    0,    0,    0,  392,  394,
    0,  394,  394,    0,    0,    0,  392,    0,  398,  392,
    0,    0,    0,    0,  444,  398,    0,  393,    0,  392,
  392,  392,  392,  392,    0,  392,    0,    0,    0,    0,
    0,  394,    0,  395,    0,  395,  395,  393,    0,  398,
    0,    0,    0,    0,  397,  393,    0,    0,  393,    0,
    0,  397,    0,    0,  394,    0,    0,    0,  393,  393,
  393,  393,  393,    0,  393,  395,  394,    0,    0,    0,
    0,    0,  394,    0,    0,  397,    0,  392,    0,    0,
    0,    0,    0,    0,  392,    0,  602,    0,  395,    0,
 1149,  600,  598,    0,  599,    0,  601,    0,    0,    0,
  395,    0,    0,    0,    0,    0,  395,  419,  392,  419,
  419,    0,  605,    0,    0,    0,  393,    0,    0,    0,
    0,    0,    0,  393,  602,  394,    0,    0, 1151,  600,
  598,    0,  599,    0,  601,    0, 1148,  616,  614,  419,
  615,  398,  617,  603,    0,  394,    0,  393,    0,    0,
  605,    0,    0,  394,    0,    0,  394,    0,  620,  395,
    0,    0,  419,    0,    0,    0,  394,  394,  394,  394,
  394,    0,  394,    0,  419,    0,    0,  397,  171,  395,
  419,  603,    0,  161,    0,    0,    0,  395,    0,  618,
  395,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  395,  395,  395,  395,  395,    0,  395,    0,    0,    0,
  392,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  394,    0,    0,    0,    0,    0,
    0,  394,    0,  419,    0,    0,    0,    0,  590,  591,
  592,  593,  594,  595,  596,  597,  602,    0,    0,  393,
 1155,  600,  598,  419,  599,  394,  601,    0,  395,    0,
    0,  419,    0,    0,  419,  395,    0,    0,    0,    0,
    0,    0,  605,    0,  419,  419,  419,  419,  419,    0,
  419,    0,    0,    0,    0,  602,    0,    0,    0,  395,
  600,  598, 1153,  599,    0,  601,    0,    0,    0,    0,
    0,    0,    0,  603,    0,    0,    0,    0,    0,    0,
    0,  605,    0,  590,  591,  592,  593,  594,  595,  596,
  597,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  419,    0,    0,    0,    0,    0,    0,  419,
    0,    0,  603,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  394,    0,    0,
    0,    0,    0,  419,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  395,    0,    0,    1,    2,    3,    4,    5,    6,
    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,
   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,
   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,
   37,   38,   39,   40,   41,    0,   42,   43,   44,   45,
   46,   47,   48,   49,   50,   51,    0,    0,   52,   53,
    0,    0,    0,   54,   55,    0,    0,    0,    0,   56,
    0,    0,   57,   58,    0,  419,    0,   59,   60,   61,
    0,    0,   62,    0,    0,    0,   63,    0,   64,    0,
    0,    0,    0,   65,    0,   66,   67,    0,   68,   69,
  616,  614,   70,  615,   71,  617,   72,   73,    0,   74,
    0,    0,    0,    0,    0,   75,    0,    0,    0,    0,
   76,  620,    0,   77,    0,    0,    0,    0,   78,   79,
    0,    0,    0,   80,   81,   82,   83,    0,   84,   85,
    0,    0,   86,    0,    0,    0,    0,    0,    0,    0,
   87,    0,  618,    0,   88,    0,    0,    0,    0,   89,
   90,   91,    0,   92,    0,    0,    0,    0,   93,    0,
    0,    0,   94,   95,    0,   96,   97,   98,   99,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  100,  101,
  326,    0,    0,    0,    0,  318,    0,    0,    0,    0,
    0,    0,    0,  102,  602,    0,    0,    0, 1157,  600,
  598,    0,  599,    0,  601,    0,  103,    0,    0,    0,
    0,  104,  105,    0,    0,    0,    0,  106,  107,  108,
  605,  109,  110,  111,  112,    0,    0,    0,    0,    0,
    0,  113,  114,  115,  116,  117,    0,  118,    0,    0,
    0,  119,  120,    0,    0,    0,  121,    0,    0,  122,
  123,  603,  602,    0,  124,    0, 1159,  600,  598,    0,
  599,  125,  601,  126,  127,  128,  129,    0,    0,    0,
  130,  131,    0,    0,    0,  132,    0,  133,  605,    0,
  134,  135,  136,  137,  138,  139,    0,  140,  141,  142,
  590,  591,  592,  593,  594,  595,  596,  597,  602,    0,
    0,    0, 1161,  600,  598,    0,  599,    0,  601,  603,
    0,    0,    0,  143,  144,  145,  146,  147,  148,  149,
  150,  151,    0,    0,  605,  152,  153,    0,  590,  591,
  592,  593,  594,  595,  596,  597,  606,  607,  608,  609,
  610,  611,  612,  613,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  603,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  154,    0,
    0,    0,    0,  155,  156,  157,  158,  159,  160,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  162,  163,
  164,  165,  166,  167,  168,  169,  170,  272,  273,  274,
  275,  276,  277,  278,  279,   10,   11,  280,  281,  282,
  283,  284,  285,  286,  287,  288,  289,   22,   23,  290,
  291,  292,  293,  294,  295,  296,  297,  298,  299,  300,
  301,  302,  303,  304,  305,  306,  307,    0,   42,   43,
   44,   45,   46,   47,   48,   49,    0,    0,    0,    0,
  590,  591,  592,  593,  594,  595,  596,  597,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  419,    0,
    0,    0,    0,  420,    0,    0,    0,    0,  421,  590,
  591,  592,  593,  594,  595,  596,  597,    0,    0,    0,
    0,    0,    0,  602,    0,  326,    0, 1163,  600,  598,
  318,  599,    0,  601,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  422,    0,    0,  602,    0,    0,  605,
  348,  600,  598, 1167,  599,    0,  601,  423,    0,    0,
  602,    0,    0,    0, 1165,  600,  598,    0,  599,    0,
  601,    0,  605,    0,    0,    0,    0,  424,    0,    0,
  603,  425,    0,    0,  602,  426,  605,  427, 1170,  600,
  598,  428,  599,    0,  601,    0,    0,    0,    0,  602,
    0,    0,    0,  603,  600,  598, 1174,  599,  241,  601,
  605,  242,    0,    0,  602,    0,    0,  603, 1172,  600,
  598,    0,  599,  602,  601,  605,    0, 1179,  600,  598,
    0,  599,    0,  601,    0,    0,    0,    0,    0,    0,
  605,  603,    0,    0,    0,    0,  315,    0,    0,  605,
    0,    0,    0,    0,    0,    0,  603,    0,    0,    0,
  602,    0,    0,  316, 1181,  600,  598,    0,  599,  602,
  601,  603,    0, 1183,  600,  598,    0,  599,    0,  601,
  603,    0,    0,    0,    0,  429,  605,    0,    0,    0,
    0,    0,    0,    0,    0,  605,    0,    0,    0,    0,
    0,  430,    0,    0,    0,    0,  138,  139,  431,  606,
  607,  608,  609,  610,  611,  612,  613,  603,    0,    0,
    0,    0,    0,    0,    0,    0,  603,    0,    0,    0,
    0,    0,    0,    0,    0,  143,  144,  432,  146,  147,
  148,  149,  272,  273,  274,  275,  276,  277,  278,  279,
   10,   11,  280,  281,  282,  283,  284,  285,  286,  287,
  288,  289,   22,   23,  290,  291,  292,  293,  294,  295,
  296,  297,  298,  299,  300,  301,  302,  303,  304,  305,
  306,  307,    0,   42,   43,   44,   45,   46,   47,   48,
   49,    0,    0,    0,    0,    0,    0,    0,  317,  159,
  160,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  319,    0,  320,  321,  322,  323,  324,  325,  590,  591,
  592,  593,  594,  595,  596,  597,    0,    0,  504,    0,
    0,    0,    0,  505,    0,    0,    0,    0,  506,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  326,    0,    0,    0,    0,  318,    0,    0,    0,    0,
    0,    0,    0,    0,  602,    0,    0,    0,  507,  600,
  598, 1185,  599,    0,  601,  508,  590,  591,  592,  593,
  594,  595,  596,  597,    0,    0,    0,  602,    0,    0,
  605,    0,  600,  598, 1187,  599,    0,  601,    0,  509,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  602,
    0,    0,  510,  605,  788,  786,  511,  787,    0,  789,
    0,  603,  590,  591,  592,  593,  594,  595,  596,  597,
 1359,    0,  602,  241,    0,  605,  242,  600,  598, 1189,
  599,  602,  601,    0,  603,    0,  600,  598, 1191,  599,
    0,  601,    0,    0,    0,    0,    0,    0,  605,    0,
    0,    0,    0,    0,  602,    0,  790,  605, 1193,  600,
  598,  315,  599,    0,  601,    0,    0,  512,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  602,  316,  603,
  605, 1195,  600,  598,    0,  599,  602,  601,  603,    0,
    0,  600,  598, 1197,  599,    0,  601,    0,    0,    0,
    0,    0,    0,  605,    0,    0,    0,    0,    0,    0,
    0,  603,  605,    0,    0,    0,    0,    0,    0,    0,
    0,  138,  139,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  603,    0,    0,    0,    0,    0,
    0,    0,    0,  603,    0,    0,    0,    0,    0,    0,
  143,  144,  145,  146,  147,  148,  149,  272,  273,  274,
  275,  276,  277,  278,  279,   10,   11,  280,  281,  282,
  283,  284,  285,  286,  287,  288,  289,   22,   23,  290,
  291,  292,  293,  294,  295,  296,  297,  298,  299,  300,
  301,  302,  303,  304,  305,  306,  307,    0,   42,   43,
   44,   45,   46,   47,   48,   49,    0,    0,    0,    0,
    0,    0,    0,  317,  159,  160,    0,  590,  591,  592,
  593,  594,  595,  596,  597,  319,    0,  320,  321,  322,
  323,  324,  325,    0,    0,    0,    0,    0,    0,    0,
  590,  591,  592,  593,  594,  595,  596,  597,  308,    0,
    0,    0,    0,  309,  590,  591,  592,  593,  594,  595,
  596,  597,    0,    0,    0,  326,    0,    0,    0,    0,
  318,    0,    0,    0,    0,    0,    0,  310,  590,  591,
  592,  593,  594,  595,  596,  597,    0,    0,    0,    0,
  311,    0,    0,  590,  591,  592,  593,  594,  595,  596,
  597,    0,    0,    0,    0,    0,    0,    0,  590,  591,
  592,  593,  594,  595,  596,  597,    0,  590,  591,  592,
  593,  594,  595,  596,  597,  312,    0,  313, 1150,  616,
  614,  314,  615,    0,  617,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  241,    0,
  620,  242,    0,    0,  590,  591,  592,  593,  594,  595,
  596,  597,    0,  590,  591,  592,  593,  594,  595,  596,
  597,    0,    0,    0,    0,    0,    0,    0,    0,  602,
    0,  618,    0, 1199,  600,  598,  315,  599,    0,  601,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  602,  316,    0,  605, 1201,  600,  598,    0,
  599,  602,  601,    0,    0, 1203,  600,  598,    0,  599,
    0,  601,    0,    0,    0,    0,    0,    0,  605,    0,
    0,    0,    0,    0,    0,    0,  603,  605,    0,    0,
    0,    0,    0,    0,    0,    0,  138,  139,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  603,
    0,    0,    0,    0,    0,    0,    0,    0,  603,    0,
    0,    0,    0,    0,    0,  143,  144,  145,  146,  147,
  148,  149,  272,  273,  274,  275,  276,  277,  278,  279,
   10,   11,  280,  281,  282,  283,  284,  285,  286,  287,
  288,  289,   22,   23,  290,  291,  292,  293,  294,  295,
  296,  297,  298,  299,  300,  301,  302,  303,  304,  305,
  306,  307,    0,   42,   43,   44,   45,   46,   47,   48,
   49,    0,    0,    0,    0,    0,    0,    0,  317,  159,
  160,    0,    0,    0,    0,    0,    0,  435,    0,    0,
  319,    0,  320,  321,  322,  323,  324,  325,  590,  591,
  592,  593,  594,  595,  596,  597,    0,    0,    0,    0,
    0,    0,    0,  436,    0,    0,    0,    0,  437,    0,
    0,  590,  591,  592,  593,  594,  595,  596,  597,    0,
  326,    0, 1152,  616,  614,  318,  615,    0,  617,    0,
    0,    0,    0,  590,  591,  592,  593,  594,  595,  596,
  597,    0,    0,    0,  620,  438,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  590,  591,  592,  593,
  594,  595,  596,  597,    0,  590,  591,  592,  593,  594,
  595,  596,  597,    0,    0,  618,    0,    0,    0,    0,
  439,    0,  440,    0,    0,    0,  441,    0,  590,  591,
  592,  593,  594,  595,  596,  597,    0,    0,    0,    0,
    0,    0,    0,  241,    0,    0,  242,    0,    0,    0,
    0,  590,  591,  592,  593,  594,  595,  596,  597,    0,
  590,  591,  592,  593,  594,  595,  596,  597,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  315,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  316,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  138,  139,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  143,  144,  145,  146,  147,  148,  149,  272,  273,  274,
  275,  276,  277,  278,  279,   10,   11,  280,  281,  282,
  283,  284,  285,  286,  287,  288,  289,   22,   23,  290,
  291,  292,  293,  294,  295,  296,  297,  298,  299,  300,
  301,  302,  303,  304,  305,  306,  307,    0,   42,   43,
   44,   45,   46,   47,   48,   49,    0,    0,    0,    0,
    0,    0,    0,  317,  159,  160,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  319,    0,  320,  321,  322,
  323,  324,  325,    0,    0, 1156,  616,  614,    0,  615,
    0,  617,    0,    0,    0,    0,  602,    0,  572,    0,
 1205,  600,  598,  573,  599,    0,  601,  620,    0,    0,
    0,    0,    0,  602,    0,  326,    0, 1009,  788,  786,
  318,  787,  605,  789,    0,    0,    0,  574,  606,  607,
  608,  609,  610,  611,  612,  613,  602,    0,  618,  605,
  575,  788,  786, 1304,  787,    0,  789,    0,    0,    0,
    0,    0,    0,  603,    0,    0,    0,    0,    0,    0,
    0,    0,  605,    0,    0,    0,  602,    0,    0,    0,
  790,  788,  786, 1309,  787,  576,  789,  577,    0,    0,
    0,  578,    0,  590,  591,  592,  593,  594,  595,  596,
  597,    0,  605,  790,    0,    0,    0,    0,  241,    0,
    0,  242,    0,    0,    0,    0,  590,  591,  592,  593,
  594,  595,  596,  597,    0,  590,  591,  592,  593,  594,
  595,  596,  597,  790,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  315,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  316,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  326,    0,    0,
    0,    0,  318,    0,    0,    0,  138,  139,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  143,  144,  145,  146,  147,
  148,  149,  272,  273,  274,  275,  276,  277,  278,  279,
   10,   11,  280,  281,  282,  283,  284,  285,  286,  287,
  288,  289,   22,   23,  290,  291,  292,  293,  294,  295,
  296,  297,  298,  299,  300,  301,  302,  303,  304,  305,
  306,  307,    0,   42,   43,   44,   45,   46,   47,   48,
   49,    0,    0,    0,    0,    0,    0,    0,  317,  159,
  160,    0,  606,  607,  608,  609,  610,  611,  612,  613,
  319,    0,  320,  321,  322,  323,  324,  325,    0,    0,
    0,    0,    0,    0,    0,    0,    0, 1069, 1070,    0,
    0,    0,    0, 1071,  602,    0,    0,    0,    0,  788,
  786, 1310,  787,  602,  789,    0,    0,    0,  788,  786,
 1314,  787,    0,  789,    0,    0,    0,    0,    0,    0,
  605,    0, 1072,    0,    0,    0,    0,    0,    0,  605,
    0,    0,    0,    0,    0,  348,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  790,    0,    0,    0,    0,    0,    0,    0,    0,
  790,    0,    0,    0,    0,    0,    0,    0,    0,    0,
 1073,    0, 1074,    0,  272,  273,  274,  275,  276,  277,
  278,  279,   10,   11,  280,  281,  282,  283,  284,  285,
  286,  287,  288,  289,   22,   23,  290,  291,  292,  293,
  294,  295,  296,  297,  298,  299,  300,  301,  302,  303,
  304,  305,  306,  307,    0,   42,   43,   44,   45,   46,
   47,   48,   49,    0,    0,    0,    0,    0,    0,    0,
    0,  315,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  316,    0,
    0, 1075, 1076,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0, 1410,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  602,    0,  326,    0, 1346,  600,  598,  318,  599,    0,
  601,  138,  139,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  605,  348,    0,    0,
 1411,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  143,  144,  145,  146,  147,  148,  149,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  603,    0,    0,
    0,    0, 1412,    0, 1413,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  606,  607,  608,  609,  610,
  611,  612,  613,    0,    0,  241,    0,    0,  242,    0,
  590,  591,  592,  593,  594,  595,  596,  597,    0,    0,
    0,    0,    0,  317,  159,  160,    0,  590,  591,  592,
  593,  594,  595,  596,  597,  319,    0,  320,  321,  322,
  323,  324,  325,  315,    0,    0,    0,    0,    0,    0,
  590,  591,  592,  593,  594,  595,  596,  597,    0,    0,
  316,    0,  602, 1414,    0,    0,    0,  788,  786, 1323,
  787,    0,  789,    0,    0,    0,    0,    0,    0,    0,
  590,  591,  592,  593,  594,  595,  596,  597,  605,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  138,  139,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  790,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  143,  144,  145,  146,  147,  148,  149,  272,
  273,  274,  275,  276,  277,  278,  279,   10,   11,  280,
  281,  282,  283,  284,  285,  286,  287,  288,  289,   22,
   23,  290,  291,  292,  293,  294,  295,  296,  297,  298,
  299,  300,  301,  302,  303,  304,  305,  306,  307,    0,
   42,   43,   44,   45,   46,   47,   48,   49,    0,    0,
    0,    0,    0,  602,    0,  317,  159,  160,  788,  786,
 1337,  787,    0,  789,    0,    0,    0,  319,    0,  320,
  321,  322,  323,  324,  325,    0,  602,    0,    0,  605,
 1348,  600,  598,    0,  599,    0,  601,    0,    0,    0,
 1417,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  605,    0,    0,    0,    0,  326,    0,    0,
  790,    0,  318,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  348,  603,    0, 1418,    0,    0,    0,    0,
  602,    0,    0,    0, 1350,  600,  598,    0,  599,    0,
  601,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  605, 1419,  602, 1420,
    0,    0, 1352,  600,  598,    0,  599,    0,  601,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  241,  326,    0,  242,  605,    0,  318,  603,  590,  591,
  592,  593,  594,  595,  596,  597,    0,  590,  591,  592,
  593,  594,  595,  596,  597,    0,  602,    0,    0,    0,
 1354,  600,  598,    0,  599,  603,  601,  602,  315,    0,
    0, 1356,  600,  598,    0,  599,    0,  601,    0,    0,
    0,    0,  605,    0,  602,  316,  326,    0, 1421,  788,
  786,  318,  787,  605,  789,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  605,    0,    0,  603,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  603,    0,    0,    0,  138,  139,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
 1361,  790,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  143,  144,  145,
  146,  147,  148,  149,  272,  273,  274,  275,  276,  277,
  278,  279,   10,   11,  280,  281,  282,  283,  284,  285,
  286,  287,  288,  289,   22,   23,  290,  291,  292,  293,
  294,  295,  296,  297,  298,  299,  300,  301,  302,  303,
  304,  305,  306,  307,    0,   42,   43,   44,   45,   46,
   47,   48,   49,    0,    0,    0,    0,    0,    0,    0,
  317,  159,  160,    0,  590,  591,  592,  593,  594,  595,
  596,  597,  319,    0,  320,  321,  322,  323,  324,  325,
    0,    0,    0,    0,    0,    0,    0,    0,  272,  273,
  274,  275,  276,  277,  278,  279,   10,   11,  280,  281,
  282,  283,  284,  285,  286,  287,  288,  289,   22,   23,
  290,  291,  292,  293,  294,  295,  296,  297,  298,  299,
  300,  301,  302,  303,  304,  305,  306,  307,    0,   42,
   43,   44,   45,   46,   47,   48,   49,  348,    0,    0,
    0,    0,    0,  272,  273,  274,  275,  276,  277,  278,
  279,   10,   11,  280,  281,  282,  283,  284,  285,  286,
  287,  288,  289,   22,   23,  290,  291,  292,  293,  294,
  295,  296,  297,  298,  299,  300,  301,  302,  303,  304,
  305,  306,  307,    0,   42,   43,   44,   45,   46,   47,
   48,   49,  602,    0,    0,    0,    0,  788,  786, 1384,
  787,    0,  789,    0,    0,    0,  590,  591,  592,  593,
  594,  595,  596,  597,    0,    0,    0,    0,  605,    0,
    0,  348,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  315,  602,    0,    0,    0, 1491,  788,
  786,    0,  787,    0,  789,    0,    0,  602,    0,  790,
  316, 1147,  788,  786,    0,  787,    0,  789,    0,    0,
  605,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  605,    0,    0,  348,    0,    0,  602,
    0,    0,    0, 1149,  788,  786,    0,  787,    0,  789,
    0,  790,    0,  138,  139,    0,    0,    0,    0,  535,
  536,    0,    0,    0,  790,  605,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  315,    0,    0,
    0,    0,  143,  144,  145,  146,  147,  148,  149,    0,
  326,    0,  537,  538,  316,  318,  790,  590,  591,  592,
  593,  594,  595,  596,  597,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  356,    0,
  590,  591,  592,  593,  594,  595,  596,  597,    0,    0,
    0,    0,  315,    0,    0,    0,    0,  138,  139,  357,
    0,    0,    0,  546,  547,  317,  159,  160,  602,  316,
    0,    0, 1151,  788,  786,    0,  787,  319,  789,  320,
  321,  322,  323,  324,  325,    0,  143,  144,  145,  146,
  147,  148,  149,  326,  605,    0,  548,  549,  318,    0,
    0,    0,    0, 1459,  590,  591,  592,  593,  594,  595,
  596,  597,  138,  139,  602,    0,    0,    0,    0,  788,
  786, 1153,  787,    0,  789,  790,    0,    0,    0,    0,
    0,    0,  590,  591,  592,  593,  594,  595,  596,  597,
  605,  143,  144,  145,  146,  147,  148,  149,  171,  317,
  159,  160,    0,  161,    0,    0,  358,    0,    0,    0,
    0,  319,    0,  320,  321,  322,  323,  324,  325,    0,
    0,  790,    0,    0,    0,    0,    0,    0,    0,    0,
  590,  591,  592,  593,  594,  595,  596,  597,    0,    0,
    0,  590,  591,  592,  593,  594,  595,  596,  597,    0,
    0,    0,    0,    0,  317,  159,  160,    0,  590,  591,
  592,  593,  594,  595,  596,  597,  319,    0,  320,  321,
  322,  323,  324,  325,    0,    0,    0,  272,  273,  274,
  275,  276,  277,  278,  279,   10,   11,  280,  281,  282,
  283,  284,  285,  286,  287,  288,  289,   22,   23,  290,
  291,  292,  293,  294,  295,  296,  297,  298,  299,  300,
  301,  302,  303,  304,  305,  306,  307,    0,   42,   43,
   44,   45,   46,   47,   48,   49,    0,    0,    0,  359,
  360,  361,  362,  363,  364,  365,  366,  367,  368,  369,
  370,  371,  372,  373,  374,  375,  376,  377,  378,  379,
  380,  381,  382,  383,  384,    0,    0,    0,    0,    0,
  272,  273,  274,  275,  276,  277,  278,  279,   10,   11,
  280,  281,  282,  283,  284,  285,  286,  287,  288,  289,
   22,   23,  290,  291,  292,  293,  294,  295,  296,  297,
  298,  299,  300,  301,  302,  303,  304,  305,  306,  307,
    0,   42,   43,   44,   45,   46,   47,   48,   49,    0,
  348,    0,    0,    0,    0,    2,    3,    4,    5,    6,
    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,
   17,  563,   19,   20,   21,   22,   23,   24,   25,   26,
   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,
   37,   38,   39,   40,   41,    0,   42,   43,   44,   45,
   46,   47,   48,   49,  602,    0,    0,    0, 1155,  788,
  786,    0,  787,    0,  789,    0,    0,  602,    0,    0,
    0, 1157,  788,  786,    0,  787,    0,  789,    0,    0,
  605,    0,  602,  348,    0,    0, 1159,  788,  786,    0,
  787,    0,  789,  605,    0,    0,  315,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  605,    0,
    0,  790,    0,  316,    0,    0,  590,  591,  592,  593,
  594,  595,  596,  597,  790,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  564,  790,
    0,    0,    0,    0,  602,    0,    0, 1461, 1161,  788,
  786,    0,  787,    0,  789,    0,  138,  139,  590,  591,
  592,  593,  594,  595,  596,  597,    0,    0,    0,    0,
  605,  590,  591,  592,  593,  594,  595,  596,  597,  315,
    0,    0,    0,    0,    0,  143,  144,  145,  146,  147,
  148,  149,  171,    0,    0,    0,  316,  161,    0,    0,
    0,  790,    0,  590,  591,  592,  593,  594,  595,  596,
  597,    0,    0,    0,    0,    0,    0,    0,  602,    0,
    0,    0, 1163,  788,  786,    0,  787,  602,  789,    0,
    0, 1165,  788,  786,  315,  787,    0,  789,    0,  138,
  139,    0,    0,    0,  605,    0,    0,    0,  317,  159,
  160,  565,    0,  605,    0,    0,    0,    0,    0,    0,
  319,    0,  320,  321,  322,  323,  324,  325,  143,  144,
  145,  146,  147,  148,  149,  790,    0,    0,    0,    0,
  602,    0,    0,    0,  790,  788,  786, 1492,  787,    0,
  789,    0,    0,    0,  138,  139,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  605,    0,    0,    0,
    0,    0,  590,  591,  592,  593,  594,  595,  596,  597,
    0,    0,    0,  143,  144,  145,  146,  147,  148,  149,
    0,  317,  159,  160,    0,    0,    0,  790,    0,    0,
    0,    0,    0,  319,    0,  320,  321,  322,  323,  324,
  325,    0,    0,    0,    0,    0,    0,    0,  590,  591,
  592,  593,  594,  595,  596,  597,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  566,  159,  160,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  162,    0,
  164,  165,  166,  167,  168,  169,    0,    0,    0,    2,
    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,
   13,   14,   15,   16,   17,  563,   19,   20,   21,   22,
   23,   24,   25,   26,   27,   28,   29,   30,   31,   32,
   33,   34,   35,   36,   37,   38,   39,   40,   41,    0,
   42,   43,   44,   45,   46,   47,   48,   49,  602,    0,
    0,    0, 1170,  788,  786,    0,  787,  602,  789,    0,
    0, 1172,  788,  786,    0,  787,    0,  789,    0,    0,
  602,    0,    0,    0,  605,  788,  786, 1493,  787,    0,
  789,  602,    0,  605,    0, 1179,  788,  786,    0,  787,
    0,  789,    0,  602,    0,    0,  605, 1181,  788,  786,
    0,  787,    0,  789,    0,  790,    0,  605,    0,    0,
    0,    0,    0,    0,  790,    0,  602,    0,    0,  605,
 1183,  788,  786,    0,  787,    0,  789,  790,    0,  602,
    0,    0,  564,    0,  788,  786, 1185,  787,  790,  789,
    0,  602,  605,    0,    0,    0,  788,  786, 1187,  787,
  790,  789,  602,    0,    0,  605,    0,  788,  786, 1189,
  787,    0,  789,    0,  602,    0,    0,  605,    0,  788,
  786, 1191,  787,  790,  789,  602,    0,    0,  605, 1193,
  788,  786,    0,  787,    0,  789,  790,  602,    0,    0,
  605, 1195,  788,  786,    0,  787,    0,  789,  790,    0,
  602,  605,    0,    0,    0,  788,  786, 1495,  787,  790,
  789,    0,  602,  605,    0,    0, 1199,  788,  786,    0,
  787,  790,  789,    0,    0,    0,  605,    0,  315,    0,
    0,    0,  790,    0,    0,    0,    0,    0,  605,    0,
    0,    0,    0,    0,  790,  683,    0,    0,  590,  591,
  592,  593,  594,  595,  596,  597,    0,  790,    0,    0,
    0,  590,  591,  592,  593,  594,  595,  596,  597,  790,
    0,    0,    0,    0,    0,    0,  590,  591,  592,  593,
  594,  595,  596,  597,    0,    0,    0,    0,  138,  139,
  602,    0,    0,    0, 1201,  788,  786,    0,  787,  602,
  789,    0,    0, 1203,  788,  786,    0,  787,    0,  789,
    0,    0,    0,    0,    0,    0,  605,  143,  144,  145,
  146,  147,  148,  149,    0,  605,  602,    0,    0,    0,
 1205,  788,  786,    0,  787,    0,  789,    0,  590,  591,
  592,  593,  594,  595,  596,  597,    0,  790,    0,  602,
    0,    0,  605,    0,  788,  786,  790,  787,    0,  789,
    0,    0,    0,  602,    0,    0,    0, 1346,  788,  786,
    0,  787,    0,  789,    0,  605,    0,    0,    0,    0,
  566,  159,  160,  790,    0,    0,    0,    0,    0,  605,
    0,    0,  162,    0,  164,  165,  166,  167,  168,  169,
    0,    0,    0,    0,    0, 1498,  790,    0,    0,    0,
    0,    0,  590,  591,  592,  593,  594,  595,  596,  597,
  790,  590,  591,  592,  593,  594,  595,  596,  597,  602,
    0,    0,    0, 1348,  788,  786,    0,  787,  602,  789,
    0,    0, 1350,  788,  786,    0,  787,    0,  789,    0,
    0,    0,    0,    0,    0,  605,    0,  602,    0,    0,
    0, 1352,  788,  786,  605,  787,    0,  789,    0,    0,
    0,    0,    0,    0,  590,  591,  592,  593,  594,  595,
  596,  597,    0,  605,  602,    0,  790,    0, 1354,  788,
  786,    0,  787,  602,  789,  790,    0, 1356,  788,  786,
    0,  787,    0,  789,    0,    0,    0,  602,    0,    0,
  605,    0,  788,  786,  790,  787,  602,  789,    0,  605,
    0,  788,  786, 1499,  787,    0,  789,    0,    0,  602,
    0,    0,    0,  605,  788,  786, 1506,  787,    0,  789,
    0,  790,  605,    0,    0,    0,  602,    0,    0,    0,
  790,  788,  786, 1520,  787,  605,  789,    0,    0,    0,
    0,  602,    0, 1500,  790,    0,  788,  786, 1540,  787,
  602,  789,  605,  790,    0,  788,  786, 1543,  787,    0,
  789,    0,    0,  602,    0,    0,  790,  605,  788,  786,
 1544,  787,    0,  789,  602,    0,  605,    0,    0,  788,
  786, 1551,  787,  790,  789,    0,    0,    0,    0,  605,
    0,    0,    0,    0,    0,    0,  602,    0,  790,    0,
  605,  788,  786, 1590,  787,    0,  789,  790,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  790,    0,  605,    0,    0,    0,    0,    0,    0,    0,
    0,  790,  590,  591,  592,  593,  594,  595,  596,  597,
    0,  590,  591,  592,  593,  594,  595,  596,  597,    0,
    0,    0,    0,  790,  590,  591,  592,  593,  594,  595,
  596,  597,    0,    0,    0,  590,  591,  592,  593,  594,
  595,  596,  597,    0,    0,    0,    0,  590,  591,  592,
  593,  594,  595,  596,  597,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  590,  591,  592,  593,  594,  595,  596,  597,    0,    0,
    0,    0,    0,  590,  591,  592,  593,  594,  595,  596,
  597,    0,    0,    0,    0,  590,  591,  592,  593,  594,
  595,  596,  597,    0,    0,    0,  590,  591,  592,  593,
  594,  595,  596,  597,    0,    0,    0,    0,  590,  591,
  592,  593,  594,  595,  596,  597,    0,    0,    0,  590,
  591,  592,  593,  594,  595,  596,  597,    0,    0,    0,
    0,  590,  591,  592,  593,  594,  595,  596,  597,    0,
    0,    0,    0,    0,  590,  591,  592,  593,  594,  595,
  596,  597,    0,    0,    0,    0,  590,  591,  592,  593,
  594,  595,  596,  597,  602,    0,    0,    0, 1580,  788,
  786,    0,  787,  602,  789,    0,    0, 1582,  600,  598,
    0,  599,    0,  601,    0,    0,    0,    0,    0,    0,
  605,    0,    0,    0,    0,    0,  602,    0,    0,  605,
 1584,  600,  598,    0,  599,  602,  601,    0,    0,    0,
  788,  786, 1591,  787,    0,  789,    0,    0,    0,    0,
    0,  790,  605,    0,    0,    0,    0,    0,    0,    0,
  603,  605,    0,    0,  590,  591,  592,  593,  594,  595,
  596,  597,    0,  590,  591,  592,  593,  594,  595,  596,
  597,    0,    0,  603,    0,    0,    0,    0,    0,  602,
    0,    0,  790, 1592,  788,  786,    0,  787,    0,  789,
  590,  591,  592,  593,  594,  595,  596,  597,  602,    0,
    0,    0, 1594,  788,  786,  605,  787,    0,  789,    0,
    0,    0,    0,  590,  591,  592,  593,  594,  595,  596,
  597,    0,    0,    0,  605,    0,    0,  590,  591,  592,
  593,  594,  595,  596,  597,  602,  790,    0,    0, 1596,
  788,  786,    0,  787,  602,  789,    0,    0, 1598,  600,
  598,    0,  599,    0,  601,  790,    0,    0,  602,    0,
    0,  605, 1600,  600,  598,    0,  599,    0,  601,    0,
  605,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  605,    0,    0,    0,    0,    0,
    0,    0,  790,  590,  591,  592,  593,  594,  595,  596,
  597,  603,  590,  591,  592,  593,  594,  595,  596,  597,
    0,    0,    0,    0,    0,  603,    0,    0,    0,    0,
    0,  590,  591,  592,  593,  594,  595,  596,  597,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  590,  591,
  592,  593,  594,  595,  596,  597,    0,  590,  591,  592,
  593,  594,  595,  596,  597,    0,    0,    0,    0,    0,
    0,  590,  591,  592,  593,  594,  595,  596,  597,    0,
  590,  591,  592,  593,  594,  595,  596,  597,    0,    0,
    0,    0,    0,  590,  591,  592,  593,  594,  595,  596,
  597,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  590,  591,  592,  593,  594,  595,  596,  597,    0,    0,
    0,    0,    0,    0,    0,  590,  591,  592,  593,  594,
  595,  596,  597,    0,  590,  591,  592,  593,  594,  595,
  596,  597,    0,    0,    0,    0,    0,  590,  591,  592,
  593,  594,  595,  596,  597,    0,    0,    0,  590,  591,
  592,  593,  594,  595,  596,  597,  602,    0,    0,    0,
    0,  788,  786, 1615,  787,    0,  789,    0,    0,    0,
  590,  591,  592,  593,  594,  595,  596,  597,  602,    0,
    0,    0,  605,  788,  786, 1620,  787,    0,  789,  602,
    0,    0,    0,    0,  788,  786, 1623,  787,    0,  789,
  602,    0,    0,    0,  605,  788,  786, 1626,  787,    0,
  789,  602,    0,  790,    0,  605,  788,  786,    0,  787,
    0,  789,  602,    0,    0,    0,  605,  788,  786, 1628,
  787,    0,  789,  602,    0,  790,    0,  605,  788,  786,
 1633,  787,    0,  789,  602,    0,  790,    0,  605,  788,
  786, 1635,  787,    0,  789,  602,    0,  790,    0,  605,
  788,  786, 1639,  787,    0,  789,    0, 1627,  790,    0,
  605,    0,  602,    0,    0,    0, 1648,  788,  786,  790,
  787,  605,  789,  602,    0,    0,    0, 1650,  788,  786,
  790,  787,    0,  789,  602,    0,    0,    0,  605,  788,
  786,  790,  787,    0,  789,    0,    0,    0,  602,  605,
    0,    0,  790,  788,  786, 1653,  787,  602,  789,    0,
  605,    0,  788,  786, 1665,  787,    0,  789,    0,  790,
    0,    0,    0,    0,  605,    0,    0,    0,    0,    0,
  790,    0,    0,  605,    0,    0,    0,  602,    0,    0,
 1652,  790,  788,  786, 1671,  787,    0,  789,    0,    0,
    0,    0,    0,    0,    0,  790,    0,    0,    0,    0,
    0,    0,    0,  605,  790,    0,    0,    0,  590,  591,
  592,  593,  594,  595,  596,  597,    0,  590,  591,  592,
  593,  594,  595,  596,  597,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  790,    0,    0,    0,    0,    0,
  590,  591,  592,  593,  594,  595,  596,  597,    0,  590,
  591,  592,  593,  594,  595,  596,  597,  602,    0,    0,
    0,    0,  788,  786, 1672,  787,    0,  789,    0,    0,
    0,    0,    0,    0,  602,    0,    0,    0,    0,  788,
  786, 1678,  787,  605,  789,  602,    0,    0,    0, 1682,
  788,  786,    0,  787,    0,  789,    0,    0,    0,    0,
  605,    0,    0,  590,  591,  592,  593,  594,  595,  596,
  597,  605,    0,    0,  790,    0,    0,    0,    0,    0,
    0,    0,  590,  591,  592,  593,  594,  595,  596,  597,
    0,  790,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  602,  790,    0,    0, 1683,  788,  786,    0,  787,
    0,  789,    0,    0,    0,    0,    0,    0,    0,  590,
  591,  592,  593,  594,  595,  596,  597,  605,  590,  591,
  592,  593,  594,  595,  596,  597,    0,    0,    0,    0,
    0,    0,  590,  591,  592,  593,  594,  595,  596,  597,
    0,  602,    0,    0,    0,    0,  788,  786,  790,  787,
  602,  789,    0,    0,    0,  788,  786, 1689,  787,    0,
  789,    0,    0,  602,    0,    0,    0,  605,  788,  786,
 1693,  787,    0,  789,  602,    0,  605,    0,    0,  788,
  786, 1695,  787,    0,  789,  602,    0,    0,    0,  605,
  788,  786, 1699,  787,    0,  789,  602, 1688,  790,    0,
  605,  788,  786, 1701,  787,    0,  789,  790,  602,    0,
    0,  605,    0,  788,  786,    0,  787,    0,  789,  602,
  790,    0,  605,    0,  788,  786,    0,  787,    0,  789,
  602,  790,    0,    0,  605,  788,  786, 1721,  787,    0,
  789,  602,  790,    0,    0,  605,  788,  786, 1725,  787,
    0,  789,  602,  790,    0,    0,  605,  788,  786, 1727,
  787,    0,  789,  602, 1703,  790,    0,  605,  788,  786,
    0,  787,    0,  789,  602,    0,  790,    0,  605,  600,
  598,    0,  599,    0,  601,    0,    0,  790,    0,  605,
    0,    0,    0,    0,    0, 1158,  616,  614,  790,  615,
  605,  617,    0,    0, 1160,  616,  614,    0,  615,  790,
  617,    0,    0,    0,    0,    0,    0,  620,    0,    0,
  790,    0,    0,    0,    0,    0,  620,    0, 1162,  616,
  614,  603,  615,    0,  617,    0,    0,    0,    0,    0,
  590,  591,  592,  593,  594,  595,  596,  597,  618,    0,
  620,    0,    0,    0,    0,    0,    0,  618,    0,    0,
    0,    0,  590,  591,  592,  593,  594,  595,  596,  597,
    0,    0,    0,  590,  591,  592,  593,  594,  595,  596,
  597,  618,    0,    0,  590,  591,  592,  593,  594,  595,
  596,  597,    0,    0,    0,  590,  591,  592,  593,  594,
  595,  596,  597,    0,    0,    0,  590,  591,  592,  593,
  594,  595,  596,  597,    0,    0,    0,  590,  591,  592,
  593,  594,  595,  596,  597,    0,    0,    0,  590,  591,
  592,  593,  594,  595,  596,  597,    0,    0,    0,  590,
  591,  592,  593,  594,  595,  596,  597,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  590,  591,  592,  593,
  594,  595,  596,  597,    0,    0,    0,  590,  591,  592,
  593,  594,  595,  596,  597,    0,    0,    0,  590,  591,
  592,  593,  594,  595,  596,  597,    0,    0,    0,    0,
    0,    0,  590,  591,  592,  593,  594,  595,  596,  597,
    0,  590,  591,  592,  593,  594,  595,  596,  597,    0,
    0,    0,    0,    0,    0,    0,    0, 1164,  616,  614,
    0,  615,    0,  617,    0,    0,    0,    0,    0,    0,
    0,  590,  591,  592,  593,  594,  595,  596,  597,  620,
 1166,  616,  614,    0,  615,    0,  617,    0,    0, 1171,
  616,  614,    0,  615,    0,  617,    0, 1173,  616,  614,
    0,  615,  620,  617,    0,    0,    0,    0,    0,    0,
  618,  620, 1180,  616,  614,    0,  615,    0,  617,  620,
    0,    0,    0, 1182,  616,  614,    0,  615,    0,  617,
    0,    0,    0,  618,  620,    0,    0, 1184,  616,  614,
    0,  615,  618,  617,    0,  620,    0,    0,    0,    0,
  618,  590,  591,  592,  593,  594,  595,  596,  597,  620,
    0,    0,    0,    0,    0,  618,    0,    0,  590,  591,
  592,  593,  594,  595,  596,  597,  618,    0,    0,  590,
  591,  592,  593,  594,  595,  596,  597,    0,    0,    0,
  618, 1194,  616,  614,    0,  615,    0,  617,    0, 1196,
  616,  614,    0,  615,    0,  617,    0,    0, 1200,  616,
  614,    0,  615,  620,  617,    0,    0,    0,    0,    0,
    0,  620,    0, 1202,  616,  614,    0,  615,    0,  617,
  620,    0,    0,    0,    0,  590,  591,  592,  593,  594,
  595,  596,  597,    0,  618,  620,    0,    0,    0,    0,
    0, 1714,  618, 1204,  616,  614,    0,  615,    0,  617,
    0,  618, 1206,  616,  614,    0,  615,    0,  617,    0,
    0,    0,    0,    0,    0,  620,  618,    0,    0,    0,
    0,    0,    0,    0,  620,  590,  591,  592,  593,  594,
  595,  596,  597,    0,  590,  591,  592,  593,  594,  595,
  596,  597,    0,    0,    0,    0,  618,  590,  591,  592,
  593,  594,  595,  596,  597,  618,    0,    0,  590,  591,
  592,  593,  594,  595,  596,  597,    0,    0,    0,  590,
  591,  592,  593,  594,  595,  596,  597,    0,    0,    0,
  590,  591,  592,  593,  594,  595,  596,  597,    0,    0,
    0,    0,  590,  591,  592,  593,  594,  595,  596,  597,
    0,    0,    0,  590,  591,  592,  593,  594,  595,  596,
  597,    0,    0,    0,  590,  591,  592,  593,  594,  595,
  596,  597,    0,    0,    0,  590,  591,  592,  593,  594,
  595,  596,  597,    0,    0,    0,  590,  591,  592,  593,
  594,  595,  596,  597,    0,    0,    0,  590,  591,  592,
  593,  594,  595,  596,  597,    0,    0,    0,  590,  591,
  592,  593,  594,  595,  596,  597,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  606,  607,  608,  609,  610,
  611,  612,  613,    0,  606,  607,  608,  609,  610,  611,
  612,  613,    0,    0, 1347,  616,  614,    0,  615,    0,
  617,    0,    0,    0,    0,    0,    0,    0,  606,  607,
  608,  609,  610,  611,  612,  613,  620, 1349,  616,  614,
    0,  615,    0,  617,    0,    0, 1351,  616,  614,    0,
  615,    0,  617,    0, 1353,  616,  614,    0,  615,  620,
  617,    0,    0,    0,    0,    0,    0,  618,  620, 1355,
  616,  614,    0,  615,    0,  617,  620,    0, 1357,  616,
  614,    0,  615,    0,  617,    0,    0,    0,    0,    0,
  618,  620, 1581,  616,  614,    0,  615,    0,  617,  618,
  620,    0, 1583,  616,  614,    0,  615,  618,  617,    0,
    0, 1585,  616,  614,  620,  615,    0,  617,    0, 1593,
  616,  614,  618,  615,  620,  617,    0,    0, 1595,  616,
  614,  618,  615,  620,  617,    0, 1597,  616,  614,    0,
  615,  620,  617,    0,    0,  618,    0, 1599,  616,  614,
  620,  615,    0,  617,    0,  618,    0,    0,  620,    0,
    0, 1601,  616,  614,  618,  615,    0,  617,    0,  620,
    0,    0,  618,  616,  614, 1175,  615,    0,  617,    0,
    0,  618,    0,  620,    0,  616,  614, 1186,  615,  618,
  617,    0,    0,    0,  620,    0,    0,    0,    0,    0,
  618,    0,    0,    0,    0,    0,  620,    0,    0,    0,
    0,    0,    0,    0,  618,    0,    0,  606,  607,  608,
  609,  610,  611,  612,  613,  618,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  618,    0,    0,
  606,  607,  608,  609,  610,  611,  612,  613,    0,  606,
  607,  608,  609,  610,  611,  612,  613,  606,  607,  608,
  609,  610,  611,  612,  613,    0,    0,    0,    0,    0,
    0,    0,  606,  607,  608,  609,  610,  611,  612,  613,
    0,    0,    0,  606,  607,  608,  609,  610,  611,  612,
  613,  616,  614, 1188,  615,    0,  617,  606,  607,  608,
  609,  610,  611,  612,  613,    0,    0,    0,    0,    0,
    0,    0,  620,    0,    0,  616,  614, 1190,  615,    0,
  617,    0,    0,    0,  616,  614, 1192,  615,    0,  617,
    0,    0,    0,    0,    0,    0,  620,    0,    0,    0,
    0,    0,    0,  618,    0,  620,    0,    0,    0,    0,
    0,  606,  607,  608,  609,  610,  611,  612,  613,  606,
  607,  608,  609,  610,  611,  612,  613,  618,  606,  607,
  608,  609,  610,  611,  612,  613,  618,    0,    0, 1120,
    0, 1121,    0,  606,  607,  608,  609,  610,  611,  612,
  613,  616,  614, 1198,  615,    0,  617,    0,    0,    0,
    0,    0,    0,    0,    0, 1122,    0,    0,    0,    0,
 1123,    0,  620,  606,  607,  608,  609,  610,  611,  612,
  613,    0,  606,  607,  608,  609,  610,  611,  612,  613,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  618,    0, 1124,    0, 1125,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0, 1126,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0, 1127,    0,    0, 1128,
    0,    0,    0,    0,    0,    0,    0,    0,    0, 1129,
    0,    0,    0, 1130,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  241,    0,    0,  242, 1131,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0, 1132, 1133,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  356,
    0,    0,    0,    0,    0,    0,    0, 1134,    0, 1135,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  357,    0, 1136, 1137,    0,    0, 1138,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0, 1139,
    0,    0,    0, 1140,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  606,  607,  608,  609,  610,  611,
  612,  613,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  606,  607,  608,
  609,  610,  611,  612,  613,    0,  606,  607,  608,  609,
  610,  611,  612,  613,  606,  607,  608,  609,  610,  611,
  612,  613,    0,    0,    0,    0,    0,    0,    0,  606,
  607,  608,  609,  610,  611,  612,  613,  358,  606,  607,
  608,  609,  610,  611,  612,  613,    0,    0,    0,    0,
    0,    0,  606,  607,  608,  609,  610,  611,  612,  613,
    0, 1141,  606,  607,  608,  609,  610,  611,  612,  613,
    0,  606,  607,  608,  609,  610,  611,  612,  613,  606,
  607,  608,  609,  610,  611,  612,  613,    0,  606,  607,
  608,  609,  610,  611,  612,  613,  606,  607,  608,  609,
  610,  611,  612,  613,    0,    0,    0,  606,  607,  608,
  609,  610,  611,  612,  613,    0,    0,    0,    0,    0,
    0,  606,  607,  608,  609,  610,  611,  612,  613,    0,
    0,    0,  606,  607,  608,  609,  610,  611,  612,  613,
    0,    0,    0,    0,  606,  607,  608,  609,  610,  611,
  612,  613,    0,    0,    0,    0, 1097,    0, 1098, 1099,
  359,  360,  361,  362,  363,  364,  365,  366,  367,  368,
  369,  370,  371,  372,  373,  374,  375,  376,  377,  378,
  379,  380,  381,  382,  383,  384,    0,    0, 1100,    0,
    0,    0,  476,  477,  247,    0,    0,    0,    0,    0,
    0,    0,    0,  478,    0,    0, 1438,    0,    0,    0,
    0, 1101,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0, 1102,    0,    0,    0,    0,    0, 1103,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  606,  607,  608,  609,  610,  611,  612,  613,    0,    0,
    0,    0,    0,    0,    0,  479,    0,    0,    0,    0,
    0,    0,    0,    0,  606,  607,  608,  609,  610,  611,
  612,  613, 1104,  606,  607,  608,  609,  610,  611,  612,
  613,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0, 1105,    0,    0,    0,  248,    0,    0,    0,
 1106,    0,    0, 1107,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  241, 1108, 1109,  242, 1110,  249, 1111,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  250,    0,    0,    0,    0,    0,    0,    0,    0,
  606,  607,  608,  609,  610,  611,  612,  613,    0,    0,
    0,  627,  628,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0, 1112,    0,    0,  629,    0,    0,    0, 1113,    0,
  630,    0,    0,    0,    0,    0,  631,    0,  632,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0, 1114,  251,  252,  253,  254,  633,  255,  256,
  257,  258,  259,  260,  261,  262,  263,  264,  265,  266,
  267,  268,  269,  270,  472,  472,    0,    0,  634,    0,
  635,    0,    0,    0,  471,  471,    0,    0,    0,    0,
    0,    0,  636,    0,    0,    0,    0,  472,    0,    0,
    0,  241,    0,  472,  242,    0,    0,  471,    0,  472,
    0,  472,    0,  471,    0,    0,    0,    0,    0,  471,
    0,  471,    0,    0,  637,    0,    0,    0,    0,    0,
  472,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  471,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  472,    0,  472, 1115,    0,    0,    0,    0,  638,
  639,  471,    0,  471,    0,  472,    0,    0,    0,    0,
    0,    0,    0,    0,  472,  471,    0,  472,    0,    0,
    0,  640,    0,    0,  471,    0,    0,  471,    0,    0,
  641,    0,    0,    0,    0,    0,    0,  472,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  471,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  642,    0,    0,    0,    0,    0,
    0,    0,  472,  472,    0,    0,    0,    0,    0,    0,
    0,    0,  471,  471,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  472,    0,    0,    0,    0,    0,
    0,    0,    0,  472,  471,    0,    0,    0,    0,    0,
    0,    0,    0,  471,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  472,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  471,
};
short yycheck[] = {                                      52,
    0,  477,  338,  309,  480,  512,   10,   60,   10,  109,
  342,  374,  406,  385,  419,  360,  399,  493,   10,   46,
   46,   37,   10,   46,  855,  323,   42,   43,   81,   45,
  348,   47,  132,   40,   61,   61,  324,   41,  324,   41,
   44,  348,   44,  632,  348,   37,  324,   63,  348,   41,
   42,   43,   44,   45,   58,   47,   58,  324,  324,  357,
  324,   40,    0,   63,  390,   91,   58,  344,   91,  448,
  343,   63,  451,   40,   74,  348,  448,  455,   94,  451,
   10,  544,  374,  360,   41,  490,  456,  419,  424,   46,
   10,   40,  462,   93,   94,   42,   43,   40,   45,  471,
   47,  101,   94,  448,  342,   46,  451,   37,  486,  503,
  383,   41,   42,   43,   44,   45,   63,   47,  506,  451,
  465,   41,   42,   43,   44,   45,  126,   47,   58,  129,
  513,  525,  639,   63,  134,   10,  136,  443,   58,  308,
  446,  445,  460,   63,   40,  336,  337,   94,  448,  537,
   91,  451,  639,  460,  427,  338,  460,  540,  490,   40,
  460,  161,  162,  163,   94,  537,   41,   42,   43,   44,
   45,  171,   47,  536,   94,  448,  639,  503,  451,  546,
  516,  419,  554,   58,  589,  590,  591,  592,  465,  525,
  344,  191,  192,  193,  194,  195,  196,  197,  198,  199,
  200,  201,  202,  203,  204,  205,  360,  390,  575,  209,
  210,  211,  212,  213,  214,  215,  216,  217,  218,  219,
  220,  221,  222,  161,  162,  513,  815,  513,  419,  428,
  542, 1062,  544,  171,   40,  513,  543,  390,  407,  390,
  409,  424,  441,  543,  536,  537,  513,  513,  417,  513,
  419,  639,  490,  191,  192,  193,  194,  195,  196,  197,
  198,  199,  200,  201,  202,  203,  204,  205,   37,   10,
  390,  209,  210,  211,  212,  213,  214,  215,  216,  217,
  218,  219,  220,  221,  222,  454,  298,  299,  300,  301,
  302,  303,  304,  305,   63,  503,   37,   63,  360,  490,
   41,   42,   43,   44,   45,   63,   47,   63,  283,  284,
   61,  465,  511,    0,   10,  651,  390,   58,  318,  319,
  503,  490,   63,  421,   10,   94,  326,  425,   94,  427,
  390,  391,  639,   10,  533,  362,   94,   10,   94,   10,
   91,  549,  525,  396,  535,   41,  399,   43,   44,   45,
  503,  639,  503,   94,   42,   41,   61,   10,   44,   47,
   40, 1110,   58,  639,   41,   10,  639,   44,   41,  538,
   41,   44,   58,   44,  582,   63,   40,   10,   40,  578,
  332,   58, 1131,  503,   40,   58,   91,   58,   41,   10,
   40,   44,   37,  491,  421,  484,   41,   42,   43,   44,
   45,  428,   47,  465,   37,   58,   94,   10,   41,   42,
   43,   44,   45,   58,   47,   40,   37,   40,   63,   10,
   41,   42,   43,   44,   45,   58,   47,   46,   40,  503,
   63,  431,  432,  631,  632,  633,  634,   58,   41,  537,
  467,   44,   63,  503,  504,   10,   37,   46,  348,   94,
   41,   42,   43,   44,   45,   58,   47, 1288,   40,  140,
   40,   94,   61,  463,  416,  659,  660,   58,  651,  150,
  639,   40,   63,   94,  161,  162,   41,   42,   43,   44,
   45,  343,   47,  483,  171,   40,  348,  487,  376,   40,
   40,  503,   91,   58,  494,   40,  448,  385,   40,  451,
   40,   40,  502,   94,  191,  192,  193,  194,  195,  196,
  197,  198,  199,  200,  201,  202,   40,  204,  205,  376,
   40,  383,  209,  210,  211,  212,  213,  214,  215,  216,
  217,  218,  219,  220,  221,  222, 1125,  394,   40,   40,
   40,  641,   40,  400,  401,  445,  546,  547,  548,  549,
  488,  348,  344,  553,  639,  639,  639,   40,  496,   46,
  460,  561,  562,  425,  344,  427,  344,  356,   42,   43,
   40,   45,  554,   47,   61,   40,  639,  529,  530,  436,
  437,  581,  582,  583,  584,  585,  586,  639,  638,   63,
  590,  591,  592,  593,  594,  595,  596,  597,  598,  599,
  600,  601,  602,  603,  544,  605,  298,  299,  300,  301,
  302,  303,  304,  305,  614,  615,  616,  617,  618,  476,
   94,  478,  427,  561,  624,  625,  642,  643,  644,  645,
  646,  647,  648,   10,  344,   40,  636,  641,  642,  641,
  640,  344,  642,  581,  582,  583,  584,  585,  586,  641,
  642,  643,  644,  645,  646,  647,  648,  503,   10,  639,
  598,  599,  600,  601,   41,  603,  528,   44,  606,  607,
  608,  609,  610,  611,  612,  613,  614,  615,  616,  617,
  618,   58,  620, 1272,  525,   37,  624,  283,  284,   41,
   42,   43,   44,   45,   40,   47,  643,  644,  645,  646,
  647,  648,   40,   40,   40,   40,   58,   40,   40,   40,
   40,  641,  642,  643,  644,  645,  646,  647,  648,   10,
  348,  641,  642,  643,  644,  645,  646,  647,  648,  348,
   10,  327,   10,  733,  734,  735,  736,  737,  738,  739,
  740,  741,  742,  743,  744,  745,  746,  747,   10,  749,
  750,  751,  752,  753,  754,  755,  756,  757,  758,  759,
  760,  761,  762,   10,   10,   40,  641,  642,  643,  644,
  645,  646,  647,  648,  344,   40,  776,   10,  348,  779,
  780,  781,  782,  783,  784,   10,  786,  787,  788,  789,
  790,  791,  792,   42,   43,   44,   45,  425,   47,  427,
   10,  639,  639, 1279,  804,  424,  425,   10,  427,  639,
   46,  503,  639,  383,   63,   44,   10,  506,  818,  639,
  448,  639,  639,  451,  639,   10,  639,  344,   40,  448,
  639,   40,  451,   40,   37,   40,  774,  775,   41,   42,
   43,   44,   45,   37,   47,   94,   46,   41,   42,   43,
   44,   45,   40,   47,   40,   58,   41,  427,   40,   44,
   63,  425,   40,  427,   58,   40,   40,  639,   40,   40,
   40,   40,  872,   58,  561,  362,   40,   40,   40,   40,
  880,   40,   40,   37,  448,   40,  886,  451,   42,   40,
   40,   94,   40,   47,  581,  582,  583,  584,  585,  586,
  641,  642,  643,  644,  645,  646,  647,  648,   40,   63,
   40,  598,  599,  600,  601,   40,  603,   40,  537,  606,
  607,  608,  609,  610,  611,  612,  613,  614,  615,  616,
  617,  618,   40,  620,  421,  554,  506,  624,   40,  939,
   94,  428,   63,   46,  944,  641,  642,  643,  644,  645,
  646,  647,  648,   46,  639,  641,  642,   91,   79,   40,
   40,   82,   40,   84,  641,  642,  966,   40,  641,  642,
  641,  642,   93,   94,   40,  975,   40,   91,   99,  344,
  467,   44,  534,  348,   46,  985,  348,  506,  641,  642,
  639,  112,  639,  639,  506,  995,  641,  642,  643,  644,
  645,  646,  647,  648,  503,  126,  503,  639,  641,  642,
  643,  644,  645,  646,  647,  648, 1069,  639,  383,  639,
  641,  642,  643,  644,  645,  646,  647,  648,  639,  504,
  506,  639,  504,  506,  155,  156,  157,  639,  641,  642,
  503,  283,  163,   42,   43,   44,   45,  985,   47,  987,
  641,  642,  643,  644,  645,  646,  647,  648,   37,  180,
  499,  346,  427,   42,   63,  499,  322,  188,   47,  506,
  534, 1071,  639,  315,  316, 1075,  641,  642,  643,  644,
  645,  646,  647,  648,   63,  639,  639,  329,   46,  534,
  639,  639,  348,  639,  344,   94,  639,  382, 1098, 1099,
  348,  639,  639,  639,  639,  390, 1106, 1107, 1108, 1109,
  231,  639,   10,  639,  639,   94,  331,  238,  639,  298,
  299,  300,  301,  302,  303,  304,  305,  344,  344,  377,
  503,  639,  639,  348,  639,  639,  639, 1137, 1138,   37,
  506,  506,  344,   41,   42,   43,   44,   45,  639,   47,
  639,  639,  537, 1153,  639,  639,  503,  639,  639,  639,
   58,  639,  377,  448,  420,   63,  451, 1167, 1168,  425,
  639,  427,  639,  639,   10,  431,  344,  425,  639,  427,
  639,  639,  639,  639,  639, 1185, 1186, 1187,  639, 1189,
  639, 1191,  639,  639,  503,  421,   94, 1197, 1198,  639,
  448,   37,   40,  451,  639,   41,   42,   43,   44,   45,
  425,   47,  427,   37,  639,   46, 1154,  502,   42,   43,
   44,   45,   58,   47,   46,  639,   63,   63,   63, 1167,
 1168,  639,  639,  448,  503,  344,  451,  639,  639,   63,
  639,   41,  503,  503,  500,   44,   44,  639,  421,  503,
 1188,  639, 1190,  639, 1192,  639,  639,  639,   94, 1197,
 1198,  503,  504,  503,  503,  639,   44,  639,  389,  639,
   94,  639,  639,   44,   44,  639,  639,  398,  343,  400,
 1280,  639,  639,  348, 1284,  639,   44,  344,  409,  641,
  642,  643,  644,  645,  646,  647,  648,  639,  419,  639,
 1300,  390,  528,   44, 1304,  639,  503,  549,  550, 1309,
 1310, 1311,  639,  639, 1314,  639, 1316, 1317,  383, 1319,
  546,  547,  537, 1323,  503,  446,  503,  344,  393,  344,
  344,   44,   10,   61,   44,  344,   61, 1337,   46, 1339,
  582,  583,  639,  639, 1282,  587,  588,  639,   44,  575,
  576,  577,  578,  579,  580,  581,  639,  376, 1358, 1359,
  425,  506,  427,   41,   42,   43,   44,   45,  639,   47,
  344,  344,  493,  546,  547,  394,   44,   44,   44, 1317,
   58,  400,  401,  448, 1384,   63,  451,  639,  639,   44,
   44,  506,  641,  642,  643,  644,  645,  646,  647,  648,
  521,  639,  575,  576,  577,  578,  579,  580,  581,  530,
   44,  639,  639,  344,  506,  639,   94,  436,  437,  639,
  639,  639, 1360,  344,   44,  639,  639,   41,  639,   10,
   46, 1431,   44,  639,  534,  639,   44,  534,  641,  642,
  643,  644,  645,  646,  647,  648,  639,  641,  642,  643,
  644,  645,  646,  647,  648,  639,   37,  476,  639,  478,
   41,   42,   43,   44,   45,   37,   47, 1154,  503,  503,
   42,   43,  639,   45,  639,   47,  385,   58,  503,  639,
 1167, 1168,  639,  639,   61,   46,  639,  639,   61,   44,
  639,   63, 1492,  639,   10, 1495,  639, 1497,  639, 1499,
  639, 1188,  639, 1190,  639, 1192, 1506,   41,  639,   41,
 1197, 1198,   93,   94,  344,  534,   44,  639,   44,  639,
 1520,   37,   94,  639,  390,   41,   42,   43,   44,   45,
   41,   47,  653,  639,  655,  656,   10,   44,  639,  344,
  639,  639,   58, 1543, 1544,  639,   46,   63,   10, 1549,
   44, 1551,  639,  639,  639, 1555,  639,  639, 1496,   41,
  639,  390,  639,   37,  639,  639,   44,   41,   42,   43,
   44,   45,  639,   47,   10,   37,  344,   41,   94,   41,
   42,   43,   44,   45,   58,   47,  639,  639,  639,  639,
 1590, 1591,  639,  639,  639,  639,   58,  639,  639,  639,
  639,   37,  639,   41,   41,   41,   42,   43,   44,   45,
  639,   47, 1550,  639,   44, 1615,  639, 1617,   46, 1619,
 1620,  639,   58, 1623,  503,   46, 1626,  639, 1628,   10,
 1317,   41,   94,  344,   61, 1635,   44,  639,  503, 1639,
   41,  503,  641,  642,  643,  644,  645,  646,  647,  648,
   44, 1651,  639, 1653,   61,  639,   37,   93,   94,  639,
   41,   42,   43,   44,   45, 1665,   47,  639,  639, 1669,
   44, 1671, 1672, 1360,   41,   41,   41,   58, 1678, 1617,
   41,   44,  639,  639,   41,    0,   10,   10,   10,   10,
   10,   10,   10, 1693,   10, 1695,   91,   10,   10,   10,
  281,   10,  283,  284, 1704,   10,   10,   10,   10,   10,
   10,   10,   10,   94, 1714,   10,   10,   10,   10,   42,
   43, 1721,   45,   10,   47, 1725,   10, 1727,  332,   10,
   10,   10,  313,   10,  855,  339,  317,   10,  319,   10,
   63,   10,   10,  641,  642,  643,  644,  645,  646,  647,
  648,   10,   10,   10,   10,  336,   10,   10,   37,   10,
   10,   10,  343,   42,   43,   10,   45,  348,   47,   10,
   10,   94,   10,  354,   10,   10,   10,   37,   10,   10,
   10,   41,   42,   43,   63,   45,   10,   47,   10,   10,
   10,  395,  396,   10,   10,   10,   10,   10,   10,   10,
   10,  472,  383,   63,  385,  641,  642,  643,  644,  645,
  646,  647,  648, 1127,  574,   94,  397,  641,  642,  643,
  644,  645,  646,  647,  648, 1618,  407,  409,  432,  433,
  434, 1118,   37,  414,   94, 1143,  417,   42,   43,   44,
   45,   85,   47,   85,   -1,  281,  427,  283,  284,   -1,
  431,   -1,   -1,   -1,  435,   -1,   -1,  438,   63,   -1,
   -1,   -1,   -1,   -1,  468,   -1,   -1,  448,  449,  450,
  451,  452,   -1,  454,   -1,   -1,   -1,  313,   -1,   -1,
   -1,  317,   -1,  319,   -1,   -1,   -1,   -1,   -1,   94,
  471,  472,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  336,   -1,   -1,   -1,   -1,   -1,  510,  343,   -1,   -1,
   -1,   -1,  348,  517,  518,   -1,   -1,   -1,  354,   -1,
   -1,   -1,   -1,   -1,  505,  506,  507,   -1,   -1,   -1,
 1617,   -1,  513,   -1,   -1,   -1,   -1, 1058,   -1,  520,
  521,   -1,   -1,  524,   -1,   -1,   -1,  383,  529,  385,
  554,   -1,   -1,   -1,  558,   -1,  537,   -1,   -1,   -1,
  541,  397,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,  407,   -1,   10,   -1,   -1, 1097,   -1,  414, 1100,
   -1,  417,   -1,   -1,   -1, 1106, 1107,   -1,   -1,   -1,
   -1,  427,   -1,   -1,   -1,  431,   -1, 1118,   -1,  435,
   37,   -1,  438,   -1,   41,   42,   43,   44,   45,   -1,
   47,   -1,  448,  449,  450,  451,  452,   -1,  454,  546,
  547,   58, 1143,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  343,  344,  471,  472,   -1,  348,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  575,  576,
  577,  578,  579,  580,  581,   -1,   93,   -1,  639,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,  505,
  506,  507,   -1,  383,   -1,   -1,   -1,  513,   -1,   -1,
   -1,   -1,   -1,   -1,  520,  521,   -1,   -1,  524,   37,
   -1,   -1,   -1,  529,   42,   43,   44,   45,   -1,   47,
   -1,  537,   -1,   -1,  414,  541,   10,  417,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   63,   -1,  427,   10,   -1,
   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,   -1,   -1,   -1,   41,   42,   43,
   44,   45,   -1,   47,   -1,   37,   94,   -1,   -1,   41,
   42,   43,   44,   45,   58,   47,  466,   -1, 1279,   63,
   -1,   -1,   -1,   -1,   -1,   10,   58,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,
   94,   -1,   -1,   -1,   -1,   -1,   41,   42,   43,   44,
   45,   93,   47,  639,   10,  641,  642,  643,  644,  645,
  646,  647,  648,   58,   -1,   -1,   -1,   -1,   63,   -1,
   10,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   41,   42,   43,   44,   45,
   -1,   47,   -1,   -1,  281,   -1,  283,  284,   -1,   94,
   -1,   41,   58,   43,   44,   45,   -1,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   58,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  313,   -1,   -1,   -1,
  317,   -1,  319,   -1,   -1,   -1,   -1,   -1,   94,   -1,
 1411,   -1,   -1,   -1,   41,   42,   43, 1418,   45,  336,
   47,   -1,   -1,   -1,   -1,   -1,  343,   -1,   -1,   -1,
   -1,  348,   -1,   -1,   -1,   -1,   63,  354,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  383,   94,  385,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   46,   -1,   -1,   -1,
  397,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
  407,   -1,   -1,   -1,   -1,   -1,   -1,  414,   -1,   -1,
  417,  641,  642,  643,  644,  645,  646,  647,  648,  281,
  427,  283,  284,   -1,  431,   -1,   -1,   -1,  435,   -1,
   -1,  438,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  448,  449,  450,  451,  452,   -1,  454,   -1,   -1,
   -1,  313,   -1,   -1,   -1,  317,   -1,  319,   -1,   -1,
   -1,   -1,   -1,   -1,  471,  472,  641,  642,  643,  644,
  645,  646,  647,  648,  336,   10,   -1,   -1,   -1,   -1,
   -1,  343,   -1,   -1,   -1,   -1,  348,   -1,   -1,   -1,
   -1,   -1,  354,   -1,   -1,   -1,   -1,   -1,  505,  506,
  507,   -1,   37,   -1,   -1,   -1,  513,   42,   43,   -1,
   45,   -1,   47,  520,  521,   -1,   10,  524,   -1,   -1,
   -1,  383,  529,  385,   -1,   -1,   -1,   -1,   63,   -1,
  537,   -1,   -1,   -1,  541,  397,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   37,   -1,  407,   -1,   41,   42,   43,
   44,   45,  414,   47,   -1,  417,   -1,   -1,   -1,   94,
   -1,   -1,   -1,   10,   58,  427,   -1,   -1,   -1,  431,
   -1,   -1,   -1,  435,  335,   -1,  438,   -1,   -1,   -1,
   -1,   -1,   10,   -1,   -1,   -1,  448,  449,  450,  451,
  452,   -1,  454,   -1,   41,   42,   43,   44,   45,   93,
   47,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  471,
  472,   58,   -1,   41,   42,   43,   44,   45,   -1,   47,
   -1,   -1,   -1,  283,   -1,   -1,   -1,   -1,   -1,   -1,
   58,   -1,  639,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,  505,  506,  507,   -1,   94,   -1,   -1,
   -1,  513,   -1,   -1,   -1,   -1,   -1,   -1,  520,  521,
   -1,   10,  524,   -1,   -1,  325,   -1,  529,   -1,   10,
   -1,   -1,  332,   -1,   -1,  537,   -1,   -1,   -1,  541,
   -1,   -1,   -1,   -1,   -1,   -1,  447,   -1,   37,   -1,
   -1,   -1,   41,   42,   43,   44,   45,   -1,   47,   -1,
   41,   42,   43,   44,   45,   -1,   47,   -1,  469,   58,
   -1,   -1,   -1,   -1,   -1,   10,   -1,   58,   -1,  379,
   -1,  482,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  398,   -1,
   -1,   -1,   -1,   -1,   93,   -1,   41,   42,   43,   44,
   45,   -1,   47,   -1,   -1,   -1,  416,   -1,   -1,   -1,
   -1,   -1,   -1,   58,   -1,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,  639,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,  281,  448,  283,
  284,  451,   -1,  554,  555,  556,  557,   -1,  559,  560,
  561,  562,  563,  564,  565,  566,  567,  568,  569,  570,
  571,  572,  573,  574,   -1,   -1,   -1,   -1,   -1,  313,
   -1,   -1,   -1,  317,   -1,  319,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  336,   -1,  504,   -1,   -1,   -1,   -1,  343,
   -1,   -1,   -1,   -1,  348,   -1,   -1,  517,   -1,   -1,
  354,   10,   -1,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,   -1,   -1,   -1,  537,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,  383,
   -1,  385,   41,   42,   43,   44,   45,   -1,   47,   -1,
   -1,   -1,   -1,  397,   -1,   -1,   -1,   -1,   -1,   58,
   -1,   -1,   -1,  407,   -1,   10,   -1,   -1,   -1,   -1,
  414,   -1,   -1,  417,  641,  642,  643,  644,  645,  646,
  647,  648,  281,  427,  283,  284,   -1,  431,   10,   -1,
   -1,  435,   -1,   -1,  438,   -1,   41,   42,   43,   44,
   45,   -1,   47,   -1,  448,  449,  450,  451,  452,   -1,
  454,   -1,   -1,   58,  313,   -1,   -1,   -1,  317,   41,
  319,   43,   44,   45,   -1,   -1,   -1,  471,  472,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   58,  336,   -1,   -1,
   -1,   -1,   -1,   -1,  343,   -1,   -1,   -1,   -1,  348,
   -1,   -1,   -1,   -1,   -1,  354,   -1,   10,   -1,   -1,
   -1,  505,  506,  507,   -1,   -1,   -1,   -1,   -1,  513,
   -1,   93,   -1,   -1,   -1,   -1,  520,  521,   -1,   10,
  524,   -1,   -1,   -1,  383,  529,  385,   10,   41,   42,
   43,   44,   45,  537,   47,   -1,   -1,  541,  397,   -1,
   -1,   -1,   -1,   -1,   -1,   58,   -1,   -1,  407,   -1,
   41,   42,   43,   44,   45,  414,   47,   -1,  417,   42,
   43,   -1,   45,   -1,   47,   -1,   -1,   58,  427,   -1,
   -1,   -1,  431,   10,   -1,   -1,  435,   -1,   -1,  438,
   63,   -1,   -1,   10,   -1,   -1,   -1,   -1,   -1,  448,
  449,  450,  451,  452,   -1,  454,  641,  642,  643,  644,
  645,  646,  647,  648,   41,   -1,   43,   44,   45,   -1,
   37,   94,  471,  472,   -1,   42,   43,   -1,   45,   -1,
   47,   58,   -1,   -1,   10,   -1,   -1,   -1,   41,   42,
   43,   -1,   45,   -1,   47,  639,   63,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,  505,  506,  507,   -1,
   63,   -1,   -1,   -1,  513,   41,   93,   43,   44,   45,
   -1,  520,  521,   10,   -1,  524,   -1,   94,   -1,   37,
  529,   -1,   58,   -1,   42,   43,   44,   45,  537,   47,
   10,   94,  541,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   10,   -1,   41,   63,   43,   44,   45,  281,
   -1,  283,  284,  641,  642,  643,  644,  645,  646,  647,
  648,   58,   42,   43,   10,   45,   -1,   47,   -1,   37,
   -1,   -1,   10,   -1,   42,   43,   94,   45,   -1,   47,
   -1,  313,   -1,   63,   -1,  317,   -1,  319,   -1,   -1,
   -1,   37,   -1,   -1,   -1,   63,   42,   43,   -1,   45,
   -1,   47,   -1,   41,  336,   43,   44,   45,   -1,   -1,
   -1,  343,   -1,   -1,   94,   -1,  348,   63,   -1,   -1,
   58,   -1,  354,   10,   -1,   -1,   94,   -1,   -1,   -1,
  639,   10,  641,  642,  643,  644,  645,  646,  647,  648,
  641,  642,  643,  644,  645,  646,  647,  648,   94,   -1,
   37,  383,   -1,  385,   -1,   42,   43,   -1,   45,   -1,
   47,   -1,   -1,   42,   43,  397,   45,   -1,   47,   -1,
   -1,   -1,   -1,   -1,   -1,  407,   63,   10,   -1,   -1,
   -1,   -1,  414,   -1,   63,  417,  641,  642,  643,  644,
  645,  646,  647,  648,  281,  427,  283,  284,   -1,  431,
   -1,   10,   -1,  435,   -1,   -1,  438,   94,   41,   -1,
   43,   44,   45,   -1,   -1,   94,  448,  449,  450,  451,
  452,   -1,  454,   -1,   10,   58,  313,   -1,   -1,   -1,
  317,   -1,  319,   42,   43,   10,   45,   37,   47,  471,
  472,   -1,   42,   43,   44,   45,   -1,   47,   -1,  336,
   -1,   -1,   -1,   -1,   63,   41,  343,   43,   44,   45,
   -1,  348,   -1,   63,   -1,   -1,   41,  354,   43,   44,
   45,   -1,   58,  505,  506,  507,   -1,   -1,   -1,   42,
   43,  513,   45,   58,   47,   94,   -1,   -1,  520,  521,
   42,   43,  524,   45,   94,   47,  383,  529,  385,   -1,
   63,   -1,   -1,   -1,   -1,  537,   58,   -1,   -1,  541,
  397,   63,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  407,   -1,   -1,   -1,   -1,   -1,   -1,  414,   -1,   -1,
  417,   94,  641,  642,  643,  644,  645,  646,  647,  648,
  427,   -1,   94,   -1,  431,   -1,   -1,   37,  435,   -1,
   -1,  438,   42,   43,   44,   45,   -1,   47,   -1,   -1,
   -1,  448,  449,  450,  451,  452,   -1,  454,   -1,   -1,
   -1,   -1,   -1,   63,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  471,  472,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   94,   -1,   -1,  639,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,  505,  506,
  507,   -1,   -1,   -1,   -1,   -1,  513,   -1,   -1,   -1,
   37,   -1,   -1,  520,  521,   42,   43,  524,   45,   -1,
   47,   -1,  529,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  537,   -1,   -1,   -1,  541,   -1,   63,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   93,   94,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   37,   -1,
   -1,   -1,   -1,   42,   43,   -1,   45,   -1,   47,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   63,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  639,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   -1,   94,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   10,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,   -1,   41,   -1,   -1,   44,   -1,
   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   58,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,   -1,   -1,   -1,   93,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   37,   -1,   -1,   -1,   -1,   42,   43,
   44,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   63,
   -1,   -1,   -1,   -1,   -1,   -1,   10,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,  641,  642,  643,  644,  645,  646,  647,  648,
   94,   -1,   -1,   -1,   -1,   -1,   -1,   41,   -1,   -1,
   44,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   58,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   93,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,  281,   -1,  283,  284,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   10,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  313,   -1,   -1,
   -1,  317,   -1,  319,   -1,   -1,   -1,   -1,   -1,   41,
   -1,   -1,   44,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  336,   -1,   -1,   -1,   -1,   -1,   58,  343,   -1,   -1,
   -1,   -1,  348,   -1,   -1,   -1,   -1,   -1,  354,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   93,   -1,   -1,   -1,   -1,   -1,  383,   -1,  385,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  397,   -1,   -1,   -1,   -1,   -1,   37,   -1,   -1,
   -1,  407,   42,   43,   44,   45,   -1,   47,  414,   -1,
   -1,  417,   -1,   -1,   -1,   -1,   -1,  281,   -1,  283,
  284,  427,   -1,   63,   -1,  431,   -1,   -1,   -1,  435,
   10,   -1,  438,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,  448,  449,  450,  451,  452,   -1,  454,  313,
   -1,   -1,   -1,  317,   94,  319,   -1,   -1,   -1,   -1,
   -1,   41,   -1,   -1,   44,  471,  472,   -1,   -1,   -1,
   -1,   -1,  336,   -1,   -1,   -1,   -1,   -1,   58,  343,
   -1,   -1,   -1,   -1,  348,   -1,   -1,   -1,   -1,   -1,
  354,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  505,
  506,  507,   -1,   -1,   -1,   -1,   -1,  513,   -1,   -1,
   -1,   -1,   -1,   93,  520,  521,   -1,   -1,  524,  383,
   -1,  385,   -1,  529,  643,  644,  645,  646,  647,  648,
   -1,  537,   -1,  397,   -1,  541,   -1,   -1,   -1,   37,
   -1,   -1,   -1,  407,   42,   43,   44,   45,   -1,   47,
  414,   -1,   -1,  417,   -1,   -1,   -1,   -1,   -1,  281,
   -1,  283,  284,  427,   -1,   63,   -1,  431,   -1,   -1,
   -1,  435,   10,   -1,  438,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  448,  449,  450,  451,  452,   -1,
  454,  313,   -1,   -1,   -1,  317,   94,  319,   -1,   -1,
   -1,   -1,   -1,   41,   -1,   -1,   44,  471,  472,   -1,
   -1,   -1,   -1,   -1,  336,   -1,   -1,   -1,   -1,   -1,
   58,  343,   -1,   -1,   -1,   -1,  348,   -1,   -1,   -1,
   -1,   -1,  354,  639,   -1,  641,  642,   -1,   -1,   -1,
   -1,  505,  506,  507,   -1,   -1,   -1,   -1,   -1,  513,
   -1,   -1,   -1,   -1,   -1,   93,  520,  521,   -1,   -1,
  524,  383,   -1,  385,   -1,  529,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  537,   -1,  397,   -1,  541,   -1,   -1,
   -1,   37,   -1,   -1,   -1,  407,   42,   43,   44,   45,
   -1,   47,  414,   -1,   -1,  417,   -1,   -1,   -1,   -1,
   -1,  281,   -1,  283,  284,  427,   -1,   63,   -1,  431,
   -1,   -1,   -1,  435,   10,   -1,  438,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,  448,  449,  450,  451,
  452,   -1,  454,  313,   -1,   -1,   -1,  317,   94,  319,
   -1,   -1,   -1,   -1,   -1,   41,   -1,   -1,   44,  471,
  472,   -1,   -1,   -1,   -1,   -1,  336,   -1,   -1,   -1,
   -1,   -1,   58,  343,   -1,   -1,   -1,   -1,  348,   -1,
   -1,   -1,   -1,   -1,  354,  639,   -1,  641,  642,   -1,
   -1,   -1,   -1,  505,  506,  507,   -1,   -1,   -1,   -1,
   -1,  513,   -1,   -1,   -1,   -1,   -1,   93,  520,  521,
   -1,   -1,  524,  383,   -1,  385,   -1,  529,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  537,   -1,  397,   -1,  541,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  407,   -1,   -1,
   -1,   -1,   -1,   -1,  414,   -1,   -1,  417,   -1,   -1,
   -1,   -1,   -1,  281,   -1,  283,  284,  427,   -1,   -1,
   -1,  431,   -1,   -1,   -1,  435,   10,   -1,  438,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  448,  449,
  450,  451,  452,   -1,  454,  313,   -1,   -1,   -1,  317,
   -1,  319,   -1,   -1,   -1,   -1,   -1,   41,   -1,   -1,
   44,  471,  472,   -1,   -1,   -1,   -1,   -1,  336,   -1,
   -1,   -1,   -1,   -1,   58,  343,   -1,   -1,   -1,   -1,
  348,   -1,   -1,   -1,   -1,   -1,  354,  639,   -1,  641,
  642,   -1,   -1,   -1,   -1,  505,  506,  507,   -1,   -1,
   -1,   -1,   -1,  513,   -1,   -1,   -1,   -1,   -1,   93,
  520,  521,   -1,   -1,  524,  383,   -1,  385,   -1,  529,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  537,   -1,  397,
   -1,  541,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  407,
   -1,   -1,   -1,   -1,   -1,   -1,  414,   -1,   -1,  417,
   -1,   -1,   -1,   -1,   -1,  281,   -1,  283,  284,  427,
   -1,   -1,   -1,  431,   -1,   -1,   -1,  435,   10,   -1,
  438,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
  448,  449,  450,  451,  452,   -1,  454,  313,   -1,   -1,
   -1,  317,   -1,  319,   -1,   -1,   -1,   -1,   -1,   41,
   -1,   -1,   44,  471,  472,   -1,   -1,   -1,   -1,   -1,
  336,   -1,   -1,   -1,   -1,   -1,   58,  343,   -1,   -1,
   -1,   -1,  348,   -1,   -1,   -1,   -1,   -1,  354,  639,
   -1,  641,  642,   -1,   -1,   -1,   -1,  505,  506,  507,
   -1,   -1,   -1,   -1,   -1,  513,   -1,   -1,   -1,   -1,
   -1,   93,  520,  521,   -1,   -1,  524,  383,   -1,  385,
   -1,  529,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  537,
   -1,  397,   -1,  541,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  407,   -1,   -1,   -1,   -1,   -1,   -1,  414,   -1,
   -1,  417,   -1,   -1,   -1,   -1,   -1,  281,   -1,  283,
  284,  427,   -1,   -1,   -1,  431,   -1,   -1,   -1,  435,
   10,   -1,  438,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,  448,  449,  450,  451,  452,   -1,  454,  313,
   -1,   -1,   -1,  317,   -1,  319,   -1,   -1,   -1,   -1,
   -1,   41,   -1,   -1,   44,  471,  472,   -1,   -1,   -1,
   -1,   -1,  336,   10,   -1,   -1,   -1,   -1,   58,  343,
   -1,   -1,   -1,   -1,  348,   -1,   -1,   -1,   -1,   -1,
  354,  639,   -1,  641,  642,   -1,   -1,   -1,   -1,  505,
  506,  507,   -1,   -1,   -1,   -1,   -1,  513,   -1,   -1,
   -1,   -1,   -1,   93,  520,  521,   -1,   -1,  524,  383,
   -1,  385,   -1,  529,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  537,   -1,  397,   -1,  541,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  407,   -1,   -1,   -1,   -1,   -1,   -1,
  414,   -1,   -1,  417,   -1,   10,   -1,   -1,   -1,  281,
   -1,  283,  284,  427,   -1,   -1,   -1,  431,   -1,   -1,
   -1,  435,   -1,   -1,  438,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,  448,  449,  450,  451,  452,   -1,
  454,  313,   -1,   -1,   -1,  317,   -1,  319,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  471,  472,   -1,
   -1,   -1,   -1,   -1,  336,   -1,   -1,   -1,   -1,   -1,
   -1,  343,   -1,   -1,   -1,   -1,  348,   -1,   -1,   -1,
   -1,   -1,  354,  639,   -1,  641,  642,   -1,   -1,   -1,
   -1,  505,  506,  507,   -1,   -1,   -1,   -1,   -1,  513,
   -1,   -1,   -1,   -1,   -1,   -1,  520,  521,   -1,   -1,
  524,  383,   -1,  385,   -1,  529,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  537,   -1,  397,   -1,  541,   -1,   -1,
   -1,   -1,   10,   -1,   -1,  407,   -1,   -1,   -1,   -1,
   -1,   -1,  414,   -1,   -1,  417,   -1,   -1,   -1,   -1,
   -1,  281,   -1,  283,  284,  427,   -1,   -1,   -1,  431,
   -1,   -1,   -1,  435,   -1,   -1,  438,   -1,   10,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  448,  449,  450,  451,
  452,   -1,  454,  313,   -1,   -1,   -1,  317,   -1,  319,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  471,
  472,   10,   -1,   -1,   -1,   -1,  336,   -1,   -1,   -1,
   -1,   -1,   -1,  343,   -1,   -1,   -1,   -1,  348,   -1,
   -1,   -1,   -1,   -1,  354,  639,   -1,  641,  642,   -1,
  317,   -1,  319,  505,  506,  507,   -1,   -1,   -1,   -1,
   10,  513,   -1,   -1,   -1,   -1,   -1,   -1,  520,  521,
   -1,   -1,  524,  383,   37,  385,  343,  529,   41,   42,
   43,  348,   45,   -1,   47,  537,   -1,  397,   -1,  541,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  407,   -1,   -1,
   63,   -1,   -1,   -1,  414,   -1,   -1,  417,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  383,  427,  385,   -1,
   -1,  431,   -1,   -1,   -1,  435,   -1,   -1,  438,   -1,
  397,   94,  317,   -1,  319,   -1,   -1,   -1,  448,  449,
  450,  451,  452,   -1,  454,   -1,   -1,  414,   -1,   37,
  417,   -1,   -1,   41,   42,   43,   -1,   45,  343,   47,
  427,  471,  472,  348,  431,   -1,   -1,   -1,   10,   -1,
   -1,   -1,   -1,   -1,   -1,   63,   -1,   -1,   -1,   -1,
   -1,  448,   -1,   -1,  451,  452,   -1,  639,   -1,  641,
   -1,   -1,   -1,   -1,   -1,  505,  506,  507,  383,   -1,
  385,   -1,   10,  513,  471,  472,   94,   -1,   -1,   -1,
  520,  521,  397,   -1,  524,   -1,   -1,   -1,   -1,  529,
   -1,   -1,   -1,  281,   -1,  283,  284,  537,   -1,  414,
   -1,  541,  417,   -1,   -1,   -1,   -1,   -1,  505,   -1,
  507,   -1,  427,   -1,   -1,   -1,  431,   -1,   -1,   -1,
   -1,   -1,   -1,  520,  521,  313,   -1,  524,   -1,  281,
   -1,  283,  284,  448,   -1,   -1,  451,  452,   -1,   -1,
  537,   -1,   -1,   -1,  541,   -1,   10,   -1,  336,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  471,  472,   -1,   -1,
  348,  313,  281,   -1,  283,  284,  354,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  336,   -1,   -1,   -1,   -1,   -1,
  505,   -1,  507,   -1,  313,   -1,  348,   -1,   -1,  639,
   -1,  281,  354,  283,  284,  520,  521,   -1,   -1,  524,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  336,   -1,  407,
   -1,   -1,  537,   -1,   -1,   -1,  541,   -1,   -1,  348,
   -1,   -1,   -1,  313,   -1,  354,   -1,   -1,   -1,  427,
   -1,   -1,  639,   -1,   -1,   -1,   -1,  435,   -1,   -1,
  438,   -1,   -1,   -1,   -1,  407,  336,   -1,   -1,   -1,
  448,  449,  450,  451,  452,   -1,  454,   -1,  348,   -1,
   -1,   -1,   -1,   -1,  354,  427,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  435,   -1,   -1,  438,   -1,  407,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  448,  449,  450,  451,
  452,   -1,  454,   -1,   -1,   -1,   -1,   -1,  427,  281,
   -1,  283,  284,   -1,   -1,   -1,  435,   -1,  506,  438,
   -1,   -1,   -1,   -1,  639,  513,   -1,  407,   -1,  448,
  449,  450,  451,  452,   -1,  454,   -1,   -1,   -1,   -1,
   -1,  313,   -1,  281,   -1,  283,  284,  427,   -1,  537,
   -1,   -1,   -1,   -1,  506,  435,   -1,   -1,  438,   -1,
   -1,  513,   -1,   -1,  336,   -1,   -1,   -1,  448,  449,
  450,  451,  452,   -1,  454,  313,  348,   -1,   -1,   -1,
   -1,   -1,  354,   -1,   -1,  537,   -1,  506,   -1,   -1,
   -1,   -1,   -1,   -1,  513,   -1,   37,   -1,  336,   -1,
   41,   42,   43,   -1,   45,   -1,   47,   -1,   -1,   -1,
  348,   -1,   -1,   -1,   -1,   -1,  354,  281,  537,  283,
  284,   -1,   63,   -1,   -1,   -1,  506,   -1,   -1,   -1,
   -1,   -1,   -1,  513,   37,  407,   -1,   -1,   41,   42,
   43,   -1,   45,   -1,   47,   -1,   41,   42,   43,  313,
   45,  639,   47,   94,   -1,  427,   -1,  537,   -1,   -1,
   63,   -1,   -1,  435,   -1,   -1,  438,   -1,   63,  407,
   -1,   -1,  336,   -1,   -1,   -1,  448,  449,  450,  451,
  452,   -1,  454,   -1,  348,   -1,   -1,  639,   40,  427,
  354,   94,   -1,   45,   -1,   -1,   -1,  435,   -1,   94,
  438,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  448,  449,  450,  451,  452,   -1,  454,   -1,   -1,   -1,
  639,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  506,   -1,   -1,   -1,   -1,   -1,
   -1,  513,   -1,  407,   -1,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   37,   -1,   -1,  639,
   41,   42,   43,  427,   45,  537,   47,   -1,  506,   -1,
   -1,  435,   -1,   -1,  438,  513,   -1,   -1,   -1,   -1,
   -1,   -1,   63,   -1,  448,  449,  450,  451,  452,   -1,
  454,   -1,   -1,   -1,   -1,   37,   -1,   -1,   -1,  537,
   42,   43,   44,   45,   -1,   47,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   63,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  506,   -1,   -1,   -1,   -1,   -1,   -1,  513,
   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  639,   -1,   -1,
   -1,   -1,   -1,  537,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  639,   -1,   -1,  256,  257,  258,  259,  260,  261,
  262,  263,  264,  265,  266,  267,  268,  269,  270,  271,
  272,  273,  274,  275,  276,  277,  278,  279,  280,  281,
  282,  283,  284,  285,  286,  287,  288,  289,  290,  291,
  292,  293,  294,  295,  296,   -1,  298,  299,  300,  301,
  302,  303,  304,  305,  306,  307,   -1,   -1,  310,  311,
   -1,   -1,   -1,  315,  316,   -1,   -1,   -1,   -1,  321,
   -1,   -1,  324,  325,   -1,  639,   -1,  329,  330,  331,
   -1,   -1,  334,   -1,   -1,   -1,  338,   -1,  340,   -1,
   -1,   -1,   -1,  345,   -1,  347,  348,   -1,  350,  351,
   42,   43,  354,   45,  356,   47,  358,  359,   -1,  361,
   -1,   -1,   -1,   -1,   -1,  367,   -1,   -1,   -1,   -1,
  372,   63,   -1,  375,   -1,   -1,   -1,   -1,  380,  381,
   -1,   -1,   -1,  385,  386,  387,  388,   -1,  390,  391,
   -1,   -1,  394,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  402,   -1,   94,   -1,  406,   -1,   -1,   -1,   -1,  411,
  412,  413,   -1,  415,   -1,   -1,   -1,   -1,  420,   -1,
   -1,   -1,  424,  425,   -1,  427,  428,  429,  430,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  440,  441,
   40,   -1,   -1,   -1,   -1,   45,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  455,   37,   -1,   -1,   -1,   41,   42,
   43,   -1,   45,   -1,   47,   -1,  468,   -1,   -1,   -1,
   -1,  473,  474,   -1,   -1,   -1,   -1,  479,  480,  481,
   63,  483,  484,  485,  486,   -1,   -1,   -1,   -1,   -1,
   -1,  493,  494,  495,  496,  497,   -1,  499,   -1,   -1,
   -1,  503,  504,   -1,   -1,   -1,  508,   -1,   -1,  511,
  512,   94,   37,   -1,  516,   -1,   41,   42,   43,   -1,
   45,  523,   47,  525,  526,  527,  528,   -1,   -1,   -1,
  532,  533,   -1,   -1,   -1,  537,   -1,  539,   63,   -1,
  542,  543,  544,  545,  546,  547,   -1,  549,  550,  551,
  641,  642,  643,  644,  645,  646,  647,  648,   37,   -1,
   -1,   -1,   41,   42,   43,   -1,   45,   -1,   47,   94,
   -1,   -1,   -1,  575,  576,  577,  578,  579,  580,  581,
  582,  583,   -1,   -1,   63,  587,  588,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   94,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  630,   -1,
   -1,   -1,   -1,  635,  636,  637,  638,  639,  640,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  650,  651,
  652,  653,  654,  655,  656,  657,  658,  257,  258,  259,
  260,  261,  262,  263,  264,  265,  266,  267,  268,  269,
  270,  271,  272,  273,  274,  275,  276,  277,  278,  279,
  280,  281,  282,  283,  284,  285,  286,  287,  288,  289,
  290,  291,  292,  293,  294,  295,  296,   -1,  298,  299,
  300,  301,  302,  303,  304,  305,   -1,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  338,   -1,
   -1,   -1,   -1,  343,   -1,   -1,   -1,   -1,  348,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,
   -1,   -1,   -1,   37,   -1,   40,   -1,   41,   42,   43,
   45,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  383,   -1,   -1,   37,   -1,   -1,   63,
  390,   42,   43,   44,   45,   -1,   47,  397,   -1,   -1,
   37,   -1,   -1,   -1,   41,   42,   43,   -1,   45,   -1,
   47,   -1,   63,   -1,   -1,   -1,   -1,  417,   -1,   -1,
   94,  421,   -1,   -1,   37,  425,   63,  427,   41,   42,
   43,  431,   45,   -1,   47,   -1,   -1,   -1,   -1,   37,
   -1,   -1,   -1,   94,   42,   43,   44,   45,  448,   47,
   63,  451,   -1,   -1,   37,   -1,   -1,   94,   41,   42,
   43,   -1,   45,   37,   47,   63,   -1,   41,   42,   43,
   -1,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,   -1,
   63,   94,   -1,   -1,   -1,   -1,  486,   -1,   -1,   63,
   -1,   -1,   -1,   -1,   -1,   -1,   94,   -1,   -1,   -1,
   37,   -1,   -1,  503,   41,   42,   43,   -1,   45,   37,
   47,   94,   -1,   41,   42,   43,   -1,   45,   -1,   47,
   94,   -1,   -1,   -1,   -1,  525,   63,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   63,   -1,   -1,   -1,   -1,
   -1,  541,   -1,   -1,   -1,   -1,  546,  547,  548,  641,
  642,  643,  644,  645,  646,  647,  648,   94,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   94,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  575,  576,  577,  578,  579,
  580,  581,  257,  258,  259,  260,  261,  262,  263,  264,
  265,  266,  267,  268,  269,  270,  271,  272,  273,  274,
  275,  276,  277,  278,  279,  280,  281,  282,  283,  284,
  285,  286,  287,  288,  289,  290,  291,  292,  293,  294,
  295,  296,   -1,  298,  299,  300,  301,  302,  303,  304,
  305,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  638,  639,
  640,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  650,   -1,  652,  653,  654,  655,  656,  657,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,  343,   -1,
   -1,   -1,   -1,  348,   -1,   -1,   -1,   -1,  353,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   40,   -1,   -1,   -1,   -1,   45,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   37,   -1,   -1,   -1,  383,   42,
   43,   44,   45,   -1,   47,  390,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,   -1,   -1,   37,   -1,   -1,
   63,   -1,   42,   43,   44,   45,   -1,   47,   -1,  414,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   37,
   -1,   -1,  427,   63,   42,   43,  431,   45,   -1,   47,
   -1,   94,  641,  642,  643,  644,  645,  646,  647,  648,
   58,   -1,   37,  448,   -1,   63,  451,   42,   43,   44,
   45,   37,   47,   -1,   94,   -1,   42,   43,   44,   45,
   -1,   47,   -1,   -1,   -1,   -1,   -1,   -1,   63,   -1,
   -1,   -1,   -1,   -1,   37,   -1,   94,   63,   41,   42,
   43,  486,   45,   -1,   47,   -1,   -1,  492,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   37,  503,   94,
   63,   41,   42,   43,   -1,   45,   37,   47,   94,   -1,
   -1,   42,   43,   44,   45,   -1,   47,   -1,   -1,   -1,
   -1,   -1,   -1,   63,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   94,   63,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  546,  547,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,
  575,  576,  577,  578,  579,  580,  581,  257,  258,  259,
  260,  261,  262,  263,  264,  265,  266,  267,  268,  269,
  270,  271,  272,  273,  274,  275,  276,  277,  278,  279,
  280,  281,  282,  283,  284,  285,  286,  287,  288,  289,
  290,  291,  292,  293,  294,  295,  296,   -1,  298,  299,
  300,  301,  302,  303,  304,  305,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  638,  639,  640,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,  650,   -1,  652,  653,  654,
  655,  656,  657,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,  348,   -1,
   -1,   -1,   -1,  353,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   -1,   40,   -1,   -1,   -1,   -1,
   45,   -1,   -1,   -1,   -1,   -1,   -1,  377,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,
  390,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,  425,   -1,  427,   41,   42,
   43,  431,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  448,   -1,
   63,  451,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   37,
   -1,   94,   -1,   41,   42,   43,  486,   45,   -1,   47,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   37,  503,   -1,   63,   41,   42,   43,   -1,
   45,   37,   47,   -1,   -1,   41,   42,   43,   -1,   45,
   -1,   47,   -1,   -1,   -1,   -1,   -1,   -1,   63,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   94,   63,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  546,  547,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,   -1,
   -1,   -1,   -1,   -1,   -1,  575,  576,  577,  578,  579,
  580,  581,  257,  258,  259,  260,  261,  262,  263,  264,
  265,  266,  267,  268,  269,  270,  271,  272,  273,  274,
  275,  276,  277,  278,  279,  280,  281,  282,  283,  284,
  285,  286,  287,  288,  289,  290,  291,  292,  293,  294,
  295,  296,   -1,  298,  299,  300,  301,  302,  303,  304,
  305,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  638,  639,
  640,   -1,   -1,   -1,   -1,   -1,   -1,  322,   -1,   -1,
  650,   -1,  652,  653,  654,  655,  656,  657,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  348,   -1,   -1,   -1,   -1,  353,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
   40,   -1,   41,   42,   43,   45,   45,   -1,   47,   -1,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,   63,  390,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,   -1,   94,   -1,   -1,   -1,   -1,
  425,   -1,  427,   -1,   -1,   -1,  431,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  448,   -1,   -1,  451,   -1,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  486,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  503,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  546,  547,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  575,  576,  577,  578,  579,  580,  581,  257,  258,  259,
  260,  261,  262,  263,  264,  265,  266,  267,  268,  269,
  270,  271,  272,  273,  274,  275,  276,  277,  278,  279,
  280,  281,  282,  283,  284,  285,  286,  287,  288,  289,
  290,  291,  292,  293,  294,  295,  296,   -1,  298,  299,
  300,  301,  302,  303,  304,  305,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  638,  639,  640,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  650,   -1,  652,  653,  654,
  655,  656,  657,   -1,   -1,   41,   42,   43,   -1,   45,
   -1,   47,   -1,   -1,   -1,   -1,   37,   -1,  348,   -1,
   41,   42,   43,  353,   45,   -1,   47,   63,   -1,   -1,
   -1,   -1,   -1,   37,   -1,   40,   -1,   41,   42,   43,
   45,   45,   63,   47,   -1,   -1,   -1,  377,  641,  642,
  643,  644,  645,  646,  647,  648,   37,   -1,   94,   63,
  390,   42,   43,   44,   45,   -1,   47,   -1,   -1,   -1,
   -1,   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   63,   -1,   -1,   -1,   37,   -1,   -1,   -1,
   94,   42,   43,   44,   45,  425,   47,  427,   -1,   -1,
   -1,  431,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   63,   94,   -1,   -1,   -1,   -1,  448,   -1,
   -1,  451,   -1,   -1,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   94,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  486,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  503,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   40,   -1,   -1,
   -1,   -1,   45,   -1,   -1,   -1,  546,  547,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  575,  576,  577,  578,  579,
  580,  581,  257,  258,  259,  260,  261,  262,  263,  264,
  265,  266,  267,  268,  269,  270,  271,  272,  273,  274,
  275,  276,  277,  278,  279,  280,  281,  282,  283,  284,
  285,  286,  287,  288,  289,  290,  291,  292,  293,  294,
  295,  296,   -1,  298,  299,  300,  301,  302,  303,  304,
  305,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  638,  639,
  640,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
  650,   -1,  652,  653,  654,  655,  656,  657,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  342,  343,   -1,
   -1,   -1,   -1,  348,   37,   -1,   -1,   -1,   -1,   42,
   43,   44,   45,   37,   47,   -1,   -1,   -1,   42,   43,
   44,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,   -1,
   63,   -1,  377,   -1,   -1,   -1,   -1,   -1,   -1,   63,
   -1,   -1,   -1,   -1,   -1,  390,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   94,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  425,   -1,  427,   -1,  257,  258,  259,  260,  261,  262,
  263,  264,  265,  266,  267,  268,  269,  270,  271,  272,
  273,  274,  275,  276,  277,  278,  279,  280,  281,  282,
  283,  284,  285,  286,  287,  288,  289,  290,  291,  292,
  293,  294,  295,  296,   -1,  298,  299,  300,  301,  302,
  303,  304,  305,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  486,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  503,   -1,
   -1,  506,  507,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  348,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   37,   -1,   40,   -1,   41,   42,   43,   45,   45,   -1,
   47,  546,  547,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   63,  390,   -1,   -1,
  393,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  575,  576,  577,  578,  579,  580,  581,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,   -1,   -1,
   -1,   -1,  425,   -1,  427,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,   -1,  448,   -1,   -1,  451,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,   -1,   -1,  638,  639,  640,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,  650,   -1,  652,  653,  654,
  655,  656,  657,  486,   -1,   -1,   -1,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
  503,   -1,   37,  506,   -1,   -1,   -1,   42,   43,   44,
   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   63,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  546,  547,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  575,  576,  577,  578,  579,  580,  581,  257,
  258,  259,  260,  261,  262,  263,  264,  265,  266,  267,
  268,  269,  270,  271,  272,  273,  274,  275,  276,  277,
  278,  279,  280,  281,  282,  283,  284,  285,  286,  287,
  288,  289,  290,  291,  292,  293,  294,  295,  296,   -1,
  298,  299,  300,  301,  302,  303,  304,  305,   -1,   -1,
   -1,   -1,   -1,   37,   -1,  638,  639,  640,   42,   43,
   44,   45,   -1,   47,   -1,   -1,   -1,  650,   -1,  652,
  653,  654,  655,  656,  657,   -1,   37,   -1,   -1,   63,
   41,   42,   43,   -1,   45,   -1,   47,   -1,   -1,   -1,
  348,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   63,   -1,   -1,   -1,   -1,   40,   -1,   -1,
   94,   -1,   45,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  390,   94,   -1,  393,   -1,   -1,   -1,   -1,
   37,   -1,   -1,   -1,   41,   42,   43,   -1,   45,   -1,
   47,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   63,  425,   37,  427,
   -1,   -1,   41,   42,   43,   -1,   45,   -1,   47,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  448,   40,   -1,  451,   63,   -1,   45,   94,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   37,   -1,   -1,   -1,
   41,   42,   43,   -1,   45,   94,   47,   37,  486,   -1,
   -1,   41,   42,   43,   -1,   45,   -1,   47,   -1,   -1,
   -1,   -1,   63,   -1,   37,  503,   40,   -1,  506,   42,
   43,   45,   45,   63,   47,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   63,   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   94,   -1,   -1,   -1,  546,  547,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   93,   94,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  575,  576,  577,
  578,  579,  580,  581,  257,  258,  259,  260,  261,  262,
  263,  264,  265,  266,  267,  268,  269,  270,  271,  272,
  273,  274,  275,  276,  277,  278,  279,  280,  281,  282,
  283,  284,  285,  286,  287,  288,  289,  290,  291,  292,
  293,  294,  295,  296,   -1,  298,  299,  300,  301,  302,
  303,  304,  305,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  638,  639,  640,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,  650,   -1,  652,  653,  654,  655,  656,  657,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  257,  258,
  259,  260,  261,  262,  263,  264,  265,  266,  267,  268,
  269,  270,  271,  272,  273,  274,  275,  276,  277,  278,
  279,  280,  281,  282,  283,  284,  285,  286,  287,  288,
  289,  290,  291,  292,  293,  294,  295,  296,   -1,  298,
  299,  300,  301,  302,  303,  304,  305,  390,   -1,   -1,
   -1,   -1,   -1,  257,  258,  259,  260,  261,  262,  263,
  264,  265,  266,  267,  268,  269,  270,  271,  272,  273,
  274,  275,  276,  277,  278,  279,  280,  281,  282,  283,
  284,  285,  286,  287,  288,  289,  290,  291,  292,  293,
  294,  295,  296,   -1,  298,  299,  300,  301,  302,  303,
  304,  305,   37,   -1,   -1,   -1,   -1,   42,   43,   44,
   45,   -1,   47,   -1,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,   -1,   -1,   -1,   63,   -1,
   -1,  390,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  486,   37,   -1,   -1,   -1,   41,   42,
   43,   -1,   45,   -1,   47,   -1,   -1,   37,   -1,   94,
  503,   41,   42,   43,   -1,   45,   -1,   47,   -1,   -1,
   63,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   63,   -1,   -1,  390,   -1,   -1,   37,
   -1,   -1,   -1,   41,   42,   43,   -1,   45,   -1,   47,
   -1,   94,   -1,  546,  547,   -1,   -1,   -1,   -1,  552,
  553,   -1,   -1,   -1,   94,   63,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  486,   -1,   -1,
   -1,   -1,  575,  576,  577,  578,  579,  580,  581,   -1,
   40,   -1,  585,  586,  503,   45,   94,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  352,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,   -1,  486,   -1,   -1,   -1,   -1,  546,  547,  373,
   -1,   -1,   -1,  552,  553,  638,  639,  640,   37,  503,
   -1,   -1,   41,   42,   43,   -1,   45,  650,   47,  652,
  653,  654,  655,  656,  657,   -1,  575,  576,  577,  578,
  579,  580,  581,   40,   63,   -1,  585,  586,   45,   -1,
   -1,   -1,   -1,  537,  641,  642,  643,  644,  645,  646,
  647,  648,  546,  547,   37,   -1,   -1,   -1,   -1,   42,
   43,   44,   45,   -1,   47,   94,   -1,   -1,   -1,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   63,  575,  576,  577,  578,  579,  580,  581,   40,  638,
  639,  640,   -1,   45,   -1,   -1,  470,   -1,   -1,   -1,
   -1,  650,   -1,  652,  653,  654,  655,  656,  657,   -1,
   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
   -1,   -1,   -1,   -1,  638,  639,  640,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,  650,   -1,  652,  653,
  654,  655,  656,  657,   -1,   -1,   -1,  257,  258,  259,
  260,  261,  262,  263,  264,  265,  266,  267,  268,  269,
  270,  271,  272,  273,  274,  275,  276,  277,  278,  279,
  280,  281,  282,  283,  284,  285,  286,  287,  288,  289,
  290,  291,  292,  293,  294,  295,  296,   -1,  298,  299,
  300,  301,  302,  303,  304,  305,   -1,   -1,   -1,  593,
  594,  595,  596,  597,  598,  599,  600,  601,  602,  603,
  604,  605,  606,  607,  608,  609,  610,  611,  612,  613,
  614,  615,  616,  617,  618,   -1,   -1,   -1,   -1,   -1,
  257,  258,  259,  260,  261,  262,  263,  264,  265,  266,
  267,  268,  269,  270,  271,  272,  273,  274,  275,  276,
  277,  278,  279,  280,  281,  282,  283,  284,  285,  286,
  287,  288,  289,  290,  291,  292,  293,  294,  295,  296,
   -1,  298,  299,  300,  301,  302,  303,  304,  305,   -1,
  390,   -1,   -1,   -1,   -1,  257,  258,  259,  260,  261,
  262,  263,  264,  265,  266,  267,  268,  269,  270,  271,
  272,  273,  274,  275,  276,  277,  278,  279,  280,  281,
  282,  283,  284,  285,  286,  287,  288,  289,  290,  291,
  292,  293,  294,  295,  296,   -1,  298,  299,  300,  301,
  302,  303,  304,  305,   37,   -1,   -1,   -1,   41,   42,
   43,   -1,   45,   -1,   47,   -1,   -1,   37,   -1,   -1,
   -1,   41,   42,   43,   -1,   45,   -1,   47,   -1,   -1,
   63,   -1,   37,  390,   -1,   -1,   41,   42,   43,   -1,
   45,   -1,   47,   63,   -1,   -1,  486,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   63,   -1,
   -1,   94,   -1,  503,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   94,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  390,   94,
   -1,   -1,   -1,   -1,   37,   -1,   -1,  537,   41,   42,
   43,   -1,   45,   -1,   47,   -1,  546,  547,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,
   63,  641,  642,  643,  644,  645,  646,  647,  648,  486,
   -1,   -1,   -1,   -1,   -1,  575,  576,  577,  578,  579,
  580,  581,   40,   -1,   -1,   -1,  503,   45,   -1,   -1,
   -1,   94,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   37,   -1,
   -1,   -1,   41,   42,   43,   -1,   45,   37,   47,   -1,
   -1,   41,   42,   43,  486,   45,   -1,   47,   -1,  546,
  547,   -1,   -1,   -1,   63,   -1,   -1,   -1,  638,  639,
  640,  503,   -1,   63,   -1,   -1,   -1,   -1,   -1,   -1,
  650,   -1,  652,  653,  654,  655,  656,  657,  575,  576,
  577,  578,  579,  580,  581,   94,   -1,   -1,   -1,   -1,
   37,   -1,   -1,   -1,   94,   42,   43,   44,   45,   -1,
   47,   -1,   -1,   -1,  546,  547,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   63,   -1,   -1,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,   -1,  575,  576,  577,  578,  579,  580,  581,
   -1,  638,  639,  640,   -1,   -1,   -1,   94,   -1,   -1,
   -1,   -1,   -1,  650,   -1,  652,  653,  654,  655,  656,
  657,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  638,  639,  640,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  650,   -1,
  652,  653,  654,  655,  656,  657,   -1,   -1,   -1,  257,
  258,  259,  260,  261,  262,  263,  264,  265,  266,  267,
  268,  269,  270,  271,  272,  273,  274,  275,  276,  277,
  278,  279,  280,  281,  282,  283,  284,  285,  286,  287,
  288,  289,  290,  291,  292,  293,  294,  295,  296,   -1,
  298,  299,  300,  301,  302,  303,  304,  305,   37,   -1,
   -1,   -1,   41,   42,   43,   -1,   45,   37,   47,   -1,
   -1,   41,   42,   43,   -1,   45,   -1,   47,   -1,   -1,
   37,   -1,   -1,   -1,   63,   42,   43,   44,   45,   -1,
   47,   37,   -1,   63,   -1,   41,   42,   43,   -1,   45,
   -1,   47,   -1,   37,   -1,   -1,   63,   41,   42,   43,
   -1,   45,   -1,   47,   -1,   94,   -1,   63,   -1,   -1,
   -1,   -1,   -1,   -1,   94,   -1,   37,   -1,   -1,   63,
   41,   42,   43,   -1,   45,   -1,   47,   94,   -1,   37,
   -1,   -1,  390,   -1,   42,   43,   44,   45,   94,   47,
   -1,   37,   63,   -1,   -1,   -1,   42,   43,   44,   45,
   94,   47,   37,   -1,   -1,   63,   -1,   42,   43,   44,
   45,   -1,   47,   -1,   37,   -1,   -1,   63,   -1,   42,
   43,   44,   45,   94,   47,   37,   -1,   -1,   63,   41,
   42,   43,   -1,   45,   -1,   47,   94,   37,   -1,   -1,
   63,   41,   42,   43,   -1,   45,   -1,   47,   94,   -1,
   37,   63,   -1,   -1,   -1,   42,   43,   44,   45,   94,
   47,   -1,   37,   63,   -1,   -1,   41,   42,   43,   -1,
   45,   94,   47,   -1,   -1,   -1,   63,   -1,  486,   -1,
   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,   63,   -1,
   -1,   -1,   -1,   -1,   94,  503,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   94,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   94,
   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,   -1,   -1,   -1,  546,  547,
   37,   -1,   -1,   -1,   41,   42,   43,   -1,   45,   37,
   47,   -1,   -1,   41,   42,   43,   -1,   45,   -1,   47,
   -1,   -1,   -1,   -1,   -1,   -1,   63,  575,  576,  577,
  578,  579,  580,  581,   -1,   63,   37,   -1,   -1,   -1,
   41,   42,   43,   -1,   45,   -1,   47,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   94,   -1,   37,
   -1,   -1,   63,   -1,   42,   43,   94,   45,   -1,   47,
   -1,   -1,   -1,   37,   -1,   -1,   -1,   41,   42,   43,
   -1,   45,   -1,   47,   -1,   63,   -1,   -1,   -1,   -1,
  638,  639,  640,   94,   -1,   -1,   -1,   -1,   -1,   63,
   -1,   -1,  650,   -1,  652,  653,  654,  655,  656,  657,
   -1,   -1,   -1,   -1,   -1,   93,   94,   -1,   -1,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   94,  641,  642,  643,  644,  645,  646,  647,  648,   37,
   -1,   -1,   -1,   41,   42,   43,   -1,   45,   37,   47,
   -1,   -1,   41,   42,   43,   -1,   45,   -1,   47,   -1,
   -1,   -1,   -1,   -1,   -1,   63,   -1,   37,   -1,   -1,
   -1,   41,   42,   43,   63,   45,   -1,   47,   -1,   -1,
   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   63,   37,   -1,   94,   -1,   41,   42,
   43,   -1,   45,   37,   47,   94,   -1,   41,   42,   43,
   -1,   45,   -1,   47,   -1,   -1,   -1,   37,   -1,   -1,
   63,   -1,   42,   43,   94,   45,   37,   47,   -1,   63,
   -1,   42,   43,   44,   45,   -1,   47,   -1,   -1,   37,
   -1,   -1,   -1,   63,   42,   43,   44,   45,   -1,   47,
   -1,   94,   63,   -1,   -1,   -1,   37,   -1,   -1,   -1,
   94,   42,   43,   44,   45,   63,   47,   -1,   -1,   -1,
   -1,   37,   -1,   93,   94,   -1,   42,   43,   44,   45,
   37,   47,   63,   94,   -1,   42,   43,   44,   45,   -1,
   47,   -1,   -1,   37,   -1,   -1,   94,   63,   42,   43,
   44,   45,   -1,   47,   37,   -1,   63,   -1,   -1,   42,
   43,   44,   45,   94,   47,   -1,   -1,   -1,   -1,   63,
   -1,   -1,   -1,   -1,   -1,   -1,   37,   -1,   94,   -1,
   63,   42,   43,   44,   45,   -1,   47,   94,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   94,   -1,   63,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   94,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
   -1,   -1,   -1,   94,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,   -1,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   37,   -1,   -1,   -1,   41,   42,
   43,   -1,   45,   37,   47,   -1,   -1,   41,   42,   43,
   -1,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,   -1,
   63,   -1,   -1,   -1,   -1,   -1,   37,   -1,   -1,   63,
   41,   42,   43,   -1,   45,   37,   47,   -1,   -1,   -1,
   42,   43,   44,   45,   -1,   47,   -1,   -1,   -1,   -1,
   -1,   94,   63,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   94,   63,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,   37,
   -1,   -1,   94,   41,   42,   43,   -1,   45,   -1,   47,
  641,  642,  643,  644,  645,  646,  647,  648,   37,   -1,
   -1,   -1,   41,   42,   43,   63,   45,   -1,   47,   -1,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,   63,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   37,   94,   -1,   -1,   41,
   42,   43,   -1,   45,   37,   47,   -1,   -1,   41,   42,
   43,   -1,   45,   -1,   47,   94,   -1,   -1,   37,   -1,
   -1,   63,   41,   42,   43,   -1,   45,   -1,   47,   -1,
   63,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   63,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   94,  641,  642,  643,  644,  645,  646,  647,
  648,   94,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,   -1,   -1,   -1,   94,   -1,   -1,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   37,   -1,   -1,   -1,
   -1,   42,   43,   44,   45,   -1,   47,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   37,   -1,
   -1,   -1,   63,   42,   43,   44,   45,   -1,   47,   37,
   -1,   -1,   -1,   -1,   42,   43,   44,   45,   -1,   47,
   37,   -1,   -1,   -1,   63,   42,   43,   44,   45,   -1,
   47,   37,   -1,   94,   -1,   63,   42,   43,   -1,   45,
   -1,   47,   37,   -1,   -1,   -1,   63,   42,   43,   44,
   45,   -1,   47,   37,   -1,   94,   -1,   63,   42,   43,
   44,   45,   -1,   47,   37,   -1,   94,   -1,   63,   42,
   43,   44,   45,   -1,   47,   37,   -1,   94,   -1,   63,
   42,   43,   44,   45,   -1,   47,   -1,   93,   94,   -1,
   63,   -1,   37,   -1,   -1,   -1,   41,   42,   43,   94,
   45,   63,   47,   37,   -1,   -1,   -1,   41,   42,   43,
   94,   45,   -1,   47,   37,   -1,   -1,   -1,   63,   42,
   43,   94,   45,   -1,   47,   -1,   -1,   -1,   37,   63,
   -1,   -1,   94,   42,   43,   44,   45,   37,   47,   -1,
   63,   -1,   42,   43,   44,   45,   -1,   47,   -1,   94,
   -1,   -1,   -1,   -1,   63,   -1,   -1,   -1,   -1,   -1,
   94,   -1,   -1,   63,   -1,   -1,   -1,   37,   -1,   -1,
   93,   94,   42,   43,   44,   45,   -1,   47,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   94,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   63,   94,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   37,   -1,   -1,
   -1,   -1,   42,   43,   44,   45,   -1,   47,   -1,   -1,
   -1,   -1,   -1,   -1,   37,   -1,   -1,   -1,   -1,   42,
   43,   44,   45,   63,   47,   37,   -1,   -1,   -1,   41,
   42,   43,   -1,   45,   -1,   47,   -1,   -1,   -1,   -1,
   63,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   63,   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   37,   94,   -1,   -1,   41,   42,   43,   -1,   45,
   -1,   47,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   63,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   37,   -1,   -1,   -1,   -1,   42,   43,   94,   45,
   37,   47,   -1,   -1,   -1,   42,   43,   44,   45,   -1,
   47,   -1,   -1,   37,   -1,   -1,   -1,   63,   42,   43,
   44,   45,   -1,   47,   37,   -1,   63,   -1,   -1,   42,
   43,   44,   45,   -1,   47,   37,   -1,   -1,   -1,   63,
   42,   43,   44,   45,   -1,   47,   37,   93,   94,   -1,
   63,   42,   43,   44,   45,   -1,   47,   94,   37,   -1,
   -1,   63,   -1,   42,   43,   -1,   45,   -1,   47,   37,
   94,   -1,   63,   -1,   42,   43,   -1,   45,   -1,   47,
   37,   94,   -1,   -1,   63,   42,   43,   44,   45,   -1,
   47,   37,   94,   -1,   -1,   63,   42,   43,   44,   45,
   -1,   47,   37,   94,   -1,   -1,   63,   42,   43,   44,
   45,   -1,   47,   37,   93,   94,   -1,   63,   42,   43,
   -1,   45,   -1,   47,   37,   -1,   94,   -1,   63,   42,
   43,   -1,   45,   -1,   47,   -1,   -1,   94,   -1,   63,
   -1,   -1,   -1,   -1,   -1,   41,   42,   43,   94,   45,
   63,   47,   -1,   -1,   41,   42,   43,   -1,   45,   94,
   47,   -1,   -1,   -1,   -1,   -1,   -1,   63,   -1,   -1,
   94,   -1,   -1,   -1,   -1,   -1,   63,   -1,   41,   42,
   43,   94,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   94,   -1,
   63,   -1,   -1,   -1,   -1,   -1,   -1,   94,   -1,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   94,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   41,   42,   43,
   -1,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   63,
   41,   42,   43,   -1,   45,   -1,   47,   -1,   -1,   41,
   42,   43,   -1,   45,   -1,   47,   -1,   41,   42,   43,
   -1,   45,   63,   47,   -1,   -1,   -1,   -1,   -1,   -1,
   94,   63,   41,   42,   43,   -1,   45,   -1,   47,   63,
   -1,   -1,   -1,   41,   42,   43,   -1,   45,   -1,   47,
   -1,   -1,   -1,   94,   63,   -1,   -1,   41,   42,   43,
   -1,   45,   94,   47,   -1,   63,   -1,   -1,   -1,   -1,
   94,  641,  642,  643,  644,  645,  646,  647,  648,   63,
   -1,   -1,   -1,   -1,   -1,   94,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   94,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,
   94,   41,   42,   43,   -1,   45,   -1,   47,   -1,   41,
   42,   43,   -1,   45,   -1,   47,   -1,   -1,   41,   42,
   43,   -1,   45,   63,   47,   -1,   -1,   -1,   -1,   -1,
   -1,   63,   -1,   41,   42,   43,   -1,   45,   -1,   47,
   63,   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,   94,   63,   -1,   -1,   -1,   -1,
   -1,  529,   94,   41,   42,   43,   -1,   45,   -1,   47,
   -1,   94,   41,   42,   43,   -1,   45,   -1,   47,   -1,
   -1,   -1,   -1,   -1,   -1,   63,   94,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   63,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   -1,   -1,   94,  641,  642,  643,
  644,  645,  646,  647,  648,   94,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   41,   42,   43,   -1,   45,   -1,
   47,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   63,   41,   42,   43,
   -1,   45,   -1,   47,   -1,   -1,   41,   42,   43,   -1,
   45,   -1,   47,   -1,   41,   42,   43,   -1,   45,   63,
   47,   -1,   -1,   -1,   -1,   -1,   -1,   94,   63,   41,
   42,   43,   -1,   45,   -1,   47,   63,   -1,   41,   42,
   43,   -1,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,
   94,   63,   41,   42,   43,   -1,   45,   -1,   47,   94,
   63,   -1,   41,   42,   43,   -1,   45,   94,   47,   -1,
   -1,   41,   42,   43,   63,   45,   -1,   47,   -1,   41,
   42,   43,   94,   45,   63,   47,   -1,   -1,   41,   42,
   43,   94,   45,   63,   47,   -1,   41,   42,   43,   -1,
   45,   63,   47,   -1,   -1,   94,   -1,   41,   42,   43,
   63,   45,   -1,   47,   -1,   94,   -1,   -1,   63,   -1,
   -1,   41,   42,   43,   94,   45,   -1,   47,   -1,   63,
   -1,   -1,   94,   42,   43,   44,   45,   -1,   47,   -1,
   -1,   94,   -1,   63,   -1,   42,   43,   44,   45,   94,
   47,   -1,   -1,   -1,   63,   -1,   -1,   -1,   -1,   -1,
   94,   -1,   -1,   -1,   -1,   -1,   63,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   94,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   94,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   42,   43,   44,   45,   -1,   47,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   63,   -1,   -1,   42,   43,   44,   45,   -1,
   47,   -1,   -1,   -1,   42,   43,   44,   45,   -1,   47,
   -1,   -1,   -1,   -1,   -1,   -1,   63,   -1,   -1,   -1,
   -1,   -1,   -1,   94,   -1,   63,   -1,   -1,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,  641,
  642,  643,  644,  645,  646,  647,  648,   94,  641,  642,
  643,  644,  645,  646,  647,  648,   94,   -1,   -1,  317,
   -1,  319,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   42,   43,   44,   45,   -1,   47,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  343,   -1,   -1,   -1,   -1,
  348,   -1,   63,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   94,   -1,  383,   -1,  385,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  397,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  414,   -1,   -1,  417,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  427,
   -1,   -1,   -1,  431,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  448,   -1,   -1,  451,  452,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  471,  472,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  352,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  505,   -1,  507,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  373,   -1,  520,  521,   -1,   -1,  524,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  537,
   -1,   -1,   -1,  541,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,  470,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,  639,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   -1,   -1,  281,   -1,  283,  284,
  593,  594,  595,  596,  597,  598,  599,  600,  601,  602,
  603,  604,  605,  606,  607,  608,  609,  610,  611,  612,
  613,  614,  615,  616,  617,  618,   -1,   -1,  313,   -1,
   -1,   -1,  333,  334,  335,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  344,   -1,   -1,  639,   -1,   -1,   -1,
   -1,  336,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  348,   -1,   -1,   -1,   -1,   -1,  354,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  406,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,  407,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  427,   -1,   -1,   -1,  447,   -1,   -1,   -1,
  435,   -1,   -1,  438,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  448,  449,  450,  451,  452,  469,  454,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  482,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,  348,  349,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  506,   -1,   -1,  371,   -1,   -1,   -1,  513,   -1,
  377,   -1,   -1,   -1,   -1,   -1,  383,   -1,  385,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  537,  554,  555,  556,  557,  404,  559,  560,
  561,  562,  563,  564,  565,  566,  567,  568,  569,  570,
  571,  572,  573,  574,  348,  349,   -1,   -1,  425,   -1,
  427,   -1,   -1,   -1,  348,  349,   -1,   -1,   -1,   -1,
   -1,   -1,  439,   -1,   -1,   -1,   -1,  371,   -1,   -1,
   -1,  448,   -1,  377,  451,   -1,   -1,  371,   -1,  383,
   -1,  385,   -1,  377,   -1,   -1,   -1,   -1,   -1,  383,
   -1,  385,   -1,   -1,  471,   -1,   -1,   -1,   -1,   -1,
  404,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  404,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  425,   -1,  427,  639,   -1,   -1,   -1,   -1,  506,
  507,  425,   -1,  427,   -1,  439,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  448,  439,   -1,  451,   -1,   -1,
   -1,  528,   -1,   -1,  448,   -1,   -1,  451,   -1,   -1,
  537,   -1,   -1,   -1,   -1,   -1,   -1,  471,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  471,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  571,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  506,  507,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  506,  507,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  528,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  537,  528,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  537,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  571,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  571,
};
#define YYFINAL 172
#ifndef YYDEBUG
#define YYDEBUG 1
#endif
#define YYMAXTOKEN 660
#if YYDEBUG
char *yyname[] = {
"end-of-file",0,0,0,0,0,0,0,0,0,"'\\n'",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,"'%'",0,0,"'('","')'","'*'","'+'","','","'-'","'.'","'/'",0,0,0,0,0,
0,0,0,0,0,"':'",0,0,"'='",0,"'?'",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,"'['",0,"']'","'^'",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,"ABS","ACOS","ASIN","ATAN","ATAN2","CEIL","COS",
"DEG","DX","DY","ERF","ERFC","EXP","FLOOR","HYPOT","INDEX","INT","INVN","INVT",
"IRAND","JDAY","JDAY0","LGAMMA","LN","LOG","LOGISTIC","MAXP","MINP","MOD",
"NORM","NORMP","PI","RAD","RAND","RNORM","SETNO","SIN","SQR","SQRT","TAN",
"INUM","VX1","VX2","VY1","VY2","WX1","WX2","WY1","WY2","DELAYP","DOUBLEBUFFER",
"DOWN","ABSOLUTE","ABORT","ACTIVATE","ACTIVE","ALT","ALTERNATE","ALTXAXIS",
"ALTYAXIS","ANGLE","ANNOTATE","APPEND","AREA","ARRANGE","ARROW","ASCENDING",
"AUTO","AUTOSCALE","AUTOTICKS","AVG","AXIS","AXES","BACKBUFFER","BACKGROUND",
"BAR","BATCH","BLOCK","BIN","BOTH","BOTTOM","BOX","BOXPLOT","CD","CELLS",
"CENTER","CHAR","CHRSTR","CLEAR","CLICK","CMAP","COLOR","COMMENT","COPY",
"CYCLE","DECIMAL","DEF","DEFAULT","DELETE","DEVICE","DESCENDING","DFT",
"DIFFERENCE","DISK","DRAW2","DROP","DXDX","DXP","DYDY","DYP","ECHO","EDIT",
"ELSE","END","ERRORBAR","EXIT","EXPONENTIAL","FALSEP","FFT","FILEP","FILL",
"FIND","FIXEDPOINT","FLUSH","FOCUS","FOLLOWS","FONTP","FOREGROUND","FORMAT",
"FRONTBUFFER","FRAMEP","GETP","GRAPH","GRAPHNO","GRAPHS","GRAPHTYPE","GRID",
"HARDCOPY","HBAR","HBOXPLOT","HGAP","HIDDEN","HORIZONTAL","HPGLL","HPGLP",
"HISTO","IF","IGNORE","IHL","IMAGE","IN","INIT","INOUT","INTEGRATE","INTERP",
"INVDFT","INVFFT","JUST","KILL","LABEL","LAYOUT","LEAVE","LEFT","LEGEND",
"LENGTH","LEVEL","LEVELS","LINE","LINESTYLE","LINETO","LINEWIDTH","LINK","LOAD",
"LOCATOR","LOCTYPE","LOGX","LOGY","LOGXY","MAJOR","MIFL","MIFP","MINOR",
"MISSINGP","MOVE","MOVE2","MOVETO","NEGATE","NO","NONE","NORMAL","NXY","OFF",
"OFFSETX","OFFSETY","ON","OP","ORIENT","OUT","PAGE","PARA","PARALLEL",
"PARAMETERS","PARAMS","PATTERN","PERIMETER","PERP","PERPENDICULAR","PIE","PIPE",
"PLACE","POINT","POLAR","POLY","POWER","PREC","PREPEND","PRINT","PS","PSCOLORP",
"PSMONOP","PSCOLORL","PSMONOL","PUSH","POP","PUTP","RAWSPICE","READ","REDRAW",
"REGRESS","REGNUM","REGIONS","RENDER","REVERSE","RIGHT","RISER","ROT","RUNAVG",
"RUNMED","RUNSTD","RUNMIN","RUNMAX","SAMPLE","SAVEALL","SCALE","SCIENTIFIC",
"SET","SETNUM","SETS","SIGN","SIZE","SKIP","SLEEP","SLICE","SMITH","SORT",
"SOURCE","SPEC","SPECIFIED","SPECTRUM","STACK","STACKEDBAR","STACKEDHBAR",
"STACKEDLINE","STAGGER","START","STARTTYPE","STATUS","STOP","STRING","SUBTITLE",
"SWAPBUFFER","SYMBOL","TICKP","TICKLABEL","TICKMARKS","TIME","TITLE","TO","TOP",
"TRUEP","TYPE","UP","VELOCITY","VERTICAL","VGAP","VIEW","WITH","WORLD","WRITE",
"X","X0","X1","XAXES","XAXIS","XCOR","XMAX","XMIN","XY","XYARC","XYBOX",
"XYBOXPLOT","XYFIXED","XYHILO","XYRT","XYSEG","XYSTRING","XYDX","XYDY","XYDXDX",
"XYDYDY","XYDXDY","XYX2Y2","XYXX","XYYY","XYZ","XYZW","XYUV","TSV","Y","Y0",
"Y1","Y2","Y3","Y4","Y5","YAXES","YAXIS","YES","YMAX","YMIN","ZEROXAXIS",
"ZEROYAXIS","ABOVE","BELOW","POLYI","POLYO","GENERAL","DDMMYY","YYMMDD",
"MMDDYY","MMYY","MMDD","MONTHDAY","DAYMONTH","MONTHS","MONTHSY","MONTHL",
"DAYOFWEEKS","DAYOFWEEKL","DAYOFYEAR","HMS","MMDDHMS","MMDDYYHMS","YYMMDDHMS",
"DEGREESLON","DEGREESMMLON","DEGREESMMSSLON","MMSSLON","DEGREESLAT",
"DEGREESMMLAT","DEGREESMMSSLAT","MMSSLAT","DOT","STAR","PLUS","CROSS","CIRCLE",
"SQUARE","DIAMOND","TRIANGLE1","TRIANGLE2","TRIANGLE3","TRIANGLE4","SPLINE",
"LANDSCAPE","PORTRAIT","FREE","FIXED","STATUSBAR","LOCATORBAR","TOOLBAR","VAR",
"NUMBER","FITPARM","OR","AND","GT","LT","LE","GE","EQ","NE","UMINUS","NOT",
"ELLIPSE","ACOSH","ASINH","ATANH","COSH","SINH","TANH","ASPLINE","BIASED",
"UNBIASED",
};
char *yyrule[] = {
"$accept : list",
"list :",
"list : asgn '\\n'",
"list : vasgn '\\n'",
"list : rasgn '\\n'",
"list : expr '\\n'",
"list : vexpr '\\n'",
"list : parmset '\\n'",
"list : regionset '\\n'",
"list : setaxis '\\n'",
"list : setvelocity '\\n'",
"list : set_setprop '\\n'",
"list : setprint '\\n'",
"list : error '\\n'",
"setprint : PRINT printer CHRSTR",
"setprint : PRINT TO printer CHRSTR",
"setprint : PRINT TO printer",
"setprint : DEVICE NUMBER",
"setprint : HARDCOPY DEVICE NUMBER",
"setprint : HARDCOPY",
"setprint : PS LINEWIDTH NUMBER",
"printer : PSMONOP",
"printer : PSMONOL",
"printer : MIFP",
"printer : MIFL",
"printer : HPGLP",
"printer : HPGLL",
"printer : HARDCOPY",
"printer : FILEP",
"regionset : REGNUM onoff",
"regionset : REGNUM TYPE regiontype",
"regionset : REGNUM COLOR NUMBER",
"regionset : REGNUM LINESTYLE NUMBER",
"regionset : REGNUM LINEWIDTH NUMBER",
"regionset : REGNUM LINE expr ',' expr ',' expr ',' expr",
"regionset : REGNUM XY expr ',' expr",
"regionset : LINK REGNUM TO GRAPHNO",
"parmset : REDRAW",
"parmset : AUTO REDRAW onoff",
"parmset : CD CHRSTR",
"parmset : ECHO CHRSTR",
"parmset : STATUS",
"parmset : BACKGROUND COLOR NUMBER",
"parmset : CMAP NUMBER ',' NUMBER ',' NUMBER ',' NUMBER",
"parmset : EXIT",
"parmset : PAGE LAYOUT pagelayout",
"parmset : STATUSBAR onoff",
"parmset : TOOLBAR onoff",
"parmset : LOCATORBAR onoff",
"parmset : DRAW2 expr ',' expr",
"parmset : MOVE2 expr ',' expr",
"parmset : SYMBOL expr ',' expr ',' NUMBER",
"parmset : COLOR NUMBER",
"parmset : LINEWIDTH NUMBER",
"parmset : LINESTYLE NUMBER",
"parmset : WRITE STRING expr ',' expr ',' CHRSTR",
"parmset : PAGE direction",
"parmset : PAGE NUMBER",
"parmset : PAGE INOUT NUMBER",
"parmset : LINK PAGE onoff",
"parmset : DOUBLEBUFFER torf",
"parmset : FRONTBUFFER torf",
"parmset : BACKBUFFER torf",
"parmset : SWAPBUFFER",
"parmset : SLEEP NUMBER",
"parmset : DELAYP NUMBER",
"parmset : ABORT torf",
"parmset : GETP CHRSTR",
"parmset : PUTP CHRSTR",
"parmset : WITH GRAPHNO",
"parmset : WITH SETNUM",
"parmset : SETNUM LINK sourcetype CHRSTR",
"parmset : GRAPHNO '.' SETNUM LINK sourcetype CHRSTR",
"parmset : SETNUM LINK onoff",
"parmset : GRAPHNO '.' SETNUM LINK onoff",
"parmset : ACTIVATE SETNUM NUMBER",
"parmset : ACTIVATE GRAPHNO '.' SETNUM NUMBER",
"parmset : SETNUM LENGTH NUMBER",
"parmset : GRAPHNO '.' SETNUM LENGTH NUMBER",
"parmset : SETNUM POINT expr ',' expr",
"parmset : GRAPHNO '.' SETNUM POINT expr ',' expr",
"parmset : SETNUM DROP NUMBER ',' NUMBER",
"parmset : GRAPHNO '.' SETNUM DROP NUMBER ',' NUMBER",
"parmset : SORT SETNUM sorton sortdir",
"parmset : COPY SETNUM TO SETNUM",
"parmset : COPY GRAPHNO '.' SETNUM TO GRAPHNO '.' SETNUM",
"parmset : MOVE SETNUM TO SETNUM",
"parmset : MOVE GRAPHNO '.' SETNUM TO GRAPHNO '.' SETNUM",
"parmset : KILL SETNUM",
"parmset : KILL SETS",
"parmset : KILL SETNUM SAVEALL",
"parmset : KILL SETS SAVEALL",
"parmset : KILL GRAPHNO",
"parmset : KILL GRAPHS",
"parmset : FLUSH",
"parmset : ARRANGE NUMBER ',' NUMBER",
"parmset : LOAD VAR NUMBER ',' expr ',' expr",
"parmset : REGRESS '(' SETNUM ',' NUMBER ')'",
"parmset : runtype '(' SETNUM ',' NUMBER ')'",
"parmset : ffttype '(' SETNUM ',' NUMBER ')'",
"parmset : SPLINE '(' SETNUM ',' expr ',' expr ',' NUMBER ')'",
"parmset : ASPLINE '(' SETNUM ',' expr ',' expr ',' NUMBER ')'",
"parmset : INTERP '(' SETNUM ',' SETNUM ',' NUMBER ')'",
"parmset : HISTO '(' SETNUM ',' expr ',' expr ',' NUMBER ')'",
"parmset : DIFFERENCE '(' SETNUM ',' NUMBER ')'",
"parmset : INT '(' SETNUM ')'",
"parmset : XCOR '(' SETNUM ',' SETNUM ',' xcortype ',' NUMBER ')'",
"parmset : AUTOSCALE",
"parmset : AUTOSCALE XAXES",
"parmset : AUTOSCALE YAXES",
"parmset : AUTOSCALE SETNUM",
"parmset : LOCATOR onoff",
"parmset : FOCUS GRAPHNO",
"parmset : FOCUS onoff",
"parmset : FOCUS SET",
"parmset : FOCUS FOLLOWS",
"parmset : FOCUS CLICK",
"parmset : SOURCE sourcetype",
"parmset : TYPE xytype",
"parmset : FORMAT formatchoice",
"parmset : READ CHRSTR",
"parmset : READ BATCH CHRSTR",
"parmset : READ BLOCK CHRSTR",
"parmset : READ BLOCK sourcetype CHRSTR",
"parmset : BLOCK xytype CHRSTR",
"parmset : READ xytype CHRSTR",
"parmset : READ xytype sourcetype CHRSTR",
"parmset : READ IMAGE CHRSTR",
"parmset : WRITE IMAGE CHRSTR",
"parmset : IMAGE XY NUMBER ',' NUMBER",
"parmset : WRITE SETNUM",
"parmset : WRITE SETNUM FORMAT CHRSTR",
"parmset : WRITE SETNUM FILEP CHRSTR",
"parmset : WRITE SETNUM FILEP CHRSTR FORMAT CHRSTR",
"parmset : SAVEALL CHRSTR",
"parmset : PUSH",
"parmset : POP",
"parmset : CYCLE",
"parmset : STACK NUMBER",
"parmset : STACK WORLD expr ',' expr ',' expr ',' expr TICKP expr ',' expr ',' expr ',' expr",
"parmset : CLEAR STACK",
"parmset : CLEAR BOX",
"parmset : WITH BOX",
"parmset : WITH BOX NUMBER",
"parmset : BOX onoff",
"parmset : BOX GRAPHNO",
"parmset : BOX expr ',' expr ',' expr ',' expr",
"parmset : BOX LOCTYPE worldview",
"parmset : BOX LINESTYLE NUMBER",
"parmset : BOX LINEWIDTH NUMBER",
"parmset : BOX COLOR NUMBER",
"parmset : BOX FILL filltype",
"parmset : BOX FILL COLOR NUMBER",
"parmset : BOX FILL PATTERN NUMBER",
"parmset : BOX DEF",
"parmset : CLEAR ELLIPSE",
"parmset : WITH ELLIPSE",
"parmset : WITH ELLIPSE NUMBER",
"parmset : ELLIPSE onoff",
"parmset : ELLIPSE GRAPHNO",
"parmset : ELLIPSE expr ',' expr ',' expr ',' expr",
"parmset : ELLIPSE LOCTYPE worldview",
"parmset : ELLIPSE LINESTYLE NUMBER",
"parmset : ELLIPSE LINEWIDTH NUMBER",
"parmset : ELLIPSE COLOR NUMBER",
"parmset : ELLIPSE FILL filltype",
"parmset : ELLIPSE FILL COLOR NUMBER",
"parmset : ELLIPSE FILL PATTERN NUMBER",
"parmset : ELLIPSE DEF",
"parmset : WITH LINE",
"parmset : WITH LINE NUMBER",
"parmset : CLEAR LINE",
"parmset : LINE onoff",
"parmset : LINE GRAPHNO",
"parmset : LINE expr ',' expr ',' expr ',' expr",
"parmset : LINE LOCTYPE worldview",
"parmset : LINE LINEWIDTH NUMBER",
"parmset : LINE LINESTYLE NUMBER",
"parmset : LINE COLOR NUMBER",
"parmset : LINE ARROW NUMBER",
"parmset : LINE ARROW SIZE NUMBER",
"parmset : LINE ARROW TYPE NUMBER",
"parmset : LINE DEF",
"parmset : CLEAR STRING",
"parmset : WITH STRING",
"parmset : WITH STRING NUMBER",
"parmset : STRING onoff",
"parmset : STRING GRAPHNO",
"parmset : STRING expr ',' expr",
"parmset : STRING LOCTYPE worldview",
"parmset : STRING LINEWIDTH NUMBER",
"parmset : STRING COLOR NUMBER",
"parmset : STRING ROT NUMBER",
"parmset : STRING FONTP NUMBER",
"parmset : STRING JUST NUMBER",
"parmset : STRING CHAR SIZE NUMBER",
"parmset : STRING DEF CHRSTR",
"parmset : TIME STRING onoff",
"parmset : TIME STRING FONTP NUMBER",
"parmset : TIME STRING CHAR SIZE NUMBER",
"parmset : TIME STRING COLOR NUMBER",
"parmset : TIME STRING LINEWIDTH NUMBER",
"parmset : TIME STRING NUMBER ',' NUMBER",
"parmset : DEFAULT LINESTYLE NUMBER",
"parmset : DEFAULT LINEWIDTH NUMBER",
"parmset : DEFAULT COLOR NUMBER",
"parmset : DEFAULT CHAR SIZE NUMBER",
"parmset : DEFAULT FONTP NUMBER",
"parmset : DEFAULT FONTP SOURCE NUMBER",
"parmset : DEFAULT SYMBOL SIZE NUMBER",
"parmset : WORLD expr ',' expr ',' expr ',' expr",
"parmset : WORLD XMIN expr",
"parmset : WORLD XMAX expr",
"parmset : WORLD YMIN expr",
"parmset : WORLD YMAX expr",
"parmset : POLAR WORLD expr ',' expr",
"parmset : VIEW expr ',' expr ',' expr ',' expr",
"parmset : VIEW XMIN NUMBER",
"parmset : VIEW XMAX NUMBER",
"parmset : VIEW YMIN NUMBER",
"parmset : VIEW YMAX NUMBER",
"parmset : TITLE CHRSTR",
"parmset : TITLE FONTP NUMBER",
"parmset : TITLE SIZE NUMBER",
"parmset : TITLE COLOR NUMBER",
"parmset : TITLE LINEWIDTH NUMBER",
"parmset : SUBTITLE CHRSTR",
"parmset : SUBTITLE FONTP NUMBER",
"parmset : SUBTITLE SIZE NUMBER",
"parmset : SUBTITLE COLOR NUMBER",
"parmset : SUBTITLE LINEWIDTH NUMBER",
"parmset : GRAPHS MAXP SETS NUMBER",
"parmset : LEGEND onoff",
"parmset : LEGEND LOCTYPE worldview",
"parmset : LEGEND LAYOUT NUMBER",
"parmset : LEGEND VGAP NUMBER",
"parmset : LEGEND HGAP NUMBER",
"parmset : LEGEND LENGTH NUMBER",
"parmset : LEGEND BOX onoff",
"parmset : LEGEND BOX FILL onoff",
"parmset : LEGEND BOX FILL WITH colpat",
"parmset : LEGEND BOX FILL colpat NUMBER",
"parmset : LEGEND BOX COLOR NUMBER",
"parmset : LEGEND BOX LINESTYLE NUMBER",
"parmset : LEGEND BOX LINEWIDTH NUMBER",
"parmset : LEGEND expr ',' expr",
"parmset : LEGEND X1 expr",
"parmset : LEGEND Y1 expr",
"parmset : LEGEND CHAR SIZE NUMBER",
"parmset : LEGEND FONTP NUMBER",
"parmset : LEGEND LINESTYLE NUMBER",
"parmset : LEGEND LINEWIDTH NUMBER",
"parmset : LEGEND COLOR NUMBER",
"parmset : LEGEND STRING NUMBER CHRSTR",
"parmset : FRAMEP onoff",
"parmset : FRAMEP TYPE NUMBER",
"parmset : FRAMEP LINESTYLE NUMBER",
"parmset : FRAMEP LINEWIDTH NUMBER",
"parmset : FRAMEP COLOR NUMBER",
"parmset : FRAMEP FILL onoff",
"parmset : FRAMEP BACKGROUND COLOR NUMBER",
"parmset : GRAPHNO onoff",
"parmset : GRAPHNO LABEL onoff",
"parmset : GRAPHNO AUTOSCALE TYPE AUTO",
"parmset : GRAPHNO AUTOSCALE TYPE SPEC",
"parmset : GRAPHNO AUTOSCALE torf",
"parmset : GRAPHNO HIDDEN torf",
"parmset : GRAPHNO TYPE graphtype",
"parmset : GRAPHNO BAR SIZE NUMBER",
"parmset : GRAPHNO STACKEDBAR SIZE NUMBER",
"parmset : GRAPHNO FIXEDPOINT onoff",
"parmset : GRAPHNO FIXEDPOINT FORMAT formatchoice formatchoice",
"parmset : GRAPHNO FIXEDPOINT PREC NUMBER ',' NUMBER",
"parmset : GRAPHNO FIXEDPOINT XY expr ',' expr",
"parmset : GRAPHNO FIXEDPOINT TYPE NUMBER",
"parmset : GRAPHNO MAXP SETS NUMBER",
"setvelocity : VELOCITY SCALE NUMBER",
"setvelocity : VELOCITY LEGEND onoff",
"setvelocity : VELOCITY LINEWIDTH NUMBER",
"setvelocity : VELOCITY LINESTYLE NUMBER",
"setvelocity : VELOCITY COLOR NUMBER",
"setvelocity : VELOCITY LOCTYPE worldview",
"setvelocity : VELOCITY ARROW TYPE NUMBER",
"xytype : XY",
"xytype : XYARC",
"xytype : XYBOX",
"xytype : XYBOXPLOT",
"xytype : XYHILO",
"xytype : XYRT",
"xytype : XYSEG",
"xytype : XYSTRING",
"xytype : XYDX",
"xytype : XYDY",
"xytype : XYDXDX",
"xytype : XYDYDY",
"xytype : XYDXDY",
"xytype : XYX2Y2",
"xytype : XYXX",
"xytype : XYYY",
"xytype : XYZ",
"xytype : XYZW",
"xytype : XYUV",
"xytype : TSV",
"xytype : NXY",
"xytype : BIN",
"xytype : POLY",
"xytype : RAWSPICE",
"graphtype : XY",
"graphtype : LOGX",
"graphtype : LOGY",
"graphtype : LOGXY",
"graphtype : BAR",
"graphtype : HBAR",
"graphtype : STACKEDBAR",
"graphtype : STACKEDHBAR",
"graphtype : POLAR",
"graphtype : XYFIXED",
"graphtype : BOXPLOT",
"graphtype : HBOXPLOT",
"graphtype : SMITH",
"pagelayout : FREE",
"pagelayout : LANDSCAPE",
"pagelayout : PORTRAIT",
"pagelayout : FIXED",
"regiontype : ABOVE",
"regiontype : BELOW",
"regiontype : LEFT",
"regiontype : RIGHT",
"regiontype : POLYI",
"regiontype : POLYO",
"set_setprop : selectsets setprop",
"setprop : onoff",
"setprop : IGNORE",
"setprop : TYPE xytype",
"setprop : MISSINGP expr",
"setprop : PREC NUMBER",
"setprop : FORMAT formatchoice",
"setprop : SYMBOL expr",
"setprop : SYMBOL FILL NUMBER",
"setprop : SYMBOL CENTER torf",
"setprop : SYMBOL SIZE expr",
"setprop : SYMBOL CHAR NUMBER",
"setprop : SYMBOL SKIP NUMBER",
"setprop : SYMBOL COLOR expr",
"setprop : SYMBOL LINEWIDTH NUMBER",
"setprop : SYMBOL LINESTYLE NUMBER",
"setprop : prop NUMBER",
"setprop : FILL NUMBER",
"setprop : FILL WITH colpat",
"setprop : FILL colpat NUMBER",
"setprop : SKIP NUMBER",
"setprop : ERRORBAR LENGTH NUMBER",
"setprop : ERRORBAR TYPE opchoice",
"setprop : ERRORBAR LINEWIDTH NUMBER",
"setprop : ERRORBAR LINESTYLE NUMBER",
"setprop : ERRORBAR RISER onoff",
"setprop : ERRORBAR RISER LINEWIDTH NUMBER",
"setprop : ERRORBAR RISER LINESTYLE NUMBER",
"setprop : XYZ expr ',' expr",
"setprop : COMMENT CHRSTR",
"setaxis : axis",
"setaxis : axis axisfeature",
"setaxis : allaxes",
"setaxis : GRAPHS axis",
"setaxis : GRAPHS axis axisfeature",
"setaxis : GRAPHS allaxes",
"axis : XAXIS",
"axis : YAXIS",
"axis : ALTXAXIS",
"axis : ALTYAXIS",
"axis : ZEROXAXIS",
"axis : ZEROYAXIS",
"allaxes : AXES axesprops",
"allaxes : XAXES axesprops",
"allaxes : YAXES axesprops",
"axesprops : onoff",
"axesprops : COLOR NUMBER",
"axesprops : LINEWIDTH NUMBER",
"axesprops : LINESTYLE NUMBER",
"axesprops : FONTP NUMBER",
"axesprops : CHAR SIZE NUMBER",
"axesprops : GRID onoff",
"axisfeature : TICKP tickdesc",
"axisfeature : TICKLABEL ticklabeldesc",
"axisfeature : LABEL axislabeldesc",
"axisfeature : BAR axisbardesc",
"axisfeature : onoff",
"tickdesc : tickattr",
"tickdesc : tickdesc tickattr",
"tickattr : onoff",
"tickattr : MAJOR onoff",
"tickattr : MINOR onoff",
"tickattr : MAJOR expr",
"tickattr : MINOR expr",
"tickattr : OFFSETX expr",
"tickattr : OFFSETY expr",
"tickattr : ALT onoff",
"tickattr : MINP expr",
"tickattr : MAXP expr",
"tickattr : DEFAULT NUMBER",
"tickattr : inoutchoice",
"tickattr : LOG onoff",
"tickattr : SIZE NUMBER",
"tickattr : MAJOR SIZE NUMBER",
"tickattr : MINOR SIZE NUMBER",
"tickattr : COLOR NUMBER",
"tickattr : LINEWIDTH NUMBER",
"tickattr : MAJOR COLOR NUMBER",
"tickattr : MINOR COLOR NUMBER",
"tickattr : MAJOR LINEWIDTH NUMBER",
"tickattr : MINOR LINEWIDTH NUMBER",
"tickattr : MAJOR LINESTYLE NUMBER",
"tickattr : MINOR LINESTYLE NUMBER",
"tickattr : MAJOR GRID onoff",
"tickattr : MINOR GRID onoff",
"tickattr : OP opchoice",
"tickattr : TYPE AUTO",
"tickattr : TYPE SPEC",
"tickattr : SPEC NUMBER",
"tickattr : NUMBER ',' expr",
"ticklabeldesc : ticklabelattr",
"ticklabeldesc : ticklabeldesc ticklabelattr",
"ticklabelattr : onoff",
"ticklabelattr : TYPE AUTO",
"ticklabelattr : TYPE SPEC",
"ticklabelattr : PREC NUMBER",
"ticklabelattr : FORMAT formatchoice",
"ticklabelattr : FORMAT NUMBER",
"ticklabelattr : APPEND CHRSTR",
"ticklabelattr : PREPEND CHRSTR",
"ticklabelattr : LAYOUT HORIZONTAL",
"ticklabelattr : LAYOUT VERTICAL",
"ticklabelattr : LAYOUT SPEC",
"ticklabelattr : LOCTYPE ON",
"ticklabelattr : LOCTYPE CENTER",
"ticklabelattr : LOCTYPE LEFT",
"ticklabelattr : LOCTYPE RIGHT",
"ticklabelattr : ANGLE NUMBER",
"ticklabelattr : JUST justchoice",
"ticklabelattr : SKIP NUMBER",
"ticklabelattr : STAGGER NUMBER",
"ticklabelattr : OP opchoice",
"ticklabelattr : SIGN signchoice",
"ticklabelattr : START expr",
"ticklabelattr : STOP expr",
"ticklabelattr : START TYPE SPEC",
"ticklabelattr : START TYPE AUTO",
"ticklabelattr : STOP TYPE SPEC",
"ticklabelattr : STOP TYPE AUTO",
"ticklabelattr : VGAP NUMBER",
"ticklabelattr : HGAP NUMBER",
"ticklabelattr : CHAR SIZE NUMBER",
"ticklabelattr : FONTP NUMBER",
"ticklabelattr : COLOR NUMBER",
"ticklabelattr : LINEWIDTH NUMBER",
"ticklabelattr : NUMBER ',' CHRSTR",
"axislabeldesc : CHRSTR",
"axislabeldesc : LAYOUT PERP",
"axislabeldesc : LAYOUT PARA",
"axislabeldesc : PLACE AUTO",
"axislabeldesc : PLACE SPEC",
"axislabeldesc : PLACE NUMBER ',' NUMBER",
"axislabeldesc : JUST justchoice",
"axislabeldesc : CHAR SIZE NUMBER",
"axislabeldesc : FONTP NUMBER",
"axislabeldesc : COLOR NUMBER",
"axislabeldesc : LINEWIDTH NUMBER",
"axisbardesc : onoff",
"axisbardesc : COLOR NUMBER",
"axisbardesc : LINESTYLE NUMBER",
"axisbardesc : LINEWIDTH NUMBER",
"selectsets : GRAPHNO '.' SETNUM",
"selectsets : SETNUM",
"selectsets : SETS",
"selectsets : GRAPHNO SETS",
"selectsets : GRAPHS SETS",
"selectsets : GRAPHS SETNUM",
"prop : LINESTYLE",
"prop : LINEWIDTH",
"prop : FONTP",
"prop : COLOR",
"prop : SIZE",
"onoff : ON",
"onoff : OFF",
"colpat : COLOR",
"colpat : PATTERN",
"runtype : RUNAVG",
"runtype : RUNSTD",
"runtype : RUNMED",
"runtype : RUNMAX",
"runtype : RUNMIN",
"ffttype : DFT",
"ffttype : FFT",
"ffttype : INVDFT",
"ffttype : INVFFT",
"xcortype : BIASED",
"xcortype : UNBIASED",
"sourcetype : DISK",
"sourcetype : PIPE",
"filltype : PATTERN",
"filltype : COLOR",
"filltype : NONE",
"opchoice : TOP",
"opchoice : BOTTOM",
"opchoice : LEFT",
"opchoice : RIGHT",
"opchoice : BOTH",
"justchoice : RIGHT",
"justchoice : LEFT",
"justchoice : CENTER",
"extremetype : MINP",
"extremetype : MAXP",
"torf : TRUEP",
"torf : FALSEP",
"inoutchoice : IN",
"inoutchoice : OUT",
"inoutchoice : BOTH",
"formatchoice : DECIMAL",
"formatchoice : EXPONENTIAL",
"formatchoice : POWER",
"formatchoice : GENERAL",
"formatchoice : DDMMYY",
"formatchoice : MMDDYY",
"formatchoice : YYMMDD",
"formatchoice : MMYY",
"formatchoice : MMDD",
"formatchoice : MONTHDAY",
"formatchoice : DAYMONTH",
"formatchoice : MONTHS",
"formatchoice : MONTHSY",
"formatchoice : MONTHL",
"formatchoice : DAYOFWEEKS",
"formatchoice : DAYOFWEEKL",
"formatchoice : DAYOFYEAR",
"formatchoice : HMS",
"formatchoice : MMDDHMS",
"formatchoice : MMDDYYHMS",
"formatchoice : YYMMDDHMS",
"formatchoice : DEGREESLON",
"formatchoice : DEGREESMMLON",
"formatchoice : DEGREESMMSSLON",
"formatchoice : MMSSLON",
"formatchoice : DEGREESLAT",
"formatchoice : DEGREESMMLAT",
"formatchoice : DEGREESMMSSLAT",
"formatchoice : MMSSLAT",
"signchoice : NORMAL",
"signchoice : ABSOLUTE",
"signchoice : NEGATE",
"direction : UP",
"direction : DOWN",
"direction : RIGHT",
"direction : LEFT",
"direction : IN",
"direction : OUT",
"worldview : WORLD",
"worldview : VIEW",
"sortdir : ASCENDING",
"sortdir : DESCENDING",
"sorton : X",
"sorton : Y",
"vector : X",
"vector : Y",
"vector : X0",
"vector : Y0",
"vector : Y1",
"vector : Y2",
"vector : Y3",
"vector : Y4",
"vector : Y5",
"asgn : VAR '[' expr ']' '=' expr",
"asgn : vector '[' expr ']' '=' expr",
"asgn : SETNUM '.' vector '[' expr ']' '=' expr",
"asgn : SETNUM '.' SYMBOL '=' expr",
"asgn : GRAPHNO '.' SETNUM '.' vector '[' expr ']' '=' expr",
"rasgn : REGNUM '.' vector '=' expr",
"vasgn : VAR '=' vexpr",
"vasgn : vector '=' vexpr",
"vasgn : SETNUM '=' SETNUM",
"vasgn : GRAPHNO '.' SETNUM '=' SETNUM",
"vasgn : SETNUM '=' GRAPHNO '.' SETNUM",
"vasgn : GRAPHNO '.' SETNUM '=' GRAPHNO '.' SETNUM",
"vasgn : SETNUM '.' vector '=' vexpr",
"vasgn : GRAPHNO '.' SETNUM '.' vector '=' vexpr",
"vasgn : VAR '=' expr",
"vasgn : vector '=' expr",
"vasgn : SETNUM '.' vector '=' expr",
"vasgn : GRAPHNO '.' SETNUM '.' vector '=' expr",
"vexpr : VAR",
"vexpr : vector",
"vexpr : SETNUM '.' vector",
"vexpr : GRAPHNO '.' SETNUM '.' vector",
"vexpr : expr",
"vexpr : expr '+' expr",
"vexpr : vexpr '+' vexpr",
"vexpr : expr '+' vexpr",
"vexpr : vexpr '+' expr",
"vexpr : expr '-' expr",
"vexpr : vexpr '-' vexpr",
"vexpr : expr '-' vexpr",
"vexpr : vexpr '-' expr",
"vexpr : expr '*' expr",
"vexpr : vexpr '*' vexpr",
"vexpr : expr '*' vexpr",
"vexpr : vexpr '*' expr",
"vexpr : expr '/' expr",
"vexpr : vexpr '/' vexpr",
"vexpr : expr '/' vexpr",
"vexpr : vexpr '/' expr",
"vexpr : expr '^' expr",
"vexpr : expr '^' vexpr",
"vexpr : vexpr '^' expr",
"vexpr : vexpr '^' vexpr",
"vexpr : ABS '(' expr ')'",
"vexpr : ABS '(' vexpr ')'",
"vexpr : ACOS '(' vexpr ')'",
"vexpr : ACOSH '(' vexpr ')'",
"vexpr : ASIN '(' vexpr ')'",
"vexpr : ASINH '(' vexpr ')'",
"vexpr : ATAN '(' vexpr ')'",
"vexpr : ATANH '(' vexpr ')'",
"vexpr : ATAN2 '(' vexpr ',' vexpr ')'",
"vexpr : CEIL '(' vexpr ')'",
"vexpr : COS '(' vexpr ')'",
"vexpr : COSH '(' vexpr ')'",
"vexpr : DEG",
"vexpr : ERF '(' vexpr ')'",
"vexpr : ERFC '(' vexpr ')'",
"vexpr : EXP '(' vexpr ')'",
"vexpr : FLOOR '(' vexpr ')'",
"vexpr : HYPOT '(' vexpr ',' vexpr ')'",
"vexpr : HYPOT '(' expr ',' vexpr ')'",
"vexpr : HYPOT '(' vexpr ',' expr ')'",
"vexpr : HYPOT '(' expr ',' expr ')'",
"vexpr : INDEX",
"vexpr : SETNO",
"vexpr : INT '(' vexpr ')'",
"vexpr : INVN '(' vexpr ')'",
"vexpr : INVT '(' expr ',' NUMBER ')'",
"vexpr : INVT '(' vexpr ',' NUMBER ')'",
"vexpr : IRAND '(' NUMBER ')'",
"vexpr : LGAMMA '(' vexpr ')'",
"vexpr : LN '(' vexpr ')'",
"vexpr : LOG '(' vexpr ')'",
"vexpr : LOGISTIC '(' vexpr ',' expr ',' expr ')'",
"vexpr : MAXP '(' vexpr ',' vexpr ')'",
"vexpr : MINP '(' vexpr ',' vexpr ')'",
"vexpr : MOD '(' vexpr ',' vexpr ')'",
"vexpr : NORM '(' vexpr ')'",
"vexpr : NORMP '(' vexpr ')'",
"vexpr : PI",
"vexpr : RAD",
"vexpr : RAND",
"vexpr : RNORM '(' vexpr ',' vexpr ')'",
"vexpr : RNORM '(' expr ',' vexpr ')'",
"vexpr : RNORM '(' vexpr ',' expr ')'",
"vexpr : RNORM '(' expr ',' expr ')'",
"vexpr : SIN '(' vexpr ')'",
"vexpr : SINH '(' vexpr ')'",
"vexpr : SQR '(' vexpr ')'",
"vexpr : SQRT '(' vexpr ')'",
"vexpr : TAN '(' vexpr ')'",
"vexpr : TANH '(' vexpr ')'",
"vexpr : vexpr '?' vexpr ':' vexpr",
"vexpr : vexpr GT vexpr",
"vexpr : vexpr LT vexpr",
"vexpr : vexpr LE vexpr",
"vexpr : vexpr GE vexpr",
"vexpr : vexpr EQ vexpr",
"vexpr : vexpr NE vexpr",
"vexpr : vexpr AND vexpr",
"vexpr : vexpr OR vexpr",
"vexpr : NOT vexpr",
"vexpr : '(' vexpr ')'",
"vexpr : '-' vexpr",
"expr : NUMBER",
"expr : FITPARM",
"expr : VAR '[' expr ']'",
"expr : REGNUM '.' vector",
"expr : vector '[' expr ']'",
"expr : SETNUM '.' vector '[' expr ']'",
"expr : GRAPHNO '.' SETNUM '.' vector '[' expr ']'",
"expr : SETNUM '.' vector '.' extremetype",
"expr : GRAPHNO '.' SETNUM '.' vector '.' extremetype",
"expr : SETNUM '.' LENGTH",
"expr : SETNUM '.' vector '.' AVG",
"expr : expr '+' expr",
"expr : expr '-' expr",
"expr : expr '*' expr",
"expr : expr '/' expr",
"expr : expr '%' expr",
"expr : expr '^' expr",
"expr : ABS '(' expr ')'",
"expr : ACOS '(' expr ')'",
"expr : ACOSH '(' expr ')'",
"expr : ASIN '(' expr ')'",
"expr : ASINH '(' expr ')'",
"expr : ATAN '(' expr ')'",
"expr : ATANH '(' expr ')'",
"expr : ATAN2 '(' expr ',' expr ')'",
"expr : CEIL '(' expr ')'",
"expr : COS '(' expr ')'",
"expr : COSH '(' expr ')'",
"expr : DEG",
"expr : ERF '(' expr ')'",
"expr : ERFC '(' expr ')'",
"expr : EXP '(' expr ')'",
"expr : FLOOR '(' expr ')'",
"expr : HYPOT '(' expr ',' expr ')'",
"expr : GRAPHNO '.' VX1",
"expr : GRAPHNO '.' VX2",
"expr : GRAPHNO '.' VY1",
"expr : GRAPHNO '.' VY2",
"expr : GRAPHNO '.' WX1",
"expr : GRAPHNO '.' WX2",
"expr : GRAPHNO '.' WY1",
"expr : GRAPHNO '.' WY2",
"expr : VX1",
"expr : VX2",
"expr : VY1",
"expr : VY2",
"expr : WX1",
"expr : WX2",
"expr : WY1",
"expr : WY2",
"expr : DX",
"expr : DY",
"expr : INDEX",
"expr : SETNO",
"expr : INT '(' expr ')'",
"expr : INVN '(' expr ')'",
"expr : INVT '(' expr ',' NUMBER ')'",
"expr : IRAND '(' NUMBER ')'",
"expr : JDAY '(' NUMBER ',' NUMBER ',' NUMBER ')'",
"expr : JDAY0 '(' NUMBER ',' NUMBER ',' NUMBER ',' NUMBER ',' NUMBER ',' NUMBER ')'",
"expr : LGAMMA '(' expr ')'",
"expr : LN '(' expr ')'",
"expr : LOG '(' expr ')'",
"expr : LOGISTIC '(' expr ',' expr ',' expr ')'",
"expr : MAXP '(' expr ',' expr ')'",
"expr : MINP '(' expr ',' expr ')'",
"expr : MOD '(' expr ',' expr ')'",
"expr : NORM '(' expr ')'",
"expr : NORMP '(' expr ')'",
"expr : PI",
"expr : RAD",
"expr : RAND",
"expr : RNORM '(' expr ',' expr ')'",
"expr : SIN '(' expr ')'",
"expr : SINH '(' expr ')'",
"expr : SQR '(' expr ')'",
"expr : SQRT '(' expr ')'",
"expr : TAN '(' expr ')'",
"expr : TANH '(' expr ')'",
"expr : expr '?' expr ':' expr",
"expr : expr GT expr",
"expr : expr LT expr",
"expr : expr LE expr",
"expr : expr GE expr",
"expr : expr EQ expr",
"expr : expr NE expr",
"expr : expr AND expr",
"expr : expr OR expr",
"expr : NOT expr",
"expr : '(' expr ')'",
"expr : '-' expr",
};
#endif
#define yyclearin (yychar=(-1))
#define yyerrok (yyerrflag=0)
#ifdef YYSTACKSIZE
#ifndef YYMAXDEPTH
#define YYMAXDEPTH YYSTACKSIZE
#endif
#else
#ifdef YYMAXDEPTH
#define YYSTACKSIZE YYMAXDEPTH
#else
#define YYSTACKSIZE 500
#define YYMAXDEPTH 500
#endif
#endif
int yydebug;
int yynerrs;
int yyerrflag;
int yychar;
short *yyssp;
YYSTYPE *yyvsp;
YYSTYPE yyval;
YYSTYPE yylval;
short yyss[YYSTACKSIZE];
YYSTYPE yyvs[YYSTACKSIZE];
#define yystacksize YYSTACKSIZE
#line 3807 "pars.yacc"

void fixupstr(char *val)
{
    int vl = strlen(val);
    lowtoupper(val);
    val[vl + 1] = 0;
    val[vl] = '\n';
}

void scanner(char *s, double *x, double *y, int len, double *a, double *b, double *c, double *d, int lenscr, int i, int setno, int *errpos)
{
    interr = 0;
    whichgraph = cg;
    whichset = setno;
    if (s[0] == '#') {
	return;
    }
    pos = 0;
    aa = a;
    bb = b;
    cc = c;
    dd = d;
    xx = x;
    yy = y;
    lxy = len;
    ls = lenscr;
    setindex = i + 1;
    curset = setsetno = setno;
    strcpy(f_string, s);
    fcnt = 0;
    log_results(s);
    yyparse();
    *errpos = interr;
    for (i = 0; i < fcnt; i++) {
	cfree(freelist[i]);
	freelist[i] = NULL;
    }
}

void runbatch(char *bfile)
{
    double x, y;
    int errpos;
    char stext[256];
    FILE *fp;
    if (strcmp("stdin", bfile)) {
	fp = fopen(bfile, "r");
    }
    else {
	fp = stdin;
    }
    if (fp == NULL) {
        fprintf(stderr, "Error opening batch file \"%s\"\n", bfile);
        exit(1);
    }
    while(fgets(stext, 255, fp) != NULL) {
        if (stext[0] == '#') {
            continue;
        }
	if (strlen(stext) == 0) {
	    continue;
	}
        lowtoupper(stext);
/* TODO check on 0, 0 here for index and setno */
        scanner(stext, &x, &y, 1, ax, bx, cx, dx, 1, 0, 0, &errpos);
        stext[0] = 0;
        if (gotparams && paramfile[0]) {
            if (!getparms(cg, paramfile)) {
            }
            gotparams = 0;
        } else if (gotread && readfile[0]) {
            if (getdata(cg, readfile, readsrc, readtype)) {
#ifndef GRBATCH
                drawgraph();
#endif
            }
            gotread = 0;
        }
    }
    if (fp != stdin) {
	fclose(fp);
    }
}

symtab_entry key[] = {
	"A", VAR,
	"A0", FITPARM,
	"A1", FITPARM,
	"A2", FITPARM,
	"A3", FITPARM,
	"A4", FITPARM,
	"A5", FITPARM,
	"A6", FITPARM,
	"A7", FITPARM,
	"A8", FITPARM,
	"A9", FITPARM,
	"ABORT", ABORT,
	"ABOVE", ABOVE,
	"ABS", ABS,
	"ABSOLUTE", ABSOLUTE,
	"ACOS", ACOS,
	"ACOSH", ACOSH,
	"ACTIVATE", ACTIVATE,
	"ACTIVE", ACTIVE,
	"ALT", ALT,
	"ALTERNATE", ALTERNATE,
	"ALTXAXIS", ALTXAXIS,
	"ALTYAXIS", ALTYAXIS,
	"AND", AND,
	"ANGLE", ANGLE,
	"ANNOTATE", ANNOTATE,
	"APPEND", APPEND,
	"AREA", AREA,
	"ARRANGE", ARRANGE,
	"ARROW", ARROW,
	"ASCENDING", ASCENDING,
	"ASIN", ASIN,
	"ASINH", ASINH,
	"ASPLINE", ASPLINE,
	"ATAN", ATAN,
	"ATANH", ATANH,
	"ATAN2", ATAN2,
	"AUTO", AUTO,
	"AUTOSCALE", AUTOSCALE,
	"AUTOTICKS", AUTOTICKS,
	"AVG", AVG,
	"AXES", AXES,
	"AXIS", AXIS,
	"B", VAR,
	"BACKBUFFER", BACKBUFFER,
	"BACKGROUND", BACKGROUND,
	"BAR", BAR,
	"BATCH", BATCH,
	"BELOW", BELOW,
	"BIASED", BIASED,
	"BIN", BIN,
	"BLOCK", BLOCK,
	"BOTH", BOTH,
	"BOTTOM", BOTTOM,
	"BOX", BOX,
	"BOXPLOT", BOXPLOT,
	"C", VAR,
	"CD", CD,
	"CEIL", CEIL,
	"CELLS", CELLS,
	"CENTER", CENTER,
	"CHAR", CHAR,
	"CHRSTR", CHRSTR,
	"CLEAR", CLEAR,
	"CLICK", CLICK,
	"CMAP", CMAP,
	"CO", COLOR,
	"COLOR", COLOR,
	"COMMENT", COMMENT,
	"COPY", COPY,
	"COS", COS,
	"COSH", COSH,
	"CYCLE", CYCLE,
	"D", VAR,
	"DAYMONTH", DAYMONTH,
	"DAYOFWEEKL", DAYOFWEEKL,
	"DAYOFWEEKS", DAYOFWEEKS,
	"DAYOFYEAR", DAYOFYEAR,
	"DDMMYY", DDMMYY,
	"DECIMAL", DECIMAL,
	"DEF", DEF,
	"DEFAULT", DEFAULT,
	"DEG", DEG,
	"DEGREESLAT", DEGREESLAT,
	"DEGREESLON", DEGREESLON,
	"DEGREESMMLAT", DEGREESMMLAT,
	"DEGREESMMLON", DEGREESMMLON,
	"DEGREESMMSSLAT", DEGREESMMSSLAT,
	"DEGREESMMSSLON", DEGREESMMSSLON,
	"DELAY", DELAYP,
	"DELETE", DELETE,
	"DESCENDING", DESCENDING,
	"DEVICE", DEVICE,
	"DFT", DFT,
	"DIFF", DIFFERENCE,
	"DIFFERENCE", DIFFERENCE,
	"DISK", DISK,
	"DOUBLEBUFFER", DOUBLEBUFFER,
	"DOWN", DOWN,
	"DRAW2", DRAW2,
	"DROP", DROP,
	"DX", DX,
	"DXDX", DXDX,
	"DY", DY,
	"DYDY", DYDY,
	"ECHO", ECHO,
	"EDIT", EDIT,
	"ELLIPSE", ELLIPSE,
	"ELSE", ELSE,
	"END", END,
	"EQ", EQ,
	"ER", ERRORBAR,
	"ERF", ERF,
	"ERFC", ERFC,
	"ERRORBAR", ERRORBAR,
	"EXIT", EXIT,
	"EXP", EXP,
	"EXPONENTIAL", EXPONENTIAL,
	"FALSE", FALSEP,
	"FFT", FFT,
	"FILE", FILEP,
	"FILL", FILL,
	"FIND", FIND,
	"FIXED", FIXED,
	"FIXEDPOINT", FIXEDPOINT,
	"FLOOR", FLOOR,
	"FLUSH", FLUSH,
	"FOCUS", FOCUS,
	"FOLLOWS", FOLLOWS,
	"FONT", FONTP,
	"FOREGROUND", FOREGROUND,
	"FORMAT", FORMAT,
	"FRAME", FRAMEP,
	"FREE", FREE,
	"FRONTBUFFER", FRONTBUFFER,
	"GE", GE,
	"GENERAL", GENERAL,
	"GETP", GETP,
	"GRAPH", GRAPH,
	"GRAPHS", GRAPHS,
	"GRAPHTYPE", GRAPHTYPE,
	"GRID", GRID,
	"GT", GT,
	"HARDCOPY", HARDCOPY,
	"HBAR", HBAR,
	"HBOXPLOT", HBOXPLOT,
	"HGAP", HGAP,
	"HIDDEN", HIDDEN,
	"HISTO", HISTO,
	"HMS", HMS,
	"HORIZONTAL", HORIZONTAL,
	"HPGLL", HPGLL,
	"HPGLP", HPGLP,
	"HYPOT", HYPOT,
	"IF", IF,
	"IGNORE", IGNORE,
	"IHL", IHL,
	"IMAGE", IMAGE,
	"IN", IN,
	"INDEX", INDEX,
	"INIT", INIT,
	"INOUT", INOUT,
	"INT", INT,
	"INTEGRATE", INT,
	"INTERP", INTERP,
	"INUM", INUM,
	"INVDFT", INVDFT,
	"INVFFT", INVFFT,
	"INVN", INVN,
	"INVT", INVT,
	"IRAND", IRAND,
	"JDAY", JDAY,
	"JDAY0", JDAY0,
	"JUST", JUST,
	"KILL", KILL,
	"LABEL", LABEL,
	"LANDSCAPE", LANDSCAPE,
	"LAYOUT", LAYOUT,
	"LE", LE,
	"LEAVE", LEAVE,
	"LEFT", LEFT,
	"LEGEND", LEGEND,
	"LENGTH", LENGTH,
	"LEVEL", LEVEL,
	"LEVELS", LEVELS,
	"LGAMMA", LGAMMA,
	"LINE", LINE,
	"LINESTYLE", LINESTYLE,
	"LINETO", LINETO,
	"LINEWIDTH", LINEWIDTH,
	"LINK", LINK,
	"LN", LN,
	"LOAD", LOAD,
	"LOCATOR", LOCATOR,
	"LOCATORBAR", LOCATORBAR,
	"LOCTYPE", LOCTYPE,
	"LOG", LOG,
	"LOGISTIC", LOGISTIC,
	"LOGX", LOGX,
	"LOGXY", LOGXY,
	"LOGY", LOGY,
	"LS", LINESTYLE,
	"LT", LT,
	"LW", LINEWIDTH,
	"MAJOR", MAJOR,
	"MAX", MAXP,
	"MIFL", MIFL,
	"MIFP", MIFP,
	"MIN", MINP,
	"MINOR", MINOR,
	"MISSING", MISSINGP,
	"MMDD", MMDD,
	"MMDDHMS", MMDDHMS,
	"MMDDYY", MMDDYY,
	"MMDDYYHMS", MMDDYYHMS,
	"MMSSLAT", MMSSLAT,
	"MMSSLON", MMSSLON,
	"MMYY", MMYY,
	"MOD", MOD,
	"MONTHDAY", MONTHDAY,
	"MONTHL", MONTHL,
	"MONTHS", MONTHS,
	"MONTHSY", MONTHSY,
	"MOVE", MOVE,
	"MOVE2", MOVE2,
	"MOVETO", MOVETO,
	"NE", NE,
	"NEGATE", NEGATE,
	"NO", NO,
	"NONE", NONE,
	"NORM", NORM,
	"NORMAL", NORMAL,
	"NORMP", NORMP,
	"NOT", NOT,
	"NUMBER", NUMBER,
	"NXY", NXY,
	"OFF", OFF,
	"OFFSETX", OFFSETX,
	"OFFSETY", OFFSETY,
	"ON", ON,
	"OP", OP,
	"OR", OR,
	"ORIENT", ORIENT,
	"OUT", OUT,
	"PAGE", PAGE,
	"PARA", PARA,
	"PARALLEL", PARALLEL,
	"PARAMETERS", PARAMETERS,
	"PARAMS", PARAMS,
	"PATTERN", PATTERN,
	"PERIMETER", PERIMETER,
	"PERP", PERP,
	"PERPENDICULAR", PERPENDICULAR,
	"PI", PI,
	"PIE", PIE,
	"PIPE", PIPE,
	"PLACE", PLACE,
	"POINT", POINT,
	"POLAR", POLAR,
	"POLY", POLY,
	"POLYI", POLYI,
	"POLYO", POLYO,
	"POP", POP,
	"PORTRAIT", PORTRAIT,
	"POWER", POWER,
	"PREC", PREC,
	"PREPEND", PREPEND,
	"PRINT", PRINT,
	"PS", PS,
	"PSCOLORL", PSCOLORL,
	"PSCOLORP", PSCOLORP,
	"PSMONOL", PSMONOL,
	"PSMONOP", PSMONOP,
	"PUSH", PUSH,
	"PUTP", PUTP,
	"RAD", RAD,
	"RAND", RAND,
	"RAWSPICE", RAWSPICE,
	"READ", READ,
	"REDRAW", REDRAW,
	"REGRESS", REGRESS,
	"RENDER", RENDER,
	"REVERSE", REVERSE,
	"RIGHT", RIGHT,
	"RISER", RISER,
	"RNORM", RNORM,
	"ROT", ROT,
	"RUNAVG", RUNAVG,
	"RUNMAX", RUNMAX,
	"RUNMED", RUNMED,
	"RUNMIN", RUNMIN,
	"RUNSTD", RUNSTD,
	"SAMPLE", SAMPLE,
	"SAVEALL", SAVEALL,
	"SCALE", SCALE,
	"SCIENTIFIC", SCIENTIFIC,
	"SET", SET,
	"SETNO", SETNO,
	"SETS", SETS,
	"SIGN", SIGN,
	"SIN", SIN,
	"SINH", SINH,
	"SIZE", SIZE,
	"SKIP", SKIP,
	"SLEEP", SLEEP,
	"SLICE", SLICE,
	"SORT", SORT,
	"SOURCE", SOURCE,
	"SPEC", SPEC,
	"SPECIFIED", SPECIFIED,
	"SPECTRUM", SPECTRUM,
	"SPLINE", SPLINE,
	"SQR", SQR,
	"SQRT", SQRT,
	"STACK", STACK,
	"STACKEDBAR", STACKEDBAR,
	"STACKEDHBAR", STACKEDHBAR,
	"STACKEDLINE", STACKEDLINE,
	"STAGGER", STAGGER,
	"START", START,
	"STARTTYPE", STARTTYPE,
	"STATUS", STATUS,
	"STATUSBAR", STATUSBAR,
	"STOP", STOP,
	"STRING", STRING,
	"SUBTITLE", SUBTITLE,
	"SWAPBUFFER", SWAPBUFFER,
	"SYMBOL", SYMBOL,
	"TAN", TAN,
	"TANH", TANH,
	"TICK", TICKP,
	"TICKLABEL", TICKLABEL,
	"TICKMARKS", TICKMARKS,
	"TIME", TIME,
	"TITLE", TITLE,
	"TO", TO,
	"TOOLBAR", TOOLBAR,
	"TOP", TOP,
	"TRUE", TRUEP,
	"TSV", TSV,
	"TYPE", TYPE,
	"UNBIASED", UNBIASED,
	"UP", UP,
	"VAR", VAR,
	"VELOCITY", VELOCITY,
	"VERTICAL", VERTICAL,
	"VGAP", VGAP,
	"VIEW", VIEW,
	"VX1", VX1,
	"VX2", VX2,
	"VY1", VY1,
	"VY2", VY2,
	"WITH", WITH,
	"WORLD", WORLD,
	"WRITE", WRITE,
	"WX1", WX1,
	"WX2", WX2,
	"WY1", WY1,
	"WY2", WY2,
	"X", X,
	"X0", X0,
	"X1", X1,
	"XAXES", XAXES,
	"XAXIS", XAXIS,
	"XCOR", XCOR,
	"XMAX", XMAX,
	"XMIN", XMIN,
	"XY", XY,
	"XYARC", XYARC,
	"XYBOX", XYBOX,
	"XYBOXPLOT", XYBOXPLOT,
	"XYDX", XYDX,
	"XYDXDX", XYDXDX,
	"XYDXDY", XYDXDY,
	"XYDY", XYDY,
	"XYDYDY", XYDYDY,
	"XYFIXED", XYFIXED,
	"XYHILO", XYHILO,
	"XYRT", XYRT,
	"XYSEG", XYSEG,
	"XYSTRING", XYSTRING,
	"XYUV", XYUV,
	"XYX2Y2", XYX2Y2,
	"XYXX", XYXX,
	"XYYY", XYYY,
	"XYZ", XYZ,
	"XYZW", XYZW,
	"Y", Y,
	"Y0", Y0,
	"Y1", Y1,
	"Y2", Y2,
	"Y3", Y3,
	"Y4", Y4,
	"Y5", Y5,
	"YAXES", YAXES,
	"YAXIS", YAXIS,
	"YES", YES,
	"YMAX", YMAX,
	"YMIN", YMIN,
	"YYMMDD", YYMMDD,
	"YYMMDDHMS", YYMMDDHMS,
	"ZEROXAXIS", ZEROXAXIS,
	"ZEROYAXIS", ZEROYAXIS,
};

int maxparms = sizeof(key) / sizeof(symtab_entry);
int maxfunc = sizeof(key) / sizeof(symtab_entry);

int findf(symtab_entry *key, char *s, int tlen)
{

    int low, high, mid;

    low = 0;
    high = tlen - 1;
    while (low <= high) {
	mid = (low + high) / 2;
	if (strcmp(s, key[mid].s) < 0) {
	    high = mid - 1;
	} else {
	    if (strcmp(s, key[mid].s) > 0) {
		low = mid + 1;
	    } else {
		return (mid);
	    }
	}
    }
    return (-1);
}

int getcharstr(void)
{
    if (pos >= strlen(f_string))
	 return EOF;
    return (f_string[pos++]);
}

void ungetchstr(void)
{
    if (pos > 0)
	pos--;
}

int yylex(void)
{
    int c, i;
    int found;
    static char s[256];
    char sbuf[256];
    char *str;

    while ((c = getcharstr()) == ' ' || c == '\t');
    if (c == EOF) {
	return (0);
    }
    if (c == '"') {
	i = 0;
	while ((c = getcharstr()) != '"' && c != EOF) {
	    if (c == '\\') {
		int ctmp;
		ctmp = getcharstr();
		if (ctmp != '"') {
		    ungetchstr();
		}
		else {
		    c = ctmp;
		}
	    }
	    s[i] = c;
	    i++;
	}
	if (c == EOF) {
	    yyerror("Nonterminating string");
	    return 0;
	}
	s[i] = '\0';
	str = (char *) malloc(strlen(s) + 1);
	strcpy(str, s);
	yylval.str = str;
	return CHRSTR;
    }
    if (c == '.' || isdigit(c)) {
	char stmp[80];
	double d;
	int i, gotdot = 0;

	i = 0;
	while (c == '.' || isdigit(c)) {
	    if (c == '.') {
		if (gotdot) {
		    yyerror("Reading number, too many dots");
	    	    return 0;
		} else {
		    gotdot = 1;
		}
	    }
	    stmp[i++] = c;
	    c = getcharstr();
	}
	if (c == 'E' || c == 'e') {
	    stmp[i++] = c;
	    c = getcharstr();
	    if (c == '+' || c == '-') {
		stmp[i++] = c;
		c = getcharstr();
	    }
	    while (isdigit(c)) {
		stmp[i++] = c;
		c = getcharstr();
	    }
	}
	if (gotdot && i == 1) {
	    ungetchstr();
	    return '.';
	}
	stmp[i] = '\0';
	ungetchstr();
	sscanf(stmp, "%lf", &d);
	yylval.val = d;
	return NUMBER;
    }
/* graphs, sets, regions resp. */
    if (c == 'G' || c == 'S' || c == 'R') {
	char stmp[80];
	int i = 0, ctmp = c, gn, sn, rn;
	c = getcharstr();
	while (isdigit(c)) {
	    stmp[i++] = c;
	    c = getcharstr();
	}
	if (i == 0) {
	    c = ctmp;
	    ungetchstr();
	} else {
	    ungetchstr();
	    if (ctmp == 'G') {
	        stmp[i] = '\0';
		gn = atoi(stmp);
		if (gn >= 0 && gn < maxgraph) {
		    yylval.ival = gn;
		    whichgraph = gn;
		    return GRAPHNO;
		}
	    } else if (ctmp == 'S') {
	        stmp[i] = '\0';
		sn = atoi(stmp);
		if (sn >= 0 && sn < g[cg].maxplot) {
		    lxy = getsetlength(cg, sn);
		    yylval.ival = sn;
		    whichset = sn;
		    return SETNUM;
		}
	    } else if (ctmp == 'R') {
	        stmp[i] = '\0';
		rn = atoi(stmp);
		if (rn >= 0 && rn < MAXREGION) {
		    yylval.ival = rn;
		    return REGNUM;
		}
	    }
	}
    }
    if (isalpha(c)) {
	char *p = sbuf;

	do {
	    *p++ = c;
	} while ((c = getcharstr()) != EOF && isalnum(c));
	ungetchstr();
	*p = '\0';
        if (debuglevel == 2) {
	    printf("->%s<-\n", sbuf);
	}
	if ((found = findf(key, sbuf, maxfunc)) >= 0) {
	    if (key[found].type == VAR) {
		switch (sbuf[0]) {
		case 'A':
		    yylval.ptr = aa;
		    return VAR;
		case 'B':
		    yylval.ptr = bb;
		    return VAR;
		case 'C':
		    yylval.ptr = cc;
		    return VAR;
		case 'D':
		    yylval.ptr = dd;
		    return VAR;
		}
	    }
	    else if (key[found].type == FITPARM) {
		int index = sbuf[1] - '0';
		yylval.val = nonl_parms[index];
		return FITPARM;
	    }
	    else { /* set up special cases */
		switch (key[found].type) {
		case XAXIS:
		    naxis = 0;
		    break;
		case YAXIS:
		    naxis = 1;
		    break;
		case ZEROXAXIS:
		    naxis = 2;
		    break;
		case ZEROYAXIS:
		    naxis = 3;
		    break;
		case ALTXAXIS:
		    naxis = 4;
		    break;
		case ALTYAXIS:
		    naxis = 5;
		    break;
		case AXES:
		    naxis = 6;
		    break;
		case XAXES:
		    naxis = 7;
		    break;
		case YAXES:
		    naxis = 8;
		    break;
		case GRAPHS:
		    yylval.ival = -1;
		    whichgraph = -1;
		    return GRAPHS;
		    break;
		case SETS:
		    yylval.ival = -1;
		    whichset = -1;
		    return SETS;
		    break;
		default:
		    break;
		}
	    }
	    yylval.func = key[found].type;
	    return key[found].type;
	} else {
	    strcat(sbuf, ": No such function or variable");
	    yyerror(sbuf);
	    return 0;
	}
    }
    switch (c) {
    case '>':
	return follow('=', GE, GT);
    case '<':
	return follow('=', LE, LT);
    case '=':
	return follow('=', EQ, '=');
    case '!':
	return follow('=', NE, NOT);
    case '|':
	return follow('|', OR, '|');
    case '&':
	return follow('&', AND, '&');
    case '\n':
	return '\n';
    default:
	return c;
    }
}

int follow(int expect, int ifyes, int ifno)
{
    int c = getcharstr();

    if (c == expect) {
	return ifyes;
    }
    ungetchstr();
    return ifno;
}

void yyerror(char *s)
{
    int i;
    char buf[256];
    sprintf(buf, "%s: %s", s, f_string);
    i = strlen(buf);
    buf[i - 1] = 0;
    errmsg(buf);
    interr = 1;
}

#define C1 0.1978977093962766
#define C2 0.1352915131768107

double rnorm(double mean, double sdev)
{
    double u = drand48();

    return mean + sdev * (pow(u, C2) - pow(1.0 - u, C2)) / C1;
}

double fx(double x)
{
    return 1.0 / sqrt(2.0 * M_PI) * exp(-x * x * 0.5);
}

double normp(double b, double *s)
{
    double sum, dx, a = -8.0, fx(double x);
    int i, n = 48;

    sum = fx(a) + fx(b);
    dx = (b - a) / n;
    for (i = 1; i <= ((n - 1) / 2); i++)
	sum = sum + 4.0 * fx(a + (2.0 * i - 1.0) * dx) + 2.0 * fx(a + 2.0 * i * dx);
    sum = sum + 4.0 * fx(b - dx);
    *s = fx(b);
    return sum * dx / 3.0;
}

double invnorm(double p)
{
    double s, x, z, normp(double b, double *s);

    if (p > 0.5)
	x = 1.0 - p;
    else
	x = p;
    s = sqrt(-2.0 * log(x));
    x = ((-7.49101 * s - 448.047) * s - 1266.846);
    x = x / (((s + 109.8371) * s + 748.189) * s + 498.003) + s;
    if (p < 0.5)
	x = -x;
    z = p - normp(x, &s);
    z = z / s;
    s = x * x;
    return (((((((((720.0 * s + 2556.0) * s + 1740.0) * s + 127.0) * z / 7.0 +
		 ((120.0 * s + 326.0) * s + 127.0) * x) * z / 6.0 + (24 * s + 46.0) * s + 7.0) * z / 40.0 +
	       (0.75 * s + 0.875) * x) * z + s + 0.5) * z / 3.0 + x * 0.5) * z + 1.0) * z + x + 0.832e-24 * x;
}

double invt(double p, int n)
{
    double sign, temp, a, b, c, d, x, y;

    sign = 1.0;
    if (p < 0.5) {
	p = 1.0 - p;
	sign = -1.0;
    }
    p = (1 - p) * 2;
    if (n == 2) {
	temp = sqrt(2.0 / (p * (2.0 - p)) - 2.0);
	temp = sign * temp;
	return temp;
    } else if (n == 1) {
	p = p * M_PI / 2.0;
	return sign * cos(p) / sin(p);
    } else {
	a = 1.0 / (n - 0.5);
	b = 48.0 / (a * a);
	c = ((20700 * a / b - 98.0) * a - 16.0) * a + 96.36;
	d = ((94.5 / (b + c) - 3.0) / b + 1.0) * sqrt(a * M_PI / 2.0) * n;
	x = d * p;
	y = exp((2.0 / n) * log(x));
	if (y > (0.05 + a)) {
	    x = invnorm(p * 0.5);
	    y = x * x;
	    if (n < 5)
		c = c + 0.3 * (n - 4.5) * (x + 0.6);
	    c = (((0.05 * d * x - 5.0) * x - 7.0) * x - 2.0) * x + b + c;
	    y = (((((0.4 * y + 6.3) * y + 36.0) * y + 94.5) / c - y - 3.0) / b + 1.0) * x;
	    y = a * y * y;
	    if (y > 0.002)
		y = exp(y) - 1.0;
	    else
		y = 0.5 * y * y + y;
	} else
	    y = ((1.0 / (((n + 0.6) / (n * y) - 0.089 * d - 0.822) * (n + 2.0) * 3.0) + 0.5 / (n + 4.0)) * y - 1.0) * (n + 1.0) / (n + 2.0) + 1.0 / y;
	return sign * sqrt(n * y);
    }
}

/*
 * return a pointer to the array given by v
 */
double *getvptr(int gno, int setno, int v)
{
    switch (v) {
    case X:
    case X0:
	return g[gno].p[setno].ex[0];
	break;
    case Y:
    case Y0:
	return g[gno].p[setno].ex[1];
	break;
    case Y1:
	return g[gno].p[setno].ex[2];
	break;
    case Y2:
	return g[gno].p[setno].ex[3];
	break;
    case Y3:
	return g[gno].p[setno].ex[4];
	break;
    case Y4:
	return g[gno].p[setno].ex[5];
	break;
    case Y5:
	return g[gno].p[setno].ex[6];
	break;
    }
    return NULL;
}
#line 5678 "y.tab.c"
#define YYABORT goto yyabort
#define YYACCEPT goto yyaccept
#define YYERROR goto yyerrlab
int
yyparse()
{
    register int yym, yyn, yystate;
#if YYDEBUG
    register char *yys;
    extern char *getenv();

    if (yys = getenv("YYDEBUG"))
    {
        yyn = *yys;
        if (yyn >= '0' && yyn <= '9')
            yydebug = yyn - '0';
    }
#endif

    yynerrs = 0;
    yyerrflag = 0;
    yychar = (-1);

    yyssp = yyss;
    yyvsp = yyvs;
    *yyssp = yystate = 0;

yyloop:
    if (yyn = yydefred[yystate]) goto yyreduce;
    if (yychar < 0)
    {
        if ((yychar = yylex()) < 0) yychar = 0;
#if YYDEBUG
        if (yydebug)
        {
            yys = 0;
            if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
            if (!yys) yys = "illegal-symbol";
            printf("yydebug: state %d, reading %d (%s)\n", yystate,
                    yychar, yys);
        }
#endif
    }
    if ((yyn = yysindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
#if YYDEBUG
        if (yydebug)
            printf("yydebug: state %d, shifting to state %d\n",
                    yystate, yytable[yyn]);
#endif
        if (yyssp >= yyss + yystacksize - 1)
        {
            goto yyoverflow;
        }
        *++yyssp = yystate = yytable[yyn];
        *++yyvsp = yylval;
        yychar = (-1);
        if (yyerrflag > 0)  --yyerrflag;
        goto yyloop;
    }
    if ((yyn = yyrindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
        yyn = yytable[yyn];
        goto yyreduce;
    }
    if (yyerrflag) goto yyinrecovery;
#ifdef lint
    goto yynewerror;
#endif
yynewerror:
    yyerror("syntax error");
#ifdef lint
    goto yyerrlab;
#endif
yyerrlab:
    ++yynerrs;
yyinrecovery:
    if (yyerrflag < 3)
    {
        yyerrflag = 3;
        for (;;)
        {
            if ((yyn = yysindex[*yyssp]) && (yyn += YYERRCODE) >= 0 &&
                    yyn <= YYTABLESIZE && yycheck[yyn] == YYERRCODE)
            {
#if YYDEBUG
                if (yydebug)
                    printf("yydebug: state %d, error recovery shifting\
 to state %d\n", *yyssp, yytable[yyn]);
#endif
                if (yyssp >= yyss + yystacksize - 1)
                {
                    goto yyoverflow;
                }
                *++yyssp = yystate = yytable[yyn];
                *++yyvsp = yylval;
                goto yyloop;
            }
            else
            {
#if YYDEBUG
                if (yydebug)
                    printf("yydebug: error recovery discarding state %d\n",
                            *yyssp);
#endif
                if (yyssp <= yyss) goto yyabort;
                --yyssp;
                --yyvsp;
            }
        }
    }
    else
    {
        if (yychar == 0) goto yyabort;
#if YYDEBUG
        if (yydebug)
        {
            yys = 0;
            if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
            if (!yys) yys = "illegal-symbol";
            printf("yydebug: state %d, error recovery discards token %d (%s)\n",
                    yystate, yychar, yys);
        }
#endif
        yychar = (-1);
        goto yyloop;
    }
yyreduce:
#if YYDEBUG
    if (yydebug)
        printf("yydebug: state %d, reducing by rule %d (%s)\n",
                yystate, yyn, yyrule[yyn]);
#endif
    yym = yylen[yyn];
    yyval = yyvsp[1-yym];
    switch (yyn)
    {
case 5:
#line 540 "pars.yacc"
{
	    result = yyvsp[-1].val;
	}
break;
case 6:
#line 543 "pars.yacc"
{
	    result = *yyvsp[-1].ptr;
	}
break;
case 13:
#line 552 "pars.yacc"
{
	    return 1;
	}
break;
case 14:
#line 558 "pars.yacc"
{
	    if (yyvsp[-1].pset == FILEP) {
		set_printer(FILEP, (char *) yyvsp[0].pset);
	    }
	    else {
		set_printer(yyvsp[-1].pset, (char *) yyvsp[0].pset);
	    }
	    free((char *) yyvsp[0].pset);
	}
break;
case 15:
#line 567 "pars.yacc"
{
	    if (yyvsp[-1].pset == FILEP) {
		set_printer(FILEP, (char *) yyvsp[0].pset);
	    }
	    else {
		set_printer(yyvsp[-1].pset, (char *) yyvsp[0].pset);
	    }
	    free((char *) yyvsp[0].pset);
	}
break;
case 16:
#line 576 "pars.yacc"
{
	    if (yyvsp[0].pset == FILEP) {
		set_printer(FILEP, NULL);
	    }
	    else {
		set_printer(yyvsp[0].pset, NULL);
	    }
	}
break;
case 17:
#line 584 "pars.yacc"
{
	    tdevice = (int) yyvsp[0].val;
	}
break;
case 18:
#line 587 "pars.yacc"
{
	    hdevice = (int) yyvsp[0].val;
	}
break;
case 19:
#line 590 "pars.yacc"
{
	    do_hardcopy();
	}
break;
case 20:
#line 594 "pars.yacc"
{ 
	    extern int pslwfactor; /* fudge factor for linewidths in the PS driver */
	    pslwfactor = yyvsp[0].val; 
	}
break;
case 21:
#line 601 "pars.yacc"
{ yyval.pset = GR_PS_P; }
break;
case 22:
#line 602 "pars.yacc"
{ yyval.pset = GR_PS_L; }
break;
case 23:
#line 603 "pars.yacc"
{ yyval.pset = GR_MIF_P; }
break;
case 24:
#line 604 "pars.yacc"
{ yyval.pset = GR_MIF_L; }
break;
case 25:
#line 605 "pars.yacc"
{ yyval.pset = GR_HPGL_P; }
break;
case 26:
#line 606 "pars.yacc"
{ yyval.pset = GR_HPGL_L; }
break;
case 27:
#line 607 "pars.yacc"
{ yyval.pset = hdevice; }
break;
case 28:
#line 608 "pars.yacc"
{ yyval.pset = FILEP; }
break;
case 29:
#line 612 "pars.yacc"
{
	    rg[yyvsp[-1].pset].active = yyvsp[0].pset;
	}
break;
case 30:
#line 615 "pars.yacc"
{
	    rg[yyvsp[-2].pset].type = yyvsp[0].pset;
	}
break;
case 31:
#line 618 "pars.yacc"
{
	    rg[yyvsp[-2].pset].color = checkon(COLOR, rg[yyvsp[-2].pset].color, (int) yyvsp[0].val);
	}
break;
case 32:
#line 621 "pars.yacc"
{
	    rg[yyvsp[-2].pset].lines = checkon(LINESTYLE, rg[yyvsp[-2].pset].lines, (int) yyvsp[0].val);
	}
break;
case 33:
#line 624 "pars.yacc"
{
	    rg[yyvsp[-2].pset].linew = checkon(LINEWIDTH, rg[yyvsp[-2].pset].linew, (int) yyvsp[0].val);
	}
break;
case 34:
#line 628 "pars.yacc"
{
	    rg[yyvsp[-8].pset].x1 = yyvsp[-6].val;
	    rg[yyvsp[-8].pset].y1 = yyvsp[-4].val;
	    rg[yyvsp[-8].pset].x2 = yyvsp[-2].val;
	    rg[yyvsp[-8].pset].y2 = yyvsp[0].val;
	}
break;
case 35:
#line 635 "pars.yacc"
{
	    if (rg[yyvsp[-4].pset].x == NULL || rg[yyvsp[-4].pset].n == 0) {
		rg[yyvsp[-4].pset].n = 0;
		rg[yyvsp[-4].pset].x = (double *) calloc(1, sizeof(double));
		rg[yyvsp[-4].pset].y = (double *) calloc(1, sizeof(double));
	    } else {
		rg[yyvsp[-4].pset].x = (double *) realloc(rg[yyvsp[-4].pset].x, (rg[yyvsp[-4].pset].n + 1) * sizeof(double));
		rg[yyvsp[-4].pset].y = (double *) realloc(rg[yyvsp[-4].pset].y, (rg[yyvsp[-4].pset].n + 1) * sizeof(double));
	    }
	    rg[yyvsp[-4].pset].x[rg[yyvsp[-4].pset].n] = yyvsp[-2].val;
	    rg[yyvsp[-4].pset].y[rg[yyvsp[-4].pset].n] = yyvsp[0].val;
	    rg[yyvsp[-4].pset].n++;
	}
break;
case 36:
#line 648 "pars.yacc"
{
	    rg[yyvsp[-2].pset].linkto[yyvsp[0].pset] = TRUE;
	}
break;
case 37:
#line 654 "pars.yacc"
{
#ifndef GRBATCH
	    drawgraph();
#endif
	}
break;
case 38:
#line 659 "pars.yacc"
{
	    auto_redraw = (yyvsp[0].pset == ON);
	}
break;
case 39:
#line 662 "pars.yacc"
{
	    char buf[MAXPATHLEN];
	    strcpy(buf, (char *) yyvsp[0].pset);
	    expand_tilde(buf); 
	    if (chdir(buf) >= 0) {
		strcpy(workingdir, buf);
	    	if (inwin) {
#ifndef GRBATCH
		    set_title(workingdir);
#endif
	        }
	    }
	    free((char *) yyvsp[0].pset);
	}
break;
case 40:
#line 676 "pars.yacc"
{
	    if (inwin) {
#ifndef GRBATCH
		set_left_footer((char *) yyvsp[0].pset);
#endif
	    }
	    else {
		printf("%s\n", (char *) yyvsp[0].pset);
	    }
	    free((char *) yyvsp[0].pset);
	}
break;
case 41:
#line 687 "pars.yacc"
{
#ifndef GRBATCH
	    update_stuff_status();
#endif
	}
break;
case 42:
#line 692 "pars.yacc"
{
	    setbgcolor((int) yyvsp[0].val);
	}
break;
case 43:
#line 695 "pars.yacc"
{
#ifndef GRBATCH
	    xlibsetcmap((int) yyvsp[-6].val, (int) yyvsp[-4].val, (int) yyvsp[-2].val, (int) yyvsp[0].val);
#endif
	}
break;
case 44:
#line 700 "pars.yacc"
{
	    exit(0);
	}
break;
case 45:
#line 704 "pars.yacc"
{
#ifndef GRBATCH
            set_pagelayout(yyvsp[0].pset);
#endif
        }
break;
case 46:
#line 710 "pars.yacc"
{
#ifndef GRBATCH
            set_toolbars(yyvsp[-1].pset, yyvsp[0].pset == ON);
#endif
        }
break;
case 47:
#line 716 "pars.yacc"
{
#ifndef GRBATCH
            set_toolbars(yyvsp[-1].pset, yyvsp[0].pset == ON);
#endif
        }
break;
case 48:
#line 722 "pars.yacc"
{
#ifndef GRBATCH
            set_toolbars(yyvsp[-1].pset, yyvsp[0].pset == ON);
#endif
        }
break;
case 49:
#line 728 "pars.yacc"
{
	    if (inwin) {
		my_draw2((double) yyvsp[-2].val, (double) yyvsp[0].val);
#ifndef GRBATCH
		flush_pending();
#endif
	    }
	}
break;
case 50:
#line 736 "pars.yacc"
{
	    if (inwin) {
		my_move2((double) yyvsp[-2].val, (double) yyvsp[0].val);
	    }
	}
break;
case 51:
#line 741 "pars.yacc"
{
	    if (inwin) {
		double x = (double) yyvsp[-4].val;
		double y = (double) yyvsp[-2].val;
		drawpolysym(&x, &y, 1, (int) yyvsp[0].val, 0, 0, 1.0);
#ifndef GRBATCH
		flush_pending();
#endif
	    }
	}
break;
case 52:
#line 751 "pars.yacc"
{
	    if (inwin) {
		setcolor((int) yyvsp[0].val);
	    }
	}
break;
case 53:
#line 756 "pars.yacc"
{
	    if (inwin) {
		setlinewidth((int) yyvsp[0].val);
	    }
	}
break;
case 54:
#line 761 "pars.yacc"
{
	    if (inwin) {
		setlinestyle((int) yyvsp[0].val);
	    }
	}
break;
case 55:
#line 766 "pars.yacc"
{
	}
break;
case 56:
#line 770 "pars.yacc"
{
	    switch (yyvsp[0].pset) {
	    case UP:
		gwindup_proc();
		break;
	    case DOWN:
		gwinddown_proc();
		break;
	    case RIGHT:
		gwindright_proc();
		break;
	    case LEFT:
		gwindleft_proc();
		break;
	    case IN:
		gwindshrink_proc();
		break;
	    case OUT:
		gwindexpand_proc();
		break;
	    }
	}
break;
case 57:
#line 792 "pars.yacc"
{
	    scroll_proc((int) yyvsp[0].val);
	}
break;
case 58:
#line 795 "pars.yacc"
{
	    scrollinout_proc((int) yyvsp[0].val);
	}
break;
case 59:
#line 798 "pars.yacc"
{
	    scrolling_islinked = yyvsp[0].pset == ON;
	}
break;
case 60:
#line 801 "pars.yacc"
{
#ifndef GRBATCH
	    my_doublebuffer(yyvsp[0].pset == TRUEP);
#endif
	}
break;
case 61:
#line 806 "pars.yacc"
{
#ifndef GRBATCH
	    my_frontbuffer(yyvsp[0].pset == TRUEP);
#endif
	}
break;
case 62:
#line 811 "pars.yacc"
{
#ifndef GRBATCH
	    my_backbuffer(yyvsp[0].pset == TRUEP);
#endif
	}
break;
case 63:
#line 816 "pars.yacc"
{
#ifndef GRBATCH
	    my_swapbuffer();
#endif
	}
break;
case 64:
#line 821 "pars.yacc"
{
	    sleep((int) yyvsp[0].val);
	}
break;
case 65:
#line 824 "pars.yacc"
{	/* TODO add delay function */
	}
break;
case 66:
#line 826 "pars.yacc"
{		/* TODO add abort flag and function */
	}
break;
case 67:
#line 829 "pars.yacc"
{
	    gotparams = TRUE;
	    strcpy(paramfile, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 68:
#line 835 "pars.yacc"
{
	    if (!fexists((char *) yyvsp[0].pset)) {
		FILE *pp = fopen((char *) yyvsp[0].pset, "w");
		if (pp != NULL) {
		    putparms(cg, pp, 0);
		    fclose(pp);
		} else {
		    errmsg("Unable to write parameter file");
		}
	    }
	    free((char *) yyvsp[0].pset);
	}
break;
case 69:
#line 847 "pars.yacc"
{
	    cg = (int) yyvsp[0].pset;
	    g[cg].parmsread = TRUE;
	    change_gno = cg;
	}
break;
case 70:
#line 852 "pars.yacc"
{
	    curset = (int) yyvsp[0].pset;
	}
break;
case 71:
#line 857 "pars.yacc"
{
	    set_hotlink(cg, yyvsp[-3].pset, 1, (char *) yyvsp[0].pset, yyvsp[-1].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 72:
#line 861 "pars.yacc"
{
	    set_hotlink(yyvsp[-5].pset, yyvsp[-3].pset, 1, (char *) yyvsp[0].pset, yyvsp[-1].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 73:
#line 865 "pars.yacc"
{
	    set_hotlink(cg, yyvsp[-2].pset, yyvsp[0].pset == ON, NULL, 0);
	}
break;
case 74:
#line 868 "pars.yacc"
{
	    set_hotlink(yyvsp[-4].pset, yyvsp[-2].pset, yyvsp[0].pset == ON, NULL, 0);
	}
break;
case 75:
#line 871 "pars.yacc"
{
	    do_activateset(cg, yyvsp[-1].pset, (int) yyvsp[0].val);
	}
break;
case 76:
#line 874 "pars.yacc"
{
	    do_activateset(yyvsp[-3].pset, yyvsp[-1].pset, (int) yyvsp[0].val);
	}
break;
case 77:
#line 877 "pars.yacc"
{
	    setlength(cg, yyvsp[-2].pset, (int) yyvsp[0].val);
	    updatesetminmax(cg, yyvsp[-2].pset);
#ifndef GRBATCH
	    update_set_status(cg, yyvsp[-2].pset);
#endif
	}
break;
case 78:
#line 884 "pars.yacc"
{
	    setlength(yyvsp[-4].pset, yyvsp[-2].pset, (int) yyvsp[0].val);
	    updatesetminmax(yyvsp[-4].pset, yyvsp[-2].pset);
#ifndef GRBATCH
	    update_set_status(yyvsp[-4].pset, yyvsp[-2].pset);
#endif
	}
break;
case 79:
#line 891 "pars.yacc"
{
	    add_point(cg, yyvsp[-4].pset, yyvsp[-2].val, yyvsp[0].val, 0.0, 0.0, XY);
	}
break;
case 80:
#line 894 "pars.yacc"
{
	    add_point(yyvsp[-6].pset, yyvsp[-4].pset, yyvsp[-2].val, yyvsp[0].val, 0.0, 0.0, XY);
	}
break;
case 81:
#line 898 "pars.yacc"
{
	    int start = (int) yyvsp[-2].val - 1;
	    int stop = (int) yyvsp[0].val - 1;
	    int dist = stop - start + 1;
	    if (dist > 0 && start >= 0) {
	        droppoints(cg, yyvsp[-4].pset, start, stop, dist);
	    }
	}
break;
case 82:
#line 906 "pars.yacc"
{
	    int start = (int) yyvsp[-2].val - 1;
	    int stop = (int) yyvsp[0].val - 1;
	    int dist = stop - start + 1;
	    if (dist > 0 && start >= 0) {
	        droppoints(yyvsp[-6].pset, yyvsp[-4].pset, start, stop, dist);
	    }
	}
break;
case 83:
#line 914 "pars.yacc"
{
	    if (isactive_set(cg, yyvsp[-2].pset)) {
	        sortset(cg, yyvsp[-2].pset, yyvsp[-1].pset, yyvsp[0].pset == ASCENDING ? 0 : 1);
	    } else {
		errmsg("Set not active!");
	    }
	}
break;
case 84:
#line 921 "pars.yacc"
{
	    do_copyset(cg, yyvsp[-2].pset, cg, yyvsp[0].pset);
	}
break;
case 85:
#line 924 "pars.yacc"
{
	    do_copyset(yyvsp[-6].pset, yyvsp[-4].pset, yyvsp[-2].pset, yyvsp[0].pset);
	}
break;
case 86:
#line 927 "pars.yacc"
{
	    do_moveset(cg, yyvsp[-2].pset, cg, yyvsp[0].pset);
	}
break;
case 87:
#line 930 "pars.yacc"
{
	    do_moveset(yyvsp[-6].pset, yyvsp[-4].pset, yyvsp[-2].pset, yyvsp[0].pset);
	}
break;
case 88:
#line 934 "pars.yacc"
{
	    killset(cg, yyvsp[0].pset);
	}
break;
case 89:
#line 938 "pars.yacc"
{
	    int i;
	    for (i = 0; i < g[cg].maxplot; i++) {
		killset(cg, i);
	    }
	}
break;
case 90:
#line 944 "pars.yacc"
{ softkillset(cg, yyvsp[-1].pset); }
break;
case 91:
#line 946 "pars.yacc"
{
	    int i;
	    for (i = 0; i < g[cg].maxplot; i++) {
		softkillset(cg, i);
	    }
	}
break;
case 92:
#line 952 "pars.yacc"
{ kill_graph(yyvsp[0].pset); }
break;
case 93:
#line 953 "pars.yacc"
{ kill_graph(maxgraph); }
break;
case 94:
#line 954 "pars.yacc"
{ wipeout(0); }
break;
case 95:
#line 955 "pars.yacc"
{ arrange_graphs((int) yyvsp[-2].val, (int) yyvsp[0].val); }
break;
case 96:
#line 957 "pars.yacc"
{
	    int i, ilen = (int) yyvsp[-4].val;
	    if (ilen < 0) {
		yyerror("Length of array < 0");
		return 1;
	    } else if (ilen > maxarr) {
		maxarr = ilen;
		init_scratch_arrays(ilen);
	    }
	    for (i = 0; i < ilen; i++) {
		yyvsp[-5].ptr[i] = yyvsp[-2].val + yyvsp[0].val * i;
	    }
	}
break;
case 97:
#line 971 "pars.yacc"
{
	    int setno = yyvsp[-3].pset, ideg = (int) yyvsp[-1].val;
	    do_regress(setno, ideg, 0, -1, 0);
	}
break;
case 98:
#line 976 "pars.yacc"
{
	    do_running_command(yyvsp[-5].pset, yyvsp[-3].pset, (int) yyvsp[-1].val);
	}
break;
case 99:
#line 980 "pars.yacc"
{
	    do_fourier_command(yyvsp[-5].pset, yyvsp[-3].pset, (int) yyvsp[-1].val);
	}
break;
case 100:
#line 984 "pars.yacc"
{
	    do_spline(yyvsp[-7].pset, yyvsp[-5].val, yyvsp[-3].val, (int) yyvsp[-1].val, SPLINE_CUBIC);
	}
break;
case 101:
#line 988 "pars.yacc"
{
	    do_spline(yyvsp[-7].pset, yyvsp[-5].val, yyvsp[-3].val, (int) yyvsp[-1].val, SPLINE_AKIMA);
	}
break;
case 102:
#line 992 "pars.yacc"
{
	    do_interp(yyvsp[-5].pset, yyvsp[-3].pset, (int) yyvsp[-1].val);
	}
break;
case 103:
#line 996 "pars.yacc"
{
	    do_histo_command(yyvsp[-7].pset, -1, -1, yyvsp[-5].val, yyvsp[-3].val, (int) yyvsp[-1].val);
	}
break;
case 104:
#line 1000 "pars.yacc"
{
	    do_differ(yyvsp[-3].pset, (int) yyvsp[-1].val);
	}
break;
case 105:
#line 1004 "pars.yacc"
{
	    do_int(yyvsp[-1].pset, 0);
	}
break;
case 106:
#line 1008 "pars.yacc"
{
	    do_xcor(yyvsp[-7].pset, yyvsp[-5].pset, (yyvsp[-3].val == BIASED) ? 0 : 1, (int) yyvsp[-1].val);
	}
break;
case 107:
#line 1012 "pars.yacc"
{
	    if (activeset(cg)) {
		defaultgraph(cg);
		default_axis(cg, g[cg].auto_type, X_AXIS);
		default_axis(cg, g[cg].auto_type, ZX_AXIS);
		default_axis(cg, g[cg].auto_type, Y_AXIS);
		default_axis(cg, g[cg].auto_type, ZY_AXIS);
#ifndef GRBATCH
		update_world(cg);
		drawgraph();
#endif
	    } else {
		errmsg("No active sets!");
	    }
	}
break;
case 108:
#line 1028 "pars.yacc"
{
	    if (activeset(cg)) {
		defaultx(cg, -1);
		default_axis(cg, g[cg].auto_type, X_AXIS);
		default_axis(cg, g[cg].auto_type, ZX_AXIS);
#ifndef GRBATCH
		update_world(cg);
#endif
#ifndef GRBATCH
		drawgraph();
#endif
	    } else {
		errmsg("No active sets!");
	    }
	}
break;
case 109:
#line 1044 "pars.yacc"
{
	    if (activeset(cg)) {
		defaulty(cg, -1);
		default_axis(cg, g[cg].auto_type, Y_AXIS);
		default_axis(cg, g[cg].auto_type, ZY_AXIS);
#ifndef GRBATCH
		update_world(cg);
		drawgraph();
#endif
	    } else {
		errmsg("No active sets!");
	    }
	}
break;
case 110:
#line 1058 "pars.yacc"
{
	    if (isactive_set(cg, yyvsp[0].pset)) {
		defaultsetgraph(cg, yyvsp[0].pset);
		default_axis(cg, g[cg].auto_type, X_AXIS);
		default_axis(cg, g[cg].auto_type, ZX_AXIS);
		default_axis(cg, g[cg].auto_type, Y_AXIS);
		default_axis(cg, g[cg].auto_type, ZY_AXIS);
#ifndef GRBATCH
		update_world(cg);
		drawgraph();
#endif
	    } else {
		errmsg("Set not active");
	    }
	}
break;
case 111:
#line 1074 "pars.yacc"
{
#ifndef GRBATCH
	    extern int go_locateflag;
	    go_locateflag = (yyvsp[0].pset == ON);
#endif
	}
break;
case 112:
#line 1081 "pars.yacc"
{
#ifndef GRBATCH
	    draw_focus(cg);
#endif
	    cg = (int) yyvsp[0].pset;
	    defineworld(g[cg].w.xg1, g[cg].w.yg1, g[cg].w.xg2, g[cg].w.yg2, 
			islogx(cg), islogy(cg));
	    viewport(g[cg].v.xv1, g[cg].v.yv1, g[cg].v.xv2, g[cg].v.yv2);
#ifndef GRBATCH
	    draw_focus(cg);
#endif
	    update_all(cg);
	}
break;
case 113:
#line 1094 "pars.yacc"
{
#ifndef GRBATCH
	    draw_focus_flag = yyvsp[0].pset;
#endif
	}
break;
case 114:
#line 1099 "pars.yacc"
{
	    focus_policy = yyvsp[0].pset;
	}
break;
case 115:
#line 1102 "pars.yacc"
{
	    focus_policy = yyvsp[0].pset;
	}
break;
case 116:
#line 1105 "pars.yacc"
{
	    focus_policy = yyvsp[0].pset;
	}
break;
case 117:
#line 1108 "pars.yacc"
{
	    cursource = yyvsp[0].pset;
	}
break;
case 118:
#line 1111 "pars.yacc"
{
	    curtype = yyvsp[0].pset;
	    change_type = curtype;
	}
break;
case 119:
#line 1116 "pars.yacc"
{
	    readxformat = yyvsp[0].pset;
	}
break;
case 120:
#line 1120 "pars.yacc"
{
	    gotread = TRUE;
	    readtype = curtype;
	    readsrc = cursource;
	    strcpy(readfile, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 121:
#line 1128 "pars.yacc"
{
	    gotbatch = TRUE;
	    strcpy(batchfile, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 122:
#line 1134 "pars.yacc"
{
	    getdata(cg, (char *) yyvsp[0].pset, DISK, BLOCK);
	    free((char *) yyvsp[0].pset);
	}
break;
case 123:
#line 1139 "pars.yacc"
{
	    getdata(cg, (char *) yyvsp[0].pset, yyvsp[-1].pset, BLOCK);
	    free((char *) yyvsp[0].pset);
	}
break;
case 124:
#line 1144 "pars.yacc"
{
	    create_set_fromblock(cg, yyvsp[-1].pset, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 125:
#line 1149 "pars.yacc"
{
	    gotread = TRUE;
	    readtype = yyvsp[-1].pset;
	    readsrc = cursource;
	    strcpy(readfile, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 126:
#line 1157 "pars.yacc"
{
	    gotread = TRUE;
	    strcpy(readfile, (char *) yyvsp[0].pset);
	    readtype = yyvsp[-2].pset;
	    readsrc = yyvsp[-1].pset;
	    free((char *) yyvsp[0].pset);
	}
break;
case 127:
#line 1165 "pars.yacc"
{
#ifndef GRBATCH
	    read_image((char *) yyvsp[0].pset);
#endif
	    free((char *) yyvsp[0].pset);
	}
break;
case 128:
#line 1172 "pars.yacc"
{
#ifndef GRBATCH
	    write_image((char *) yyvsp[0].pset);
#endif
	    free((char *) yyvsp[0].pset);
	}
break;
case 129:
#line 1179 "pars.yacc"
{
	    imagex = (int) yyvsp[-2].val;
	    imagey = (int) yyvsp[0].val;
	}
break;
case 130:
#line 1184 "pars.yacc"
{
	    outputset(cg, yyvsp[0].pset, (char *) NULL, (char *) NULL);
	}
break;
case 131:
#line 1188 "pars.yacc"
{
	    outputset(cg, yyvsp[-2].pset, (char *) NULL, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 132:
#line 1193 "pars.yacc"
{
	    outputset(cg, yyvsp[-2].pset, (char *) yyvsp[0].pset, (char *) NULL);
	    free((char *) yyvsp[0].pset);
	}
break;
case 133:
#line 1198 "pars.yacc"
{
	    outputset(cg, yyvsp[-4].pset, (char *) yyvsp[-2].pset, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[-2].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 134:
#line 1204 "pars.yacc"
{
            do_writesets(maxgraph, -1, 1, (char *) yyvsp[0].pset, sformat);
            free((char *) yyvsp[0].pset);
        }
break;
case 135:
#line 1208 "pars.yacc"
{
	    push_world();
	}
break;
case 136:
#line 1211 "pars.yacc"
{
	    pop_world();
	}
break;
case 137:
#line 1214 "pars.yacc"
{
	    cycle_world_stack();
	}
break;
case 138:
#line 1217 "pars.yacc"
{
	    if ((int) yyvsp[0].val > 0)
		show_world_stack((int) yyvsp[0].val - 1);
	}
break;
case 139:
#line 1222 "pars.yacc"
{
	    add_world(cg, yyvsp[-14].val, yyvsp[-12].val, yyvsp[-10].val, yyvsp[-8].val, yyvsp[-6].val, yyvsp[-4].val, yyvsp[-2].val, yyvsp[0].val);
	}
break;
case 140:
#line 1225 "pars.yacc"
{
	    clear_world_stack();
	}
break;
case 141:
#line 1228 "pars.yacc"
{
	    do_clear_boxes();
	}
break;
case 142:
#line 1231 "pars.yacc"
{
	    curbox = next_box();
	}
break;
case 143:
#line 1234 "pars.yacc"
{
	    curbox = (int) yyvsp[0].val;
	}
break;
case 144:
#line 1237 "pars.yacc"
{
	    boxes[curbox].active = yyvsp[0].pset;
	}
break;
case 145:
#line 1240 "pars.yacc"
{
	    boxes[curbox].gno = yyvsp[0].pset;
	}
break;
case 146:
#line 1244 "pars.yacc"
{
	    if (curbox >= 0 && curbox < maxboxes) {
		boxes[curbox].x1 = yyvsp[-6].val;
		boxes[curbox].y1 = yyvsp[-4].val;
		boxes[curbox].x2 = yyvsp[-2].val;
		boxes[curbox].y2 = yyvsp[0].val;
	    }
	}
break;
case 147:
#line 1252 "pars.yacc"
{
	    box_loctype = yyvsp[0].pset;
	}
break;
case 148:
#line 1255 "pars.yacc"
{
	    box_lines = checkon(LINESTYLE, box_lines, (int) yyvsp[0].val);
	}
break;
case 149:
#line 1258 "pars.yacc"
{
	    box_linew = checkon(LINEWIDTH, box_linew, (int) yyvsp[0].val);
	}
break;
case 150:
#line 1261 "pars.yacc"
{
	    box_color = checkon(COLOR, box_color, (int) yyvsp[0].val);
	}
break;
case 151:
#line 1264 "pars.yacc"
{
	    box_fill = yyvsp[0].pset;
	}
break;
case 152:
#line 1267 "pars.yacc"
{
	    box_fillcolor = checkon(COLOR, box_fillcolor, (int) yyvsp[0].val);
	}
break;
case 153:
#line 1270 "pars.yacc"
{
	    box_fillpat = checkon(PATTERN, box_fillpat, (int) yyvsp[0].val);
	}
break;
case 154:
#line 1274 "pars.yacc"
{
	    if (curbox >= 0 && curbox < maxboxes) {
		boxes[curbox].lines = box_lines;
		boxes[curbox].linew = box_linew;
		boxes[curbox].color = box_color;
		boxes[curbox].fill = box_fill;
		boxes[curbox].fillcolor = box_fillcolor;
		boxes[curbox].fillpattern = box_fillpat;
		boxes[curbox].loctype = box_loctype;
	    }
	}
break;
case 155:
#line 1285 "pars.yacc"
{
	    do_clear_ellipses();
	}
break;
case 156:
#line 1288 "pars.yacc"
{
		curellipse = next_ellipse();
	}
break;
case 157:
#line 1291 "pars.yacc"
{
	    curellipse = (int) yyvsp[0].val;
	}
break;
case 158:
#line 1294 "pars.yacc"
{
	    ellip[curellipse].active = yyvsp[0].pset;
	}
break;
case 159:
#line 1297 "pars.yacc"
{
	    ellip[curellipse].gno = yyvsp[0].pset;
	}
break;
case 160:
#line 1301 "pars.yacc"
{
	    if (curellipse >= 0 && curellipse < maxellipses) {
		ellip[curellipse].x1 = yyvsp[-6].val;
		ellip[curellipse].y1 = yyvsp[-4].val;
		ellip[curellipse].x2 = yyvsp[-2].val;
		ellip[curellipse].y2 = yyvsp[0].val;
	    }
	}
break;
case 161:
#line 1309 "pars.yacc"
{
	    ellipse_loctype = yyvsp[0].pset;
	}
break;
case 162:
#line 1312 "pars.yacc"
{
	    ellipse_lines = checkon(LINESTYLE, ellipse_lines, (int) yyvsp[0].val);
	}
break;
case 163:
#line 1315 "pars.yacc"
{
	    ellipse_linew = checkon(LINEWIDTH, ellipse_linew, (int) yyvsp[0].val);
	}
break;
case 164:
#line 1318 "pars.yacc"
{
	    ellipse_color = checkon(COLOR, ellipse_color, (int) yyvsp[0].val);
	}
break;
case 165:
#line 1321 "pars.yacc"
{
	    ellipse_fill = yyvsp[0].pset;
	}
break;
case 166:
#line 1324 "pars.yacc"
{
	    ellipse_fillcolor = checkon(COLOR, ellipse_fillcolor, (int) yyvsp[0].val);
	}
break;
case 167:
#line 1327 "pars.yacc"
{
	    ellipse_fillpat = checkon(PATTERN, ellipse_fillpat, (int) yyvsp[0].val);
	}
break;
case 168:
#line 1331 "pars.yacc"
{
	    if (curellipse >= 0 && curellipse < maxellipses) {
		ellip[curellipse].lines = ellipse_lines;
		ellip[curellipse].linew = ellipse_linew;
		ellip[curellipse].color = ellipse_color;
		ellip[curellipse].fill = ellipse_fill;
		ellip[curellipse].fillcolor = ellipse_fillcolor;
		ellip[curellipse].fillpattern = ellipse_fillpat;
		ellip[curellipse].loctype = ellipse_loctype;
	    }
	}
break;
case 169:
#line 1342 "pars.yacc"
{
	    curline = next_line();
	}
break;
case 170:
#line 1345 "pars.yacc"
{
	    curline = (int) yyvsp[0].val;
	}
break;
case 171:
#line 1348 "pars.yacc"
{
	    do_clear_lines();
	}
break;
case 172:
#line 1351 "pars.yacc"
{
	    lines[curline].active = yyvsp[0].pset;
	}
break;
case 173:
#line 1354 "pars.yacc"
{
	    lines[curline].gno = yyvsp[0].pset;
	}
break;
case 174:
#line 1358 "pars.yacc"
{
	    lines[curline].x1 = yyvsp[-6].val;
	    lines[curline].y1 = yyvsp[-4].val;
	    lines[curline].x2 = yyvsp[-2].val;
	    lines[curline].y2 = yyvsp[0].val;
	}
break;
case 175:
#line 1364 "pars.yacc"
{
	    line_loctype = yyvsp[0].pset;
	}
break;
case 176:
#line 1367 "pars.yacc"
{
	    line_linew = checkon(LINEWIDTH, line_linew, (int) yyvsp[0].val);
	}
break;
case 177:
#line 1370 "pars.yacc"
{
	    line_lines = checkon(LINESTYLE, line_lines, (int) yyvsp[0].val);
	}
break;
case 178:
#line 1373 "pars.yacc"
{
	    line_color = checkon(COLOR, line_color, (int) yyvsp[0].val);
	}
break;
case 179:
#line 1376 "pars.yacc"
{
	    line_arrow = checkon(ARROW, line_arrow, (int) yyvsp[0].val);
	}
break;
case 180:
#line 1379 "pars.yacc"
{
	    line_asize = yyvsp[0].val;
	}
break;
case 181:
#line 1382 "pars.yacc"
{
	    line_atype = (int) yyvsp[0].val;
	}
break;
case 182:
#line 1386 "pars.yacc"
{
	    if (curline >= 0 && curline < maxlines) {
		lines[curline].lines = line_lines;
		lines[curline].linew = line_linew;
		lines[curline].color = line_color;
		lines[curline].arrow = line_arrow;
		lines[curline].asize = line_asize;
		lines[curline].atype = line_atype;
		lines[curline].loctype = line_loctype;
	    }
	}
break;
case 183:
#line 1397 "pars.yacc"
{
	    do_clear_text();
	}
break;
case 184:
#line 1400 "pars.yacc"
{ curstring = next_string(); }
break;
case 185:
#line 1401 "pars.yacc"
{ curstring = (int) yyvsp[0].val; }
break;
case 186:
#line 1402 "pars.yacc"
{ pstr[curstring].active = yyvsp[0].pset; }
break;
case 187:
#line 1403 "pars.yacc"
{ pstr[curstring].gno = yyvsp[0].pset; }
break;
case 188:
#line 1405 "pars.yacc"
{
	    pstr[curstring].x = yyvsp[-2].val;
	    pstr[curstring].y = yyvsp[0].val;
	}
break;
case 189:
#line 1409 "pars.yacc"
{ string_loctype = yyvsp[0].pset; }
break;
case 190:
#line 1410 "pars.yacc"
{ string_linew = checkon(LINEWIDTH, string_linew, (int) yyvsp[0].val); }
break;
case 191:
#line 1411 "pars.yacc"
{ string_color = checkon(COLOR, string_color, (int) yyvsp[0].val); }
break;
case 192:
#line 1412 "pars.yacc"
{ string_rot = (int) yyvsp[0].val; }
break;
case 193:
#line 1413 "pars.yacc"
{ string_font = checkon(FONTP, string_font, (int) yyvsp[0].val); }
break;
case 194:
#line 1414 "pars.yacc"
{ string_just = checkon(JUST, string_just, (int) yyvsp[0].val); }
break;
case 195:
#line 1415 "pars.yacc"
{ string_size = yyvsp[0].val; }
break;
case 196:
#line 1417 "pars.yacc"
{
	    set_plotstr_string(&pstr[curstring], (char *) yyvsp[0].pset);
	    pstr[curstring].linew = string_linew;
	    pstr[curstring].color = string_color;
	    pstr[curstring].font = string_font;
	    pstr[curstring].just = string_just;
	    pstr[curstring].loctype = string_loctype;
	    pstr[curstring].rot = string_rot;
	    pstr[curstring].charsize = string_size;
	    free((char *) yyvsp[0].pset);
	}
break;
case 197:
#line 1428 "pars.yacc"
{ timestamp.active = yyvsp[0].pset; }
break;
case 198:
#line 1429 "pars.yacc"
{ timestamp.font = checkon(FONTP, timestamp.font, (int) yyvsp[0].val); }
break;
case 199:
#line 1430 "pars.yacc"
{ timestamp.charsize = yyvsp[0].val; }
break;
case 200:
#line 1431 "pars.yacc"
{ timestamp.color = checkon(COLOR, timestamp.color, (int) yyvsp[0].val); }
break;
case 201:
#line 1432 "pars.yacc"
{ timestamp.linew = checkon(LINEWIDTH, timestamp.linew, (int) yyvsp[-1].pset); }
break;
case 202:
#line 1434 "pars.yacc"
{
	    timestamp.x = yyvsp[-2].val;
	    timestamp.y = yyvsp[0].val;
	}
break;
case 203:
#line 1438 "pars.yacc"
{
	    grdefaults.lines = (int) yyvsp[0].val;
	}
break;
case 204:
#line 1441 "pars.yacc"
{
	    grdefaults.linew = (int) yyvsp[0].val;
	}
break;
case 205:
#line 1444 "pars.yacc"
{
	    grdefaults.color = (int) yyvsp[0].val;
	}
break;
case 206:
#line 1447 "pars.yacc"
{
	    grdefaults.charsize = yyvsp[0].val;
	}
break;
case 207:
#line 1450 "pars.yacc"
{
	    grdefaults.font = (int) yyvsp[0].val;
	}
break;
case 208:
#line 1453 "pars.yacc"
{
	    grdefaults.fontsrc = (int) yyvsp[0].val;
	}
break;
case 209:
#line 1456 "pars.yacc"
{
	    grdefaults.symsize = yyvsp[0].val;
	}
break;
case 210:
#line 1460 "pars.yacc"
{
	    g[cg].w.xg1 = yyvsp[-6].val;
	    g[cg].w.yg1 = yyvsp[-4].val;
	    g[cg].w.xg2 = yyvsp[-2].val;
	    g[cg].w.yg2 = yyvsp[0].val;
	}
break;
case 211:
#line 1466 "pars.yacc"
{
	    g[cg].w.xg1 = yyvsp[0].val;
	}
break;
case 212:
#line 1469 "pars.yacc"
{
	    g[cg].w.xg2 = yyvsp[0].val;
	}
break;
case 213:
#line 1472 "pars.yacc"
{
	    g[cg].w.yg1 = yyvsp[0].val;
	}
break;
case 214:
#line 1475 "pars.yacc"
{
	    g[cg].w.yg2 = yyvsp[0].val;
	}
break;
case 215:
#line 1479 "pars.yacc"
{
            g[cg].rt.xg1 = yyvsp[-2].val;
            g[cg].rt.yg1 = yyvsp[0].val;
        }
break;
case 216:
#line 1484 "pars.yacc"
{
	    g[cg].v.xv1 = yyvsp[-6].val;
	    g[cg].v.yv1 = yyvsp[-4].val;
	    g[cg].v.xv2 = yyvsp[-2].val;
	    g[cg].v.yv2 = yyvsp[0].val;
	}
break;
case 217:
#line 1490 "pars.yacc"
{
	    g[cg].v.xv1 = yyvsp[0].val;
	}
break;
case 218:
#line 1493 "pars.yacc"
{
	    g[cg].v.xv2 = yyvsp[0].val;
	}
break;
case 219:
#line 1496 "pars.yacc"
{
	    g[cg].v.yv1 = yyvsp[0].val;
	}
break;
case 220:
#line 1499 "pars.yacc"
{
	    g[cg].v.yv2 = yyvsp[0].val;
	}
break;
case 221:
#line 1502 "pars.yacc"
{
	    set_plotstr_string(&g[cg].labs.title, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 222:
#line 1506 "pars.yacc"
{
	    g[cg].labs.title.font = checkon(FONTP, g[cg].labs.title.font, (int) yyvsp[0].val);
	}
break;
case 223:
#line 1509 "pars.yacc"
{
	    g[cg].labs.title.charsize = yyvsp[0].val;
	}
break;
case 224:
#line 1512 "pars.yacc"
{
	    g[cg].labs.title.color = checkon(COLOR, g[cg].labs.title.color, (int) yyvsp[0].val);
	}
break;
case 225:
#line 1516 "pars.yacc"
{
	    g[cg].labs.title.linew = checkon(LINEWIDTH, g[cg].labs.title.linew, (int) yyvsp[0].val);
	}
break;
case 226:
#line 1519 "pars.yacc"
{
	    set_plotstr_string(&g[cg].labs.stitle, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 227:
#line 1524 "pars.yacc"
{
	    g[cg].labs.stitle.font = checkon(FONTP, g[cg].labs.stitle.font, (int) yyvsp[0].val);
	}
break;
case 228:
#line 1527 "pars.yacc"
{
	    g[cg].labs.stitle.charsize = yyvsp[0].val;
	}
break;
case 229:
#line 1531 "pars.yacc"
{
	    g[cg].labs.stitle.color = checkon(COLOR, g[cg].labs.stitle.color, (int) yyvsp[0].val);
	}
break;
case 230:
#line 1535 "pars.yacc"
{
	    g[cg].labs.stitle.linew = checkon(LINEWIDTH, g[cg].labs.stitle.color, (int) yyvsp[0].val);
	}
break;
case 231:
#line 1538 "pars.yacc"
{
	    realloc_plots((int) yyvsp[0].val);
	}
break;
case 232:
#line 1541 "pars.yacc"
{
	    g[cg].l.active = yyvsp[0].pset;
	}
break;
case 233:
#line 1544 "pars.yacc"
{
	    g[cg].l.loctype = yyvsp[0].pset;
	}
break;
case 234:
#line 1547 "pars.yacc"
{
	    g[cg].l.layout = (int) yyvsp[0].val;
	}
break;
case 235:
#line 1550 "pars.yacc"
{
	    g[cg].l.vgap = (int) yyvsp[0].val;
	}
break;
case 236:
#line 1553 "pars.yacc"
{
	    g[cg].l.hgap = (int) yyvsp[0].val;
	}
break;
case 237:
#line 1556 "pars.yacc"
{
	    g[cg].l.len = (int) yyvsp[0].val;
	}
break;
case 238:
#line 1559 "pars.yacc"
{
	    g[cg].l.box = yyvsp[0].pset;
	}
break;
case 239:
#line 1562 "pars.yacc"
{
	    g[cg].l.boxfill = yyvsp[0].pset;
	}
break;
case 240:
#line 1565 "pars.yacc"
{
	    g[cg].l.boxfillusing = yyvsp[0].pset;
	}
break;
case 241:
#line 1569 "pars.yacc"
{
	    if (yyvsp[-1].pset == COLOR) {
		g[cg].l.boxfillcolor = (int) yyvsp[0].val;
	    } else {
		g[cg].l.boxfillpat = (int) yyvsp[0].val;
	    }
	}
break;
case 242:
#line 1576 "pars.yacc"
{
	    g[cg].l.boxlcolor = checkon(COLOR, g[cg].l.boxlcolor, (int) yyvsp[0].val);
	}
break;
case 243:
#line 1579 "pars.yacc"
{
	    g[cg].l.boxlines = checkon(LINESTYLE, g[cg].l.boxlines, (int) yyvsp[0].val);
	}
break;
case 244:
#line 1582 "pars.yacc"
{
	    g[cg].l.boxlinew = checkon(LINEWIDTH, g[cg].l.boxlinew, (int) yyvsp[0].val);
	}
break;
case 245:
#line 1585 "pars.yacc"
{
	    g[cg].l.legx = yyvsp[-2].val;
	    g[cg].l.legy = yyvsp[0].val;
	}
break;
case 246:
#line 1589 "pars.yacc"
{
	    g[cg].l.legx = yyvsp[0].val;
	}
break;
case 247:
#line 1592 "pars.yacc"
{
	    g[cg].l.legy = yyvsp[0].val;
	}
break;
case 248:
#line 1595 "pars.yacc"
{
	    g[cg].l.charsize = yyvsp[0].val;
	}
break;
case 249:
#line 1598 "pars.yacc"
{
	    g[cg].l.font = checkon(FONTP, g[cg].l.font, (int) yyvsp[0].val);
	}
break;
case 250:
#line 1601 "pars.yacc"
{
	    g[cg].l.lines = checkon(LINESTYLE, g[cg].l.lines, (int) yyvsp[0].val);
	}
break;
case 251:
#line 1604 "pars.yacc"
{
	    g[cg].l.linew = checkon(LINEWIDTH, g[cg].l.linew, (int) yyvsp[0].val);
	}
break;
case 252:
#line 1607 "pars.yacc"
{
	    g[cg].l.color = checkon(COLOR, g[cg].l.color, (int) yyvsp[0].val);
	}
break;
case 253:
#line 1610 "pars.yacc"
{
	    strcpy(g[cg].p[(int) yyvsp[-1].val].lstr, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 254:
#line 1614 "pars.yacc"
{
	    g[cg].f.active = yyvsp[0].pset;
	}
break;
case 255:
#line 1617 "pars.yacc"
{
	    g[cg].f.type = (int) yyvsp[0].val;
	}
break;
case 256:
#line 1620 "pars.yacc"
{
	    g[cg].f.lines = checkon(LINESTYLE, g[cg].f.lines, (int) yyvsp[0].val);
	}
break;
case 257:
#line 1623 "pars.yacc"
{
	    g[cg].f.linew = checkon(LINEWIDTH, g[cg].f.linew, (int) yyvsp[0].val);
	}
break;
case 258:
#line 1626 "pars.yacc"
{
	    g[cg].f.color = checkon(COLOR, g[cg].f.color, (int) yyvsp[0].val);
	}
break;
case 259:
#line 1629 "pars.yacc"
{ g[cg].f.fillbg = yyvsp[0].pset; }
break;
case 260:
#line 1630 "pars.yacc"
{ g[cg].f.bgcolor = (int) yyvsp[0].val; }
break;
case 261:
#line 1631 "pars.yacc"
{ g[yyvsp[-1].pset].active = yyvsp[0].pset; }
break;
case 262:
#line 1632 "pars.yacc"
{ g[yyvsp[-2].pset].label = yyvsp[0].pset; }
break;
case 263:
#line 1633 "pars.yacc"
{ g[yyvsp[-3].pset].auto_type = yyvsp[0].pset; }
break;
case 264:
#line 1634 "pars.yacc"
{ g[yyvsp[-3].pset].auto_type = yyvsp[0].pset; }
break;
case 265:
#line 1635 "pars.yacc"
{ g[yyvsp[-2].pset].parmsread = (yyvsp[0].pset == FALSEP); }
break;
case 266:
#line 1636 "pars.yacc"
{ g[yyvsp[-2].pset].hidden = (yyvsp[0].pset == TRUEP); }
break;
case 267:
#line 1637 "pars.yacc"
{ g[yyvsp[-2].pset].type = yyvsp[0].pset; }
break;
case 268:
#line 1638 "pars.yacc"
{ g[yyvsp[-3].pset].barwid = yyvsp[0].val; }
break;
case 269:
#line 1639 "pars.yacc"
{ g[yyvsp[-3].pset].sbarwid = yyvsp[0].val; }
break;
case 270:
#line 1640 "pars.yacc"
{ g[yyvsp[-2].pset].pointset = (yyvsp[0].pset == ON); }
break;
case 271:
#line 1642 "pars.yacc"
{
	    g[yyvsp[-4].pset].fx = yyvsp[-1].pset;
	    g[yyvsp[-4].pset].fy = yyvsp[0].pset;
	}
break;
case 272:
#line 1647 "pars.yacc"
{
	    g[yyvsp[-5].pset].px = yyvsp[-2].val;
	    g[yyvsp[-5].pset].py = yyvsp[0].val;
	}
break;
case 273:
#line 1652 "pars.yacc"
{
	    g[yyvsp[-5].pset].dsx = yyvsp[-2].val;
	    g[yyvsp[-5].pset].dsy = yyvsp[0].val;
	}
break;
case 274:
#line 1656 "pars.yacc"
{ g[yyvsp[-3].pset].pt_type = (int) yyvsp[0].val; }
break;
case 275:
#line 1657 "pars.yacc"
{ realloc_graph_plots(yyvsp[-3].pset, (int) yyvsp[0].val); }
break;
case 276:
#line 1661 "pars.yacc"
{ g[cg].vp.vscale = yyvsp[0].val; }
break;
case 277:
#line 1662 "pars.yacc"
{ g[cg].vp.active = yyvsp[0].pset; }
break;
case 278:
#line 1663 "pars.yacc"
{ g[cg].vp.linew = (int) yyvsp[0].val; }
break;
case 279:
#line 1664 "pars.yacc"
{ g[cg].vp.lines = (int) yyvsp[0].val; }
break;
case 280:
#line 1665 "pars.yacc"
{ g[cg].vp.color = (int) yyvsp[0].val; }
break;
case 281:
#line 1666 "pars.yacc"
{ g[cg].vp.loctype = yyvsp[0].pset; }
break;
case 282:
#line 1667 "pars.yacc"
{ g[cg].vp.arrowtype = (int) yyvsp[0].val; }
break;
case 283:
#line 1671 "pars.yacc"
{ yyval.pset = XY; }
break;
case 284:
#line 1672 "pars.yacc"
{ yyval.pset = XYARC; }
break;
case 285:
#line 1673 "pars.yacc"
{ yyval.pset = XYBOX; }
break;
case 286:
#line 1674 "pars.yacc"
{ yyval.pset = XYBOXPLOT; }
break;
case 287:
#line 1675 "pars.yacc"
{ yyval.pset = XYHILO; }
break;
case 288:
#line 1676 "pars.yacc"
{ yyval.pset = XYRT; }
break;
case 289:
#line 1677 "pars.yacc"
{ yyval.pset = XYSEG; }
break;
case 290:
#line 1678 "pars.yacc"
{ yyval.pset = XYSTRING; }
break;
case 291:
#line 1679 "pars.yacc"
{ yyval.pset = XYDX; }
break;
case 292:
#line 1680 "pars.yacc"
{ yyval.pset = XYDY; }
break;
case 293:
#line 1681 "pars.yacc"
{ yyval.pset = XYDXDX; }
break;
case 294:
#line 1682 "pars.yacc"
{ yyval.pset = XYDYDY; }
break;
case 295:
#line 1683 "pars.yacc"
{ yyval.pset = XYDXDY; }
break;
case 296:
#line 1684 "pars.yacc"
{ yyval.pset = XYX2Y2; }
break;
case 297:
#line 1685 "pars.yacc"
{ yyval.pset = XYXX; }
break;
case 298:
#line 1686 "pars.yacc"
{ yyval.pset = XYYY; }
break;
case 299:
#line 1687 "pars.yacc"
{ yyval.pset = XYZ; }
break;
case 300:
#line 1688 "pars.yacc"
{ yyval.pset = XYZW; }
break;
case 301:
#line 1689 "pars.yacc"
{ yyval.pset = XYUV; }
break;
case 302:
#line 1690 "pars.yacc"
{ yyval.pset = TSV; }
break;
case 303:
#line 1691 "pars.yacc"
{ yyval.pset = NXY; }
break;
case 304:
#line 1692 "pars.yacc"
{ yyval.pset = BIN; }
break;
case 305:
#line 1693 "pars.yacc"
{ yyval.pset = POLY; }
break;
case 306:
#line 1694 "pars.yacc"
{ yyval.pset = RAWSPICE; }
break;
case 307:
#line 1698 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 308:
#line 1699 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 309:
#line 1700 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 310:
#line 1701 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 311:
#line 1702 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 312:
#line 1703 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 313:
#line 1704 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 314:
#line 1705 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 315:
#line 1706 "pars.yacc"
{ yyval.pset = XY;		/* not active */ }
break;
case 316:
#line 1707 "pars.yacc"
{ yyval.pset = XY;		/* not active */ }
break;
case 317:
#line 1708 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 318:
#line 1709 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 319:
#line 1710 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 320:
#line 1714 "pars.yacc"
{ yyval.pset = FREE; }
break;
case 321:
#line 1715 "pars.yacc"
{ yyval.pset = LANDSCAPE; }
break;
case 322:
#line 1716 "pars.yacc"
{ yyval.pset = PORTRAIT; }
break;
case 323:
#line 1717 "pars.yacc"
{ yyval.pset = FIXED; }
break;
case 331:
#line 1745 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, ACTIVE, yyvsp[0].pset, 0);
	}
break;
case 332:
#line 1748 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, ACTIVE, yyvsp[0].pset, 0);
	}
break;
case 333:
#line 1751 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, TYPE, yyvsp[0].pset, 0);
	}
break;
case 334:
#line 1754 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, MISSINGP, yyvsp[0].val, 0);
	}
break;
case 335:
#line 1757 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, PREC, (int) yyvsp[0].val, 0);
	}
break;
case 336:
#line 1760 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, FORMAT, yyvsp[0].pset, 0);
	}
break;
case 337:
#line 1763 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SYMBOL, TYPE, (int) yyvsp[0].val, 0);
	}
break;
case 338:
#line 1766 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SYMBOL, FILL, (int) yyvsp[0].val, 0);
	}
break;
case 339:
#line 1769 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SYMBOL, CENTER, (yyvsp[0].pset == TRUEP), 0);
	}
break;
case 340:
#line 1772 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SYMBOL, SIZE, yyvsp[0].val, 0);
	}
break;
case 341:
#line 1775 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SYMBOL, CHAR, (int) yyvsp[0].val, 0);
	}
break;
case 342:
#line 1778 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SYMBOL, SKIP, (int) yyvsp[0].val, 0);
	}
break;
case 343:
#line 1781 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SYMBOL, COLOR, (int) yyvsp[0].val, 0);
	}
break;
case 344:
#line 1784 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SYMBOL, LINEWIDTH, (int) yyvsp[0].val, 0);
	}
break;
case 345:
#line 1787 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SYMBOL, LINESTYLE, (int) yyvsp[0].val, 0);
	}
break;
case 346:
#line 1790 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, yyvsp[-1].pset, (int) yyvsp[0].val, 0);
	}
break;
case 347:
#line 1793 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, FILL, TYPE, (int) yyvsp[0].val, 0);
	}
break;
case 348:
#line 1796 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, FILL, WITH, yyvsp[0].pset, 0);
	}
break;
case 349:
#line 1799 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, FILL, yyvsp[-1].pset, (int) yyvsp[0].val, 0);
	}
break;
case 350:
#line 1802 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SKIP, (int) yyvsp[0].val, 0);
	}
break;
case 351:
#line 1805 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, ERRORBAR, LENGTH, yyvsp[0].val, 0);
	}
break;
case 352:
#line 1808 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, ERRORBAR, TYPE, yyvsp[0].pset, 0);
	}
break;
case 353:
#line 1811 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, ERRORBAR, LINEWIDTH, (int) yyvsp[0].val, 0);
	}
break;
case 354:
#line 1814 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, ERRORBAR, LINESTYLE, (int) yyvsp[0].val, 0);
	}
break;
case 355:
#line 1817 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, ERRORBAR, RISER, ACTIVE, yyvsp[0].pset, 0);
	}
break;
case 356:
#line 1820 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, ERRORBAR, RISER, LINEWIDTH, (int) yyvsp[0].val, 0);
	}
break;
case 357:
#line 1823 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, ERRORBAR, RISER, LINESTYLE, (int) yyvsp[0].val, 0);
	}
break;
case 358:
#line 1826 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, XYZ, yyvsp[-2].val, yyvsp[0].val, 0);
	}
break;
case 359:
#line 1829 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, COMMENT, (char *) yyvsp[0].pset, 0);
	    free((char *) yyvsp[0].pset);
	}
break;
case 375:
#line 1860 "pars.yacc"
{
	    set_axis_prop(whichgraph, naxis, yyvsp[0].pset, 0.0);
	}
break;
case 376:
#line 1863 "pars.yacc"
{
	    set_axis_prop(whichgraph, naxis, yyvsp[-1].pset, yyvsp[0].val);
	}
break;
case 377:
#line 1866 "pars.yacc"
{
	    set_axis_prop(whichgraph, naxis, yyvsp[-1].pset, yyvsp[0].val);
	}
break;
case 378:
#line 1869 "pars.yacc"
{
	    set_axis_prop(whichgraph, naxis, yyvsp[-1].pset, yyvsp[0].val);
	}
break;
case 379:
#line 1872 "pars.yacc"
{
	    set_axis_prop(whichgraph, naxis, yyvsp[-1].pset, yyvsp[0].val);
	}
break;
case 380:
#line 1875 "pars.yacc"
{
	    set_axis_prop(whichgraph, naxis, yyvsp[-2].pset, yyvsp[0].val);
	}
break;
case 381:
#line 1878 "pars.yacc"
{
	    set_axis_prop(whichgraph, naxis, yyvsp[-1].pset, yyvsp[0].pset);
	}
break;
case 386:
#line 1888 "pars.yacc"
{
	    g[cg].t[naxis].active = yyvsp[0].pset;
	}
break;
case 389:
#line 1900 "pars.yacc"
{
	    g[cg].t[naxis].t_flag = yyvsp[0].pset;
	    g[cg].t[naxis].t_mflag = yyvsp[0].pset;
	}
break;
case 390:
#line 1904 "pars.yacc"
{
	    g[cg].t[naxis].t_flag = yyvsp[0].pset;
	}
break;
case 391:
#line 1907 "pars.yacc"
{
	    g[cg].t[naxis].t_mflag = yyvsp[0].pset;
	}
break;
case 392:
#line 1910 "pars.yacc"
{
	    g[cg].t[naxis].tmajor = yyvsp[0].val;
	}
break;
case 393:
#line 1913 "pars.yacc"
{
	    g[cg].t[naxis].tminor = yyvsp[0].val;
	}
break;
case 394:
#line 1916 "pars.yacc"
{
	    g[cg].t[naxis].offsx = yyvsp[0].val;
	}
break;
case 395:
#line 1919 "pars.yacc"
{
	    g[cg].t[naxis].offsy = yyvsp[0].val;
	}
break;
case 396:
#line 1922 "pars.yacc"
{
	    g[cg].t[naxis].alt = yyvsp[0].pset;
	}
break;
case 397:
#line 1925 "pars.yacc"
{
	    g[cg].t[naxis].tmin = yyvsp[0].val;
	}
break;
case 398:
#line 1928 "pars.yacc"
{
	    g[cg].t[naxis].tmax = yyvsp[0].val;
	}
break;
case 399:
#line 1931 "pars.yacc"
{
	    g[cg].t[naxis].t_num = (int) yyvsp[0].val;
	}
break;
case 400:
#line 1934 "pars.yacc"
{
	    g[cg].t[naxis].t_inout = yyvsp[0].pset;
	}
break;
case 401:
#line 1937 "pars.yacc"
{
	    g[cg].t[naxis].t_log = yyvsp[0].pset;
	}
break;
case 402:
#line 1940 "pars.yacc"
{
	    g[cg].t[naxis].t_size = yyvsp[0].val;
	}
break;
case 403:
#line 1943 "pars.yacc"
{
	    g[cg].t[naxis].t_size = yyvsp[0].val;
	}
break;
case 404:
#line 1946 "pars.yacc"
{
	    g[cg].t[naxis].t_msize = yyvsp[0].val;
	}
break;
case 405:
#line 1949 "pars.yacc"
{
	    g[cg].t[naxis].t_color = g[cg].t[naxis].t_mcolor = (int) yyvsp[0].val;
	}
break;
case 406:
#line 1952 "pars.yacc"
{
	    g[cg].t[naxis].t_linew = g[cg].t[naxis].t_mlinew = (int) yyvsp[0].val;
	}
break;
case 407:
#line 1955 "pars.yacc"
{
	    g[cg].t[naxis].t_color = (int) yyvsp[0].val;
	}
break;
case 408:
#line 1958 "pars.yacc"
{
	    g[cg].t[naxis].t_mcolor = (int) yyvsp[0].val;
	}
break;
case 409:
#line 1961 "pars.yacc"
{
	    g[cg].t[naxis].t_linew = (int) yyvsp[0].val;
	}
break;
case 410:
#line 1964 "pars.yacc"
{
	    g[cg].t[naxis].t_mlinew = (int) yyvsp[0].val;
	}
break;
case 411:
#line 1967 "pars.yacc"
{
	    g[cg].t[naxis].t_lines = (int) yyvsp[0].val;
	}
break;
case 412:
#line 1970 "pars.yacc"
{
	    g[cg].t[naxis].t_mlines = (int) yyvsp[0].val;
	}
break;
case 413:
#line 1973 "pars.yacc"
{
	    g[cg].t[naxis].t_gridflag = yyvsp[0].pset;
	}
break;
case 414:
#line 1976 "pars.yacc"
{
	    g[cg].t[naxis].t_mgridflag = yyvsp[0].pset;
	}
break;
case 415:
#line 1979 "pars.yacc"
{
	    g[cg].t[naxis].t_op = yyvsp[0].pset;
	}
break;
case 416:
#line 1982 "pars.yacc"
{
	    g[cg].t[naxis].t_type = AUTO;
	}
break;
case 417:
#line 1985 "pars.yacc"
{
	    g[cg].t[naxis].t_type = SPEC;
	}
break;
case 418:
#line 1988 "pars.yacc"
{
	    g[cg].t[naxis].t_spec = (int) yyvsp[0].val;
	}
break;
case 419:
#line 1991 "pars.yacc"
{
	    g[cg].t[naxis].t_specloc[(int) yyvsp[-2].val] = yyvsp[0].val;
	}
break;
case 422:
#line 2002 "pars.yacc"
{
	    g[cg].t[naxis].tl_flag = yyvsp[0].pset;
	}
break;
case 423:
#line 2005 "pars.yacc"
{
	    g[cg].t[naxis].tl_type = AUTO;
	}
break;
case 424:
#line 2008 "pars.yacc"
{
	    g[cg].t[naxis].tl_type = SPEC;
	}
break;
case 425:
#line 2011 "pars.yacc"
{
	    g[cg].t[naxis].tl_prec = (int) yyvsp[0].val;
	}
break;
case 426:
#line 2014 "pars.yacc"
{
	    g[cg].t[naxis].tl_format = yyvsp[0].pset;
	}
break;
case 427:
#line 2017 "pars.yacc"
{
	    g[cg].t[naxis].tl_format = yyvsp[0].val;
	}
break;
case 428:
#line 2020 "pars.yacc"
{
	    strcpy(g[cg].t[naxis].tl_appstr, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 429:
#line 2024 "pars.yacc"
{
	    strcpy(g[cg].t[naxis].tl_prestr, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 430:
#line 2028 "pars.yacc"
{
	    g[cg].t[naxis].tl_layout = HORIZONTAL;
	}
break;
case 431:
#line 2031 "pars.yacc"
{
	    g[cg].t[naxis].tl_layout = VERTICAL;
	}
break;
case 432:
#line 2034 "pars.yacc"
{
	    g[cg].t[naxis].tl_layout = SPEC;
	}
break;
case 433:
#line 2037 "pars.yacc"
{
	    g[cg].t[naxis].tl_layout = ON;
	}
break;
case 434:
#line 2040 "pars.yacc"
{
	    g[cg].t[naxis].tl_layout = CENTER;
	}
break;
case 435:
#line 2043 "pars.yacc"
{
	    g[cg].t[naxis].tl_layout = LEFT;
	}
break;
case 436:
#line 2046 "pars.yacc"
{
	    g[cg].t[naxis].tl_layout = RIGHT;
	}
break;
case 437:
#line 2049 "pars.yacc"
{
	    g[cg].t[naxis].tl_angle = (int) yyvsp[0].val;
	}
break;
case 438:
#line 2052 "pars.yacc"
{
	    g[cg].t[naxis].tl_just = (int) yyvsp[0].pset;
	}
break;
case 439:
#line 2055 "pars.yacc"
{
	    g[cg].t[naxis].tl_skip = (int) yyvsp[0].val;
	}
break;
case 440:
#line 2058 "pars.yacc"
{
	    g[cg].t[naxis].tl_staggered = (int) yyvsp[0].val;
	}
break;
case 441:
#line 2061 "pars.yacc"
{
	    g[cg].t[naxis].tl_op = yyvsp[0].pset;
	}
break;
case 442:
#line 2064 "pars.yacc"
{
	    g[cg].t[naxis].tl_sign = yyvsp[0].pset;
	}
break;
case 443:
#line 2067 "pars.yacc"
{
	    g[cg].t[naxis].tl_start = yyvsp[0].val;
	}
break;
case 444:
#line 2070 "pars.yacc"
{
	    g[cg].t[naxis].tl_stop = yyvsp[0].val;
	}
break;
case 445:
#line 2073 "pars.yacc"
{
	    g[cg].t[naxis].tl_starttype = (int) yyvsp[0].pset;
	}
break;
case 446:
#line 2076 "pars.yacc"
{
	    g[cg].t[naxis].tl_starttype = (int) yyvsp[0].pset;
	}
break;
case 447:
#line 2079 "pars.yacc"
{
	    g[cg].t[naxis].tl_stoptype = (int) yyvsp[0].pset;
	}
break;
case 448:
#line 2082 "pars.yacc"
{
	    g[cg].t[naxis].tl_stoptype = (int) yyvsp[0].pset;
	}
break;
case 449:
#line 2085 "pars.yacc"
{
	    g[cg].t[naxis].tl_vgap = yyvsp[0].val;
	}
break;
case 450:
#line 2088 "pars.yacc"
{
	    g[cg].t[naxis].tl_hgap = yyvsp[0].val;
	}
break;
case 451:
#line 2091 "pars.yacc"
{
	    g[cg].t[naxis].tl_charsize = yyvsp[0].val;
	}
break;
case 452:
#line 2094 "pars.yacc"
{
	    g[cg].t[naxis].tl_font = (int) yyvsp[0].val;
	}
break;
case 453:
#line 2097 "pars.yacc"
{
	    g[cg].t[naxis].tl_color = (int) yyvsp[0].val;
	}
break;
case 454:
#line 2100 "pars.yacc"
{
	    g[cg].t[naxis].tl_linew = (int) yyvsp[0].val;
	}
break;
case 455:
#line 2103 "pars.yacc"
{
	    set_plotstr_string(&g[cg].t[naxis].t_speclab[(int) yyvsp[-2].val], (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 456:
#line 2110 "pars.yacc"
{
	    set_plotstr_string(&g[cg].t[naxis].label, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 457:
#line 2114 "pars.yacc"
{
	    g[cg].t[naxis].label_layout = PERP;
	}
break;
case 458:
#line 2117 "pars.yacc"
{
	    g[cg].t[naxis].label_layout = PARA;
	}
break;
case 459:
#line 2120 "pars.yacc"
{
	    g[cg].t[naxis].label_place = yyvsp[0].pset;
	}
break;
case 460:
#line 2123 "pars.yacc"
{
	    g[cg].t[naxis].label_place = yyvsp[0].pset;
	}
break;
case 461:
#line 2126 "pars.yacc"
{
	    g[cg].t[naxis].label.x = yyvsp[-2].val;
	    g[cg].t[naxis].label.y = yyvsp[0].val;
	}
break;
case 462:
#line 2130 "pars.yacc"
{
	    g[cg].t[naxis].label.just = (int) yyvsp[0].pset;
	}
break;
case 463:
#line 2133 "pars.yacc"
{
	    g[cg].t[naxis].label.charsize = yyvsp[0].val;
	}
break;
case 464:
#line 2136 "pars.yacc"
{
	    g[cg].t[naxis].label.font = (int) yyvsp[0].val;
	}
break;
case 465:
#line 2139 "pars.yacc"
{
	    g[cg].t[naxis].label.color = (int) yyvsp[0].val;
	}
break;
case 466:
#line 2142 "pars.yacc"
{
	    g[cg].t[naxis].label.linew = (int) yyvsp[0].val;
	}
break;
case 467:
#line 2148 "pars.yacc"
{
	    g[cg].t[naxis].t_drawbar = yyvsp[0].pset;
	}
break;
case 468:
#line 2151 "pars.yacc"
{
	    g[cg].t[naxis].t_drawbarcolor = (int) yyvsp[0].val;
	}
break;
case 469:
#line 2154 "pars.yacc"
{
	    g[cg].t[naxis].t_drawbarlines = (int) yyvsp[0].val;
	}
break;
case 470:
#line 2157 "pars.yacc"
{
	    g[cg].t[naxis].t_drawbarlinew = (int) yyvsp[0].val;
	}
break;
case 471:
#line 2164 "pars.yacc"
{
	    whichgraph = yyvsp[-2].pset;
	    whichset = yyvsp[0].pset;
	}
break;
case 472:
#line 2169 "pars.yacc"
{
	    whichgraph = cg;
	    whichset = yyvsp[0].pset;
	}
break;
case 473:
#line 2174 "pars.yacc"
{
	    whichgraph = cg;
	    whichset = yyvsp[0].pset;
	}
break;
case 474:
#line 2179 "pars.yacc"
{
	    whichgraph = yyvsp[-1].pset;
	    whichset = yyvsp[0].pset;
	}
break;
case 475:
#line 2184 "pars.yacc"
{
	    whichgraph = yyvsp[-1].pset;
	    whichset = yyvsp[0].pset;
	}
break;
case 476:
#line 2189 "pars.yacc"
{
	    whichgraph = yyvsp[-1].pset;
	    whichset = yyvsp[0].pset;
	}
break;
case 477:
#line 2195 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 478:
#line 2196 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 479:
#line 2197 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 480:
#line 2198 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 481:
#line 2199 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 482:
#line 2202 "pars.yacc"
{ yyval.pset = ON; }
break;
case 483:
#line 2203 "pars.yacc"
{ yyval.pset = OFF; }
break;
case 484:
#line 2206 "pars.yacc"
{ yyval.pset = COLOR; }
break;
case 485:
#line 2207 "pars.yacc"
{ yyval.pset = PATTERN; }
break;
case 486:
#line 2210 "pars.yacc"
{ yyval.pset = RUNAVG; }
break;
case 487:
#line 2211 "pars.yacc"
{ yyval.pset = RUNSTD; }
break;
case 488:
#line 2212 "pars.yacc"
{ yyval.pset = RUNMED; }
break;
case 489:
#line 2213 "pars.yacc"
{ yyval.pset = RUNMAX; }
break;
case 490:
#line 2214 "pars.yacc"
{ yyval.pset = RUNMIN; }
break;
case 491:
#line 2217 "pars.yacc"
{ yyval.pset = DFT; }
break;
case 492:
#line 2218 "pars.yacc"
{ yyval.pset = FFT; }
break;
case 493:
#line 2219 "pars.yacc"
{ yyval.pset = INVDFT; }
break;
case 494:
#line 2220 "pars.yacc"
{ yyval.pset = INVFFT; }
break;
case 495:
#line 2224 "pars.yacc"
{ yyval.val = BIASED; }
break;
case 496:
#line 2225 "pars.yacc"
{ yyval.val = UNBIASED; }
break;
case 497:
#line 2228 "pars.yacc"
{ yyval.pset = DISK; }
break;
case 498:
#line 2229 "pars.yacc"
{ yyval.pset = PIPE; }
break;
case 499:
#line 2232 "pars.yacc"
{ yyval.pset = PATTERN; }
break;
case 500:
#line 2233 "pars.yacc"
{ yyval.pset = COLOR; }
break;
case 501:
#line 2234 "pars.yacc"
{ yyval.pset = NONE; }
break;
case 502:
#line 2237 "pars.yacc"
{ yyval.pset = TOP; }
break;
case 503:
#line 2238 "pars.yacc"
{ yyval.pset = BOTTOM; }
break;
case 504:
#line 2239 "pars.yacc"
{ yyval.pset = LEFT; }
break;
case 505:
#line 2240 "pars.yacc"
{ yyval.pset = RIGHT; }
break;
case 506:
#line 2241 "pars.yacc"
{ yyval.pset = BOTH; }
break;
case 507:
#line 2244 "pars.yacc"
{ yyval.pset = RIGHT; }
break;
case 508:
#line 2245 "pars.yacc"
{ yyval.pset = LEFT; }
break;
case 509:
#line 2246 "pars.yacc"
{ yyval.pset = CENTER; }
break;
case 510:
#line 2249 "pars.yacc"
{ yyval.pset = MINP; }
break;
case 511:
#line 2250 "pars.yacc"
{ yyval.pset = MAXP; }
break;
case 512:
#line 2253 "pars.yacc"
{ yyval.pset = TRUEP; }
break;
case 513:
#line 2254 "pars.yacc"
{ yyval.pset = FALSEP; }
break;
case 514:
#line 2257 "pars.yacc"
{ yyval.pset = IN; }
break;
case 515:
#line 2258 "pars.yacc"
{ yyval.pset = OUT; }
break;
case 516:
#line 2259 "pars.yacc"
{ yyval.pset = BOTH; }
break;
case 517:
#line 2262 "pars.yacc"
{ yyval.pset = DECIMAL; }
break;
case 518:
#line 2263 "pars.yacc"
{ yyval.pset = EXPONENTIAL; }
break;
case 519:
#line 2264 "pars.yacc"
{ yyval.pset = POWER; }
break;
case 520:
#line 2265 "pars.yacc"
{ yyval.pset = GENERAL; }
break;
case 521:
#line 2266 "pars.yacc"
{ yyval.pset = DDMMYY; }
break;
case 522:
#line 2267 "pars.yacc"
{ yyval.pset = MMDDYY; }
break;
case 523:
#line 2268 "pars.yacc"
{ yyval.pset = YYMMDD; }
break;
case 524:
#line 2269 "pars.yacc"
{ yyval.pset = MMYY; }
break;
case 525:
#line 2270 "pars.yacc"
{ yyval.pset = MMDD; }
break;
case 526:
#line 2271 "pars.yacc"
{ yyval.pset = MONTHDAY; }
break;
case 527:
#line 2272 "pars.yacc"
{ yyval.pset = DAYMONTH; }
break;
case 528:
#line 2273 "pars.yacc"
{ yyval.pset = MONTHS; }
break;
case 529:
#line 2274 "pars.yacc"
{ yyval.pset = MONTHSY; }
break;
case 530:
#line 2275 "pars.yacc"
{ yyval.pset = MONTHL; }
break;
case 531:
#line 2276 "pars.yacc"
{ yyval.pset = DAYOFWEEKS; }
break;
case 532:
#line 2277 "pars.yacc"
{ yyval.pset = DAYOFWEEKL; }
break;
case 533:
#line 2278 "pars.yacc"
{ yyval.pset = DAYOFYEAR; }
break;
case 534:
#line 2279 "pars.yacc"
{ yyval.pset = HMS; }
break;
case 535:
#line 2280 "pars.yacc"
{ yyval.pset = MMDDHMS; }
break;
case 536:
#line 2281 "pars.yacc"
{ yyval.pset = MMDDYYHMS; }
break;
case 537:
#line 2282 "pars.yacc"
{ yyval.pset = YYMMDDHMS; }
break;
case 538:
#line 2283 "pars.yacc"
{ yyval.pset = DEGREESLON; }
break;
case 539:
#line 2284 "pars.yacc"
{ yyval.pset = DEGREESMMLON; }
break;
case 540:
#line 2285 "pars.yacc"
{ yyval.pset = DEGREESMMSSLON; }
break;
case 541:
#line 2286 "pars.yacc"
{ yyval.pset = MMSSLON; }
break;
case 542:
#line 2287 "pars.yacc"
{ yyval.pset = DEGREESLAT; }
break;
case 543:
#line 2288 "pars.yacc"
{ yyval.pset = DEGREESMMLAT; }
break;
case 544:
#line 2289 "pars.yacc"
{ yyval.pset = DEGREESMMSSLAT; }
break;
case 545:
#line 2290 "pars.yacc"
{ yyval.pset = MMSSLAT; }
break;
case 546:
#line 2293 "pars.yacc"
{ yyval.pset = NORMAL; }
break;
case 547:
#line 2294 "pars.yacc"
{ yyval.pset = ABSOLUTE; }
break;
case 548:
#line 2295 "pars.yacc"
{ yyval.pset = NEGATE; }
break;
case 549:
#line 2298 "pars.yacc"
{ yyval.pset = UP; }
break;
case 550:
#line 2299 "pars.yacc"
{ yyval.pset = DOWN; }
break;
case 551:
#line 2300 "pars.yacc"
{ yyval.pset = RIGHT; }
break;
case 552:
#line 2301 "pars.yacc"
{ yyval.pset = LEFT; }
break;
case 553:
#line 2302 "pars.yacc"
{ yyval.pset = IN; }
break;
case 554:
#line 2303 "pars.yacc"
{ yyval.pset = OUT; }
break;
case 555:
#line 2306 "pars.yacc"
{ yyval.pset = WORLD; }
break;
case 556:
#line 2307 "pars.yacc"
{ yyval.pset = VIEW; }
break;
case 557:
#line 2310 "pars.yacc"
{ yyval.pset = ASCENDING; }
break;
case 558:
#line 2311 "pars.yacc"
{ yyval.pset = DESCENDING; }
break;
case 559:
#line 2314 "pars.yacc"
{ yyval.pset = X; }
break;
case 560:
#line 2315 "pars.yacc"
{ yyval.pset = Y; }
break;
case 561:
#line 2318 "pars.yacc"
{ yyval.pset = X; }
break;
case 562:
#line 2319 "pars.yacc"
{ yyval.pset = Y; }
break;
case 563:
#line 2320 "pars.yacc"
{ yyval.pset = X0; }
break;
case 564:
#line 2321 "pars.yacc"
{ yyval.pset = Y0; }
break;
case 565:
#line 2322 "pars.yacc"
{ yyval.pset = Y1; }
break;
case 566:
#line 2323 "pars.yacc"
{ yyval.pset = Y2; }
break;
case 567:
#line 2324 "pars.yacc"
{ yyval.pset = Y3; }
break;
case 568:
#line 2325 "pars.yacc"
{ yyval.pset = Y4; }
break;
case 569:
#line 2326 "pars.yacc"
{ yyval.pset = Y5; }
break;
case 570:
#line 2331 "pars.yacc"
{
	    int itmp = (int) yyvsp[-3].val - 1;
	    if (itmp >= ls) {
		yyerror("Subscript out of range");
		return 1;
	    } else {
		yyvsp[-5].ptr[itmp] = yyvsp[0].val;
		result = yyvsp[0].val;
	    }
	}
break;
case 571:
#line 2342 "pars.yacc"
{
	    int itmp = (int) yyvsp[-3].val - 1;
	    double *ptr = getvptr(cg, curset, yyvsp[-3].val);
	    if (ptr != NULL) {
	        ptr[itmp] = yyvsp[0].val;
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	    result = yyvsp[0].val;
	    updatesetminmax(cg, curset);
#ifndef GRBATCH
	    update_set_status(cg, curset);
#endif
	}
break;
case 572:
#line 2359 "pars.yacc"
{
	    int itmp = (int) yyvsp[-3].val - 1;
	    double *ptr = getvptr(cg, yyvsp[-7].pset, yyvsp[-5].pset);
	    if (ptr != NULL) {
	        ptr[itmp] = yyvsp[0].val;
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	    result = yyvsp[0].val;
	    updatesetminmax(cg, yyvsp[-7].pset);
#ifndef GRBATCH
	    update_set_status(cg, yyvsp[-7].pset);
#endif
	}
break;
case 573:
#line 2376 "pars.yacc"
{
	    set_prop(cg, SET, SETNUM, yyvsp[-4].pset, SYMBOL, TYPE, (int) yyvsp[0].val, 0);
	    result = 0;
	}
break;
case 574:
#line 2388 "pars.yacc"
{
	    int itmp = (int) yyvsp[-3].val - 1;
	    double *ptr = getvptr(yyvsp[-9].pset, yyvsp[-7].pset, yyvsp[-5].pset);
	    if (ptr != NULL) {
	        ptr[itmp] = yyvsp[0].val;
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	    result = yyvsp[0].val;
	    updatesetminmax(yyvsp[-9].pset, yyvsp[-7].pset);
#ifndef GRBATCH
	    update_set_status(yyvsp[-9].pset, yyvsp[-7].pset);
#endif
	}
break;
case 575:
#line 2408 "pars.yacc"
{
	    if (yyvsp[-2].pset == X) {
		*xx = yyvsp[0].val;
	    } else {
		*yy = yyvsp[0].val;
	    }
	}
break;
case 576:
#line 2419 "pars.yacc"
{
	    int i;
	    if (ls < 0) {
		yyerror("Length of array < 0");
		return 1;
	    } else if (ls > maxarr) {
		maxarr = ls;
		init_scratch_arrays(ls);
	    }
	    for (i = 0; i < lxy; i++) {
		yyvsp[-2].ptr[i] = yyvsp[0].ptr[i];
	    }
	    result = yyvsp[0].ptr[0];
	}
break;
case 577:
#line 2434 "pars.yacc"
{
	    int i;
	    double *ptr;
	    if (!isactive_set(cg, curset)) {
		activateset(cg, curset);
		setlength(cg, curset, lxy);
		setcomment(cg, curset, "Created");
	    }
	    ptr = getvptr(cg, curset, yyvsp[-2].pset);
	    if (ptr != NULL) {
	        for (i = 0; i < lxy; i++) {
		    ptr[i] = yyvsp[0].ptr[i];
	        }
	        result = yyvsp[0].ptr[0];
	        updatesetminmax(cg, curset);
#ifndef GRBATCH
	        update_set_status(cg, curset);
#endif
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 578:
#line 2459 "pars.yacc"
{
	    if (isactive_set(cg, yyvsp[0].pset)) {
	        do_copyset(cg, yyvsp[0].pset, cg, yyvsp[-2].pset);
	    } else {
		yyerror("Right value set not active");
	    }
	    result = 0;
	}
break;
case 579:
#line 2468 "pars.yacc"
{
	    if (isactive_set(cg, yyvsp[0].pset)) {
	        do_copyset(cg, yyvsp[0].pset, yyvsp[-4].pset, yyvsp[-2].pset);
	    } else {
		yyerror("Right value set not active");
	    }
	    result = 0;
	}
break;
case 580:
#line 2477 "pars.yacc"
{
	    if (isactive_set(yyvsp[-2].pset, yyvsp[0].pset)) {
	        do_copyset(yyvsp[-2].pset, yyvsp[0].pset, cg, yyvsp[-4].pset);
	    } else {
		yyerror("Right value set not active");
	    }
	    result = 0;
	}
break;
case 581:
#line 2486 "pars.yacc"
{
	    if (isactive_set(yyvsp[-2].pset, yyvsp[0].pset)) {
	        do_copyset(yyvsp[-2].pset, yyvsp[0].pset, yyvsp[-6].pset, yyvsp[-4].pset);
	    } else {
		yyerror("Right value set not active");
	    }
	    result = 0;
	}
break;
case 582:
#line 2494 "pars.yacc"
{
	    int i;
	    double *ptr;
	    if (!isactive_set(cg, yyvsp[-4].pset)) {
		activateset(cg, yyvsp[-4].pset);
		setlength(cg, yyvsp[-4].pset, lxy);
		setcomment(cg, yyvsp[-4].pset, "Created");
	    }
	    ptr = getvptr(cg, yyvsp[-4].pset, yyvsp[-2].pset);
	    if (ptr != NULL) {
	        for (i = 0; i < lxy; i++) {
		    ptr[i] = yyvsp[0].ptr[i];
	        }
	        result = yyvsp[0].ptr[0];
	        updatesetminmax(cg, yyvsp[-4].pset);
#ifndef GRBATCH
	        update_set_status(cg, yyvsp[-4].pset);
#endif
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 583:
#line 2519 "pars.yacc"
{
	    int i;
	    double *ptr;
	    if (!isactive_set(yyvsp[-6].pset, yyvsp[-4].pset)) {
		activateset(yyvsp[-6].pset, yyvsp[-4].pset);
		setlength(yyvsp[-6].pset, yyvsp[-4].pset, lxy);
		setcomment(yyvsp[-6].pset, yyvsp[-4].pset, "Created");
	    }
	    ptr = getvptr(yyvsp[-6].pset, yyvsp[-4].pset, yyvsp[-2].pset);
	    if (ptr != NULL) {
	        for (i = 0; i < lxy; i++) {
		    ptr[i] = yyvsp[0].ptr[i];
	        }
	        result = yyvsp[0].ptr[0];
	        updatesetminmax(yyvsp[-6].pset, yyvsp[-4].pset);
#ifndef GRBATCH
	        update_set_status(yyvsp[-6].pset, yyvsp[-4].pset);
#endif
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 584:
#line 2544 "pars.yacc"
{
	    int i;
	    if (lxy < 0) {
		yyerror("Length of array < 0");
		return 1;
	    } else if (lxy > maxarr) {
		maxarr = lxy;
		init_scratch_arrays(lxy);
	    }
	    for (i = 0; i < lxy; i++) {
		yyvsp[-2].ptr[i] = yyvsp[0].val;
	    }
	    result = yyvsp[0].val;
	}
break;
case 585:
#line 2559 "pars.yacc"
{
	    int i;
	    double *ptr;
	    if (!isactive_set(cg, curset)) {
		activateset(cg, curset);
		setlength(cg, curset, lxy);
		setcomment(cg, curset, "Created");
	    }
	    ptr = getvptr(cg, curset, yyvsp[-2].pset);
	    if (ptr != NULL) {
	        for (i = 0; i < lxy; i++) {
		    ptr[i] = yyvsp[0].val;
	        }
	        result = yyvsp[0].val;
	        updatesetminmax(cg, curset);
#ifndef GRBATCH
	        update_set_status(cg, curset);
#endif
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 586:
#line 2584 "pars.yacc"
{
	    int i;
	    double *ptr;
	    if (!isactive_set(cg, yyvsp[-4].pset)) {
		activateset(cg, yyvsp[-4].pset);
		setlength(cg, yyvsp[-4].pset, lxy);
		setcomment(cg, yyvsp[-4].pset, "Created");
	    }
	    ptr = getvptr(cg, yyvsp[-4].pset, yyvsp[-2].pset);
	    if (ptr != NULL) {
	        for (i = 0; i < lxy; i++) {
		    ptr[i] = yyvsp[0].val;
	        }
	        result = yyvsp[0].val;
	        updatesetminmax(cg, yyvsp[-4].pset);
#ifndef GRBATCH
	        update_set_status(cg, yyvsp[-4].pset);
#endif
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 587:
#line 2609 "pars.yacc"
{
	    int i;
	    double *ptr;
	    if (!isactive_set(yyvsp[-6].pset, yyvsp[-4].pset)) {
		activateset(yyvsp[-6].pset, yyvsp[-4].pset);
		setlength(yyvsp[-6].pset, yyvsp[-4].pset, lxy);
		setcomment(yyvsp[-6].pset, yyvsp[-4].pset, "Created");
	    }
	    ptr = getvptr(yyvsp[-6].pset, yyvsp[-4].pset, yyvsp[-2].pset);
	    if (ptr != NULL) {
	        for (i = 0; i < lxy; i++) {
		    ptr[i] = yyvsp[0].val;
	        }
	        result = yyvsp[0].val;
	        updatesetminmax(yyvsp[-6].pset, yyvsp[-4].pset);
#ifndef GRBATCH
	        update_set_status(yyvsp[-6].pset, yyvsp[-4].pset);
#endif
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 588:
#line 2637 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    if (lxy < 0) {
		yyerror("Length of array < 0");
		return 1;
	    } else if (lxy > maxarr) {
		maxarr = lxy;
		init_scratch_arrays(lxy);
	    }
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[0].ptr[i];
	    }
	}
break;
case 589:
#line 2653 "pars.yacc"
{
	    int i;
	    double *ptr = getvptr(cg, curset, yyvsp[0].pset);
	    if (ptr == NULL) {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = ptr[i];
	    }
	}
break;
case 590:
#line 2667 "pars.yacc"
{
	    int i;
	    double *ptr = getvptr(cg, yyvsp[-2].pset, yyvsp[0].pset);
	    if (ptr == NULL) {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = ptr[i];
	    }
	}
break;
case 591:
#line 2681 "pars.yacc"
{
	    int i;
	    double *ptr = getvptr(yyvsp[-4].pset, yyvsp[-2].pset, yyvsp[0].pset);
	    if (ptr == NULL) {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = ptr[i];
	    }
	}
break;
case 592:
#line 2695 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[0].val;
	    }
	}
break;
case 593:
#line 2704 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].val + yyvsp[0].val;
	    }
	}
break;
case 594:
#line 2713 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] + yyvsp[0].ptr[i];
	    }
	}
break;
case 595:
#line 2722 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].val + yyvsp[0].ptr[i];
	    }
	}
break;
case 596:
#line 2731 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] + yyvsp[0].val;
	    }
	}
break;
case 597:
#line 2740 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].val - yyvsp[0].val;
	    }
	}
break;
case 598:
#line 2749 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] - yyvsp[0].ptr[i];
	    }
	}
break;
case 599:
#line 2758 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].val - yyvsp[0].ptr[i];
	    }
	}
break;
case 600:
#line 2767 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] - yyvsp[0].val;
	    }
	}
break;
case 601:
#line 2776 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].val * yyvsp[0].val;
	    }
	}
break;
case 602:
#line 2785 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] * yyvsp[0].ptr[i];
	    }
	}
break;
case 603:
#line 2794 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].val * yyvsp[0].ptr[i];
	    }
	}
break;
case 604:
#line 2803 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] * yyvsp[0].val;
	    }
	}
break;
case 605:
#line 2812 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    if (yyvsp[0].val == 0.0) {
		yyerror("Divide by Zero");
		return 1;
	    }
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].val / yyvsp[0].val;
	    }
	}
break;
case 606:
#line 2825 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		if (yyvsp[0].ptr[i] == 0.0) {
		    yyerror("Divide by Zero");
		    return 1;
		}
	    }
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] / yyvsp[0].ptr[i];
	    }
	}
break;
case 607:
#line 2840 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		if (yyvsp[0].ptr[i] == 0.0) {
		    yyerror("Divide by Zero");
		    return 1;
		}
	    }
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].val / yyvsp[0].ptr[i];
	    }
	}
break;
case 608:
#line 2855 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    if (yyvsp[0].val == 0.0) {
		yyerror("Divide by Zero");
		return 1;
	    }
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] / yyvsp[0].val;
	    }
	}
break;
case 609:
#line 2868 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = pow(yyvsp[-2].val, yyvsp[0].val);
	    }
	}
break;
case 610:
#line 2877 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = pow(yyvsp[-2].val, yyvsp[0].ptr[i]);
	    }
	}
break;
case 611:
#line 2886 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = pow(yyvsp[-2].ptr[i], yyvsp[0].val);
	    }
	}
break;
case 612:
#line 2895 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = pow(yyvsp[-2].ptr[i], yyvsp[0].ptr[i]);
	    }
	}
break;
case 613:
#line 2904 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = fabs(yyvsp[-1].val);
	    }
	}
break;
case 614:
#line 2913 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = fabs(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 615:
#line 2922 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = acos(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 616:
#line 2931 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = acosh(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 617:
#line 2940 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = asin(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 618:
#line 2949 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = asinh(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 619:
#line 2958 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = atan(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 620:
#line 2967 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = atanh(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 621:
#line 2976 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = atan2(yyvsp[-3].ptr[i], yyvsp[-1].ptr[i]);
	    }
	}
break;
case 622:
#line 2985 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = ceil(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 623:
#line 2994 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = cos(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 624:
#line 3003 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = cosh(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 625:
#line 3012 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] *= M_PI / 180.0;
	    }
	}
break;
case 626:
#line 3021 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = erf(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 627:
#line 3030 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = erfc(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 628:
#line 3039 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = exp(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 629:
#line 3048 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = floor(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 630:
#line 3057 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = my_hypot(yyvsp[-3].ptr[i], yyvsp[-1].ptr[i]);
	    }
	}
break;
case 631:
#line 3066 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = my_hypot(yyvsp[-3].val, yyvsp[-1].ptr[i]);
	    }
	}
break;
case 632:
#line 3075 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = my_hypot(yyvsp[-3].ptr[i], yyvsp[-1].val);
	    }
	}
break;
case 633:
#line 3084 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = my_hypot(yyvsp[-3].val, yyvsp[-1].val);
	    }
	}
break;
case 634:
#line 3093 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = i + 1;
	    }
	}
break;
case 635:
#line 3102 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[0].func;
	    }
	}
break;
case 636:
#line 3111 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = (int) yyvsp[-1].ptr[i];
	    }
	}
break;
case 637:
#line 3120 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = invnorm(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 638:
#line 3129 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = invt(yyvsp[-3].val, (int) yyvsp[-1].val);
	    }
	}
break;
case 639:
#line 3138 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = invt(yyvsp[-3].ptr[i], (int) yyvsp[-1].val);
	    }
	}
break;
case 640:
#line 3147 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = lrand48() % (long) (yyvsp[-1].val);
	    }
	}
break;
case 641:
#line 3156 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = lgamma(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 642:
#line 3165 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = log(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 643:
#line 3174 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = log10(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 644:
#line 3183 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = 1.0 / (1.0 + exp(-(yyvsp[-5].ptr[i] - yyvsp[-3].val)/ yyvsp[-1].val));
	    }
	}
break;
case 645:
#line 3192 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-3].ptr[i] >= yyvsp[-1].ptr[i] ? yyvsp[-3].ptr[i] : yyvsp[-1].ptr[i];
	    }
	}
break;
case 646:
#line 3201 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-3].ptr[i] <= yyvsp[-1].ptr[i] ? yyvsp[-3].ptr[i] : yyvsp[-1].ptr[i];
	    }
	}
break;
case 647:
#line 3210 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = fmod(yyvsp[-3].ptr[i], yyvsp[-1].ptr[i]);
	    }
	}
break;
case 648:
#line 3219 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = fx(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 649:
#line 3228 "pars.yacc"
{
	    int i;
	    double tmp;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = normp(yyvsp[-1].ptr[i], &tmp);
	    }
	}
break;
case 650:
#line 3238 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = M_PI;
	    }
	}
break;
case 651:
#line 3247 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = M_PI / 180.0;
	    }
	}
break;
case 652:
#line 3256 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = (double) drand48();
	    }
	}
break;
case 653:
#line 3265 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = rnorm(yyvsp[-3].ptr[i], yyvsp[-1].ptr[i]);
	    }
	}
break;
case 654:
#line 3274 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = rnorm(yyvsp[-3].val, yyvsp[-1].ptr[i]);
	    }
	}
break;
case 655:
#line 3283 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = rnorm(yyvsp[-3].ptr[i], yyvsp[-1].val);
	    }
	}
break;
case 656:
#line 3292 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = rnorm(yyvsp[-3].val, yyvsp[-1].val);
	    }
	}
break;
case 657:
#line 3301 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = sin(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 658:
#line 3310 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = sinh(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 659:
#line 3319 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-1].ptr[i] * yyvsp[-1].ptr[i];
	    }
	}
break;
case 660:
#line 3328 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = sqrt(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 661:
#line 3337 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = tan(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 662:
#line 3346 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = tanh(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 663:
#line 3354 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
	        if ((int) yyvsp[-4].ptr[i]) {
		    yyval.ptr[i] = yyvsp[-2].ptr[i];
	        } else {
		    yyval.ptr[i] = yyvsp[0].ptr[i];
	        }
	    }
	}
break;
case 664:
#line 3367 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] > yyvsp[0].ptr[i];
	    }
	}
break;
case 665:
#line 3376 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] < yyvsp[0].ptr[i];
	    }
	}
break;
case 666:
#line 3385 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] <= yyvsp[0].ptr[i];
	    }
	}
break;
case 667:
#line 3394 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] >= yyvsp[0].ptr[i];
	    }
	}
break;
case 668:
#line 3403 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] == yyvsp[0].ptr[i];
	    }
	}
break;
case 669:
#line 3412 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] != yyvsp[0].ptr[i];
	    }
	}
break;
case 670:
#line 3421 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] && yyvsp[0].ptr[i];
	    }
	}
break;
case 671:
#line 3430 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] || yyvsp[0].ptr[i];
	    }
	}
break;
case 672:
#line 3439 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = !(yyvsp[0].ptr[i]);
	    }
	}
break;
case 673:
#line 3448 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-1].ptr[i];
	    }
	}
break;
case 674:
#line 3456 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = -yyvsp[0].ptr[i];
	    }
	}
break;
case 676:
#line 3467 "pars.yacc"
{
	    yyval.val = yyvsp[0].val;
	}
break;
case 677:
#line 3470 "pars.yacc"
{
	    yyval.val = yyvsp[-3].ptr[(int) yyvsp[-1].val];
	}
break;
case 678:
#line 3473 "pars.yacc"
{
	    yyval.val = (yyvsp[0].pset == X) ? *xx : *yy;
	}
break;
case 679:
#line 3476 "pars.yacc"
{
	    double *ptr = getvptr(cg, curset, yyvsp[-3].pset);
	    if (ptr != NULL) {
		yyval.val = ptr[(int) yyvsp[-1].val - 1];
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 680:
#line 3486 "pars.yacc"
{
	    double *ptr = getvptr(cg, yyvsp[-5].pset, yyvsp[-3].pset);
	    if (ptr != NULL) {
		yyval.val = ptr[(int) yyvsp[-1].val - 1];
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 681:
#line 3496 "pars.yacc"
{
	    double *ptr = getvptr(yyvsp[-7].pset, yyvsp[-5].pset, yyvsp[-3].pset);
	    if (ptr != NULL) {
		yyval.val = ptr[(int) yyvsp[-1].val - 1];
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 682:
#line 3506 "pars.yacc"
{
	    double *ptr = getvptr(cg, yyvsp[-4].pset, yyvsp[-2].pset);
	    if (ptr == NULL) {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	    switch (yyvsp[0].pset) {
	    case MINP:
		yyval.val = vmin(ptr, g[cg].p[yyvsp[-4].pset].len);
		break;
	    case MAXP:
		yyval.val = vmax(ptr, g[cg].p[yyvsp[-4].pset].len);
		break;
	    }
	}
break;
case 683:
#line 3521 "pars.yacc"
{
	    double *ptr = getvptr(yyvsp[-6].pset, yyvsp[-4].pset, yyvsp[-2].pset);
	    if (ptr == NULL) {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	    switch (yyvsp[0].pset) {
	    case MINP:
		yyval.val = vmin(ptr, g[yyvsp[-6].pset].p[yyvsp[-4].pset].len);
		break;
	    case MAXP:
		yyval.val = vmax(ptr, g[yyvsp[-6].pset].p[yyvsp[-4].pset].len);
		break;
	    }
	}
break;
case 684:
#line 3536 "pars.yacc"
{
	    yyval.val = g[cg].p[yyvsp[-2].pset].len;
	}
break;
case 685:
#line 3540 "pars.yacc"
{
	    double bar, sd;
	    double *ptr = getvptr(cg, yyvsp[-4].pset, yyvsp[-2].pset);
	    if (ptr != NULL) {
		stasum(ptr, getsetlength(cg, yyvsp[-4].pset), &bar, &sd, 0);
	        yyval.val = bar;
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 686:
#line 3552 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val + yyvsp[0].val;
	}
break;
case 687:
#line 3555 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val - yyvsp[0].val;
	}
break;
case 688:
#line 3558 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val * yyvsp[0].val;
	}
break;
case 689:
#line 3562 "pars.yacc"
{
	    if (yyvsp[0].val != 0.0) {
		yyval.val = yyvsp[-2].val / yyvsp[0].val;
	    } else {
		yyerror("Divide by Zero");
		return 1;
	    }
	}
break;
case 690:
#line 3570 "pars.yacc"
{
	    yyval.val = fmod(yyvsp[-2].val, yyvsp[0].val);
	}
break;
case 691:
#line 3573 "pars.yacc"
{
	    yyval.val = pow(yyvsp[-2].val, yyvsp[0].val);
	}
break;
case 692:
#line 3576 "pars.yacc"
{
	    yyval.val = fabs(yyvsp[-1].val);
	}
break;
case 693:
#line 3579 "pars.yacc"
{
	    yyval.val = acos(yyvsp[-1].val);
	}
break;
case 694:
#line 3582 "pars.yacc"
{
	    yyval.val = acosh(yyvsp[-1].val);
	}
break;
case 695:
#line 3585 "pars.yacc"
{
	    yyval.val = asin(yyvsp[-1].val);
	}
break;
case 696:
#line 3588 "pars.yacc"
{
	    yyval.val = asinh(yyvsp[-1].val);
	}
break;
case 697:
#line 3591 "pars.yacc"
{
	    yyval.val = atan(yyvsp[-1].val);
	}
break;
case 698:
#line 3594 "pars.yacc"
{
	    yyval.val = atanh(yyvsp[-1].val);
	}
break;
case 699:
#line 3597 "pars.yacc"
{
	    yyval.val = atan2(yyvsp[-3].val, yyvsp[-1].val);
	}
break;
case 700:
#line 3600 "pars.yacc"
{
	    yyval.val = ceil(yyvsp[-1].val);
	}
break;
case 701:
#line 3603 "pars.yacc"
{
	    yyval.val = cos(yyvsp[-1].val);
	}
break;
case 702:
#line 3606 "pars.yacc"
{
	    yyval.val = cosh(yyvsp[-1].val);
	}
break;
case 703:
#line 3609 "pars.yacc"
{
	    yyval.val = 180.0 / M_PI;
	}
break;
case 704:
#line 3612 "pars.yacc"
{
	    yyval.val = erf(yyvsp[-1].val);
	}
break;
case 705:
#line 3615 "pars.yacc"
{
	    yyval.val = erfc(yyvsp[-1].val);
	}
break;
case 706:
#line 3618 "pars.yacc"
{
	    yyval.val = exp(yyvsp[-1].val);
	}
break;
case 707:
#line 3621 "pars.yacc"
{
	    yyval.val = floor(yyvsp[-1].val);
	}
break;
case 708:
#line 3624 "pars.yacc"
{
	    yyval.val = my_hypot(yyvsp[-3].val, yyvsp[-1].val);
	}
break;
case 709:
#line 3627 "pars.yacc"
{
	    yyval.val = g[yyvsp[-2].pset].v.xv1;
	}
break;
case 710:
#line 3630 "pars.yacc"
{
	    yyval.val = g[yyvsp[-2].pset].v.xv2;
	}
break;
case 711:
#line 3633 "pars.yacc"
{
	    yyval.val = g[yyvsp[-2].pset].v.yv1;
	}
break;
case 712:
#line 3636 "pars.yacc"
{
	    yyval.val = g[yyvsp[-2].pset].v.yv2;
	}
break;
case 713:
#line 3639 "pars.yacc"
{
	    yyval.val = g[yyvsp[-2].pset].w.xg1;
	}
break;
case 714:
#line 3642 "pars.yacc"
{
	    yyval.val = g[yyvsp[-2].pset].w.xg2;
	}
break;
case 715:
#line 3645 "pars.yacc"
{
	    yyval.val = g[yyvsp[-2].pset].w.yg1;
	}
break;
case 716:
#line 3648 "pars.yacc"
{
	    yyval.val = g[yyvsp[-2].pset].w.yg2;
	}
break;
case 717:
#line 3651 "pars.yacc"
{
	    yyval.val = g[cg].v.xv1;
	}
break;
case 718:
#line 3654 "pars.yacc"
{
	    yyval.val = g[cg].v.xv2;
	}
break;
case 719:
#line 3657 "pars.yacc"
{
	    yyval.val = g[cg].v.yv1;
	}
break;
case 720:
#line 3660 "pars.yacc"
{
	    yyval.val = g[cg].v.yv2;
	}
break;
case 721:
#line 3663 "pars.yacc"
{
	    yyval.val = g[cg].w.xg1;
	}
break;
case 722:
#line 3666 "pars.yacc"
{
	    yyval.val = g[cg].w.xg2;
	}
break;
case 723:
#line 3669 "pars.yacc"
{
	    yyval.val = g[cg].w.yg1;
	}
break;
case 724:
#line 3672 "pars.yacc"
{
	    yyval.val = g[cg].w.yg2;
	}
break;
case 725:
#line 3675 "pars.yacc"
{
	    yyval.val = g[cg].w.xg2 - g[cg].w.xg1;
	}
break;
case 726:
#line 3678 "pars.yacc"
{
	    yyval.val = g[cg].w.yg2 - g[cg].w.yg1;
	}
break;
case 727:
#line 3681 "pars.yacc"
{
	    yyval.val = setindex;
	}
break;
case 728:
#line 3684 "pars.yacc"
{
	    yyval.val = setsetno;
	}
break;
case 729:
#line 3687 "pars.yacc"
{
	    yyval.val = (long) yyvsp[-1].val;
	}
break;
case 730:
#line 3690 "pars.yacc"
{
	    yyval.val = invnorm(yyvsp[-1].val);
	}
break;
case 731:
#line 3693 "pars.yacc"
{
	    yyval.val = invt(yyvsp[-3].val, (int) yyvsp[-1].val);
	}
break;
case 732:
#line 3696 "pars.yacc"
{
	    yyval.val = lrand48() % (long) (yyvsp[-1].val);
	}
break;
case 733:
#line 3699 "pars.yacc"
{ /* yr, mo, day */
	    yyval.val = julday((int) yyvsp[-3].val, (int) yyvsp[-1].val, (int) yyvsp[-5].val, 12, 0, 0.0);
	}
break;
case 734:
#line 3703 "pars.yacc"
{ /* yr, mo, day, hr, min, sec */
	    yyval.val = julday((int) yyvsp[-9].val, (int) yyvsp[-7].val, (int) yyvsp[-11].val, (int) yyvsp[-5].val, (int) yyvsp[-3].val, (double) yyvsp[-1].val);
	}
break;
case 735:
#line 3706 "pars.yacc"
{
	    yyval.val = lgamma(yyvsp[-1].val);
	}
break;
case 736:
#line 3709 "pars.yacc"
{
	    yyval.val = log(yyvsp[-1].val);
	}
break;
case 737:
#line 3712 "pars.yacc"
{
	    yyval.val = log10(yyvsp[-1].val);
	}
break;
case 738:
#line 3716 "pars.yacc"
{
	    yyval.val = 1.0 / (1.0 + exp(-(yyvsp[-5].val - yyvsp[-3].val)/ yyvsp[-1].val));
	}
break;
case 739:
#line 3719 "pars.yacc"
{
	    yyval.val = yyvsp[-3].val >= yyvsp[-1].val ? yyvsp[-3].val : yyvsp[-1].val;
	}
break;
case 740:
#line 3722 "pars.yacc"
{
	    yyval.val = yyvsp[-3].val <= yyvsp[-1].val ? yyvsp[-3].val : yyvsp[-1].val;
	}
break;
case 741:
#line 3725 "pars.yacc"
{
	    yyval.val = fmod(yyvsp[-3].val, yyvsp[-1].val);
	}
break;
case 742:
#line 3728 "pars.yacc"
{
	    yyval.val = fx(yyvsp[-1].val);
	}
break;
case 743:
#line 3731 "pars.yacc"
{
	    double tmp;
	    yyval.val = normp(yyvsp[-1].val, &tmp);
	}
break;
case 744:
#line 3735 "pars.yacc"
{
	    yyval.val = M_PI;
	}
break;
case 745:
#line 3738 "pars.yacc"
{
	    yyval.val = M_PI / 180.0;
	}
break;
case 746:
#line 3741 "pars.yacc"
{
	    yyval.val = (double) drand48();
	}
break;
case 747:
#line 3744 "pars.yacc"
{
	    yyval.val = rnorm(yyvsp[-3].val, yyvsp[-1].val);
	}
break;
case 748:
#line 3747 "pars.yacc"
{
	    yyval.val = sin(yyvsp[-1].val);
	}
break;
case 749:
#line 3750 "pars.yacc"
{
	    yyval.val = sinh(yyvsp[-1].val);
	}
break;
case 750:
#line 3753 "pars.yacc"
{
	    yyval.val = pow(yyvsp[-1].val, 2.0);
	}
break;
case 751:
#line 3756 "pars.yacc"
{
	    yyval.val = sqrt(yyvsp[-1].val);
	}
break;
case 752:
#line 3759 "pars.yacc"
{
	    yyval.val = tan(yyvsp[-1].val);
	}
break;
case 753:
#line 3762 "pars.yacc"
{
	    yyval.val = tanh(yyvsp[-1].val);
	}
break;
case 754:
#line 3765 "pars.yacc"
{
	    if ((int) yyvsp[-4].val) {
		yyval.val = yyvsp[-2].val;
	    } else {
		yyval.val = yyvsp[0].val;
	    }
	}
break;
case 755:
#line 3772 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val > yyvsp[0].val;
	}
break;
case 756:
#line 3775 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val < yyvsp[0].val;
	}
break;
case 757:
#line 3778 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val <= yyvsp[0].val;
	}
break;
case 758:
#line 3781 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val >= yyvsp[0].val;
	}
break;
case 759:
#line 3784 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val == yyvsp[0].val;
	}
break;
case 760:
#line 3787 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val != yyvsp[0].val;
	}
break;
case 761:
#line 3790 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val && yyvsp[0].val;
	}
break;
case 762:
#line 3793 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val || yyvsp[0].val;
	}
break;
case 763:
#line 3796 "pars.yacc"
{
	    yyval.val = !(yyvsp[0].val);
	}
break;
case 764:
#line 3799 "pars.yacc"
{
	    yyval.val = yyvsp[-1].val;
	}
break;
case 765:
#line 3802 "pars.yacc"
{
	    yyval.val = -yyvsp[0].val;
	}
break;
#line 10891 "y.tab.c"
    }
    yyssp -= yym;
    yystate = *yyssp;
    yyvsp -= yym;
    yym = yylhs[yyn];
    if (yystate == 0 && yym == 0)
    {
#if YYDEBUG
        if (yydebug)
            printf("yydebug: after reduction, shifting from state 0 to\
 state %d\n", YYFINAL);
#endif
        yystate = YYFINAL;
        *++yyssp = YYFINAL;
        *++yyvsp = yyval;
        if (yychar < 0)
        {
            if ((yychar = yylex()) < 0) yychar = 0;
#if YYDEBUG
            if (yydebug)
            {
                yys = 0;
                if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
                if (!yys) yys = "illegal-symbol";
                printf("yydebug: state %d, reading %d (%s)\n",
                        YYFINAL, yychar, yys);
            }
#endif
        }
        if (yychar == 0) goto yyaccept;
        goto yyloop;
    }
    if ((yyn = yygindex[yym]) && (yyn += yystate) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yystate)
        yystate = yytable[yyn];
    else
        yystate = yydgoto[yym];
#if YYDEBUG
    if (yydebug)
        printf("yydebug: after reduction, shifting from state %d \
to state %d\n", *yyssp, yystate);
#endif
    if (yyssp >= yyss + yystacksize - 1)
    {
        goto yyoverflow;
    }
    *++yyssp = yystate;
    *++yyvsp = yyval;
    goto yyloop;
yyoverflow:
    yyerror("yacc stack overflow");
yyabort:
    return (1);
yyaccept:
    return (0);
}
